<?php
/**
 * The header part - headnav.
 *
 * This is the header template part.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package king
 */

// Prevent direct script access.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
?>
<div class="king-head-nav">
	<ul>
	<?php if ( ! get_field( 'hide_news_Link', 'options' ) ) : ?>
		<li>
			<a href="<?php echo esc_url( get_post_format_link( 'quote' ) ); ?>" class="king-head-nav-a"><span class="nav-icon nav-news" ></span><?php echo esc_html_e( 'News', 'king' ); ?></a>
			<?php
			$nmenu = get_field( 'for_news_link', 'option' );
			if ( ! empty( $nmenu['for_news'] ) ) :
				echo wp_kses_post( king_mega_menu( $nmenu, 'quote', $nmenu['mpost_number'], $nmenu['show_in_mega_menu'] ) );
			endif;
			?>
		</li>
	<?php endif; ?>
	<?php if ( ! get_field( 'hide_video_Link', 'options' ) ) : ?>
		<li>
			<a href="<?php echo esc_url( get_post_format_link( 'video' ) ); ?>" class="king-head-nav-a"><span class="nav-icon nav-video" ></span><?php echo esc_html_e( 'Video', 'king' ); ?></a>
			<?php
			$vmenu = get_field( 'for_video_link', 'option' );
			if ( ! empty( $vmenu['for_video'] ) ) :
				echo wp_kses_post( king_mega_menu( $vmenu, 'video', $vmenu['mpost_number'], $vmenu['show_in_mega_menu'] ) );
			endif;
			?>
		</li>
	<?php endif; ?>
	<?php if ( ! get_field( 'hide_image_Link', 'options' ) ) : ?>
		<li>
			<a href="<?php echo esc_url( get_post_format_link( 'image' ) ); ?>" class="king-head-nav-a"><span class="nav-icon nav-image" ></span><?php echo esc_html_e( 'Image', 'king' ); ?></a>
			<?php
			$imenu = get_field( 'for_image_link', 'option' );
			if ( ! empty( $imenu['for_image'] ) ) :
				echo wp_kses_post( king_mega_menu( $imenu, 'image', $imenu['mpost_number'], $imenu['show_in_mega_menu'] ) );
			endif;
			?>
		</li>
	<?php endif; ?>
	<?php if ( ! get_field( 'hide_music_Link', 'options' ) ) : ?>
		<li>
			<a href="<?php echo esc_url( get_post_format_link( 'audio' ) ); ?>" class="king-head-nav-a"><span class="nav-icon nav-music" ></span><?php echo esc_html_e( 'Music', 'king' ); ?></a>
			<?php
			$mmenu = get_field( 'for_music_link', 'option' );
			if ( ! empty( $mmenu['for_music'] ) ) :
				echo wp_kses_post( king_mega_menu( $mmenu, 'audio', $mmenu['mpost_number'], $mmenu['show_in_mega_menu'] ) );
			endif;
			?>
		</li>
	<?php endif; ?>
	<?php if ( have_rows( 'add_new_links_to_header', 'option' ) ) : ?>
		<?php while ( have_rows( 'add_new_links_to_header', 'option' ) ) : the_row(); ?>
			<li><a href="<?php the_sub_field( 'header_nav_url' ); ?>" class="king-head-nav-a"><?php the_sub_field( 'header_nav_icon' ); ?><?php the_sub_field( 'header_nav_text' ); ?></a></li>
		<?php endwhile; ?>
	<?php endif; ?>

	<?php
	if ( ! get_field( 'hide_categories', 'options' ) ) :
		$hmenutemplate = get_field_object( 'header_menu_layout', 'options' );
		?>
		<li class="king-hmenu">
			<span class="king-cat-dots" data-toggle="dropdown" data-target=".king-cat-list" aria-expanded="false" role="button">...</span>
			<?php if ( $hmenutemplate['value'] == 'hmenu-template-1' ) : ?>
				<div class="king-cat-list">
					<?php wp_nav_menu( array( 'theme_location' => 'header-menu' ) ); ?>
				</div>
			<?php endif; ?>
		</li>
	<?php endif; ?>
	<ul>
</div><!-- .king-head-nav -->
