<?php
/**
 * Gallery View.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package king
 */

// Prevent direct script access.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
?>
<div class="post-page-featured-trending">
	<div class="post-like">
		<?php echo king_get_simple_likes_button( get_the_ID() ); ?>
		<?php if ( ! is_user_logged_in() ) : ?>
			<div class="king-alert-like"><?php esc_html_e( 'Please ', 'king' ); ?><a href="<?php echo esc_url( site_url() . '/' . $GLOBALS['king_login'] ); ?>"><?php esc_html_e( 'log in ', 'king' ); ?></a><?php esc_html_e( ' or ', 'king' ); ?><a href="<?php echo esc_url( site_url() . '/' . $GLOBALS['king_register'] ); ?>"><?php esc_html_e( ' register ', 'king' ); ?></a><?php esc_html_e( ' to like posts. ', 'king' ); ?></div>
		<?php endif; ?>
		<?php
		if ( get_field( 'enable_bookmarks', 'options' ) && is_user_logged_in() ) :
			echo wp_kses_post( king_bookmark_button( get_current_user_id(), get_the_ID(), 'single-bookmarks' ) );
		endif;
		?>
	</div><!-- .post-like -->
	<?php if ( has_post_format( 'quote' ) ) : ?>
		<a class="news-entry-format entry-format" href="<?php echo esc_url( get_post_format_link( 'quote' ) ); ?>"><?php echo esc_html_e( 'News', 'king' ); ?></a>
	<?php elseif ( has_post_format( 'video' ) ) : ?>
		<a class="video-entry-format entry-format" href="<?php echo esc_url( get_post_format_link( 'video' ) ); ?>"><?php echo esc_html_e( 'Video', 'king' ); ?></a>
	<?php elseif ( has_post_format( 'image' ) ) : ?>
		<a class="image-entry-format entry-format" href="<?php echo esc_url( get_post_format_link( 'image' ) ); ?>"><?php echo esc_html_e( 'Image', 'king' ); ?></a>
	<?php elseif ( has_post_format( 'audio' ) ) : ?>
		<a class="music-entry-format entry-format" href="<?php echo esc_url( get_post_format_link( 'audio' ) ); ?>"><?php echo esc_html_e( 'Music', 'king' ); ?></a>
	<?php endif; ?>
	<?php if ( get_field( 'featured-post' ) || get_field( 'keep_trending' ) ) : ?>		
		<?php if ( get_field( 'featured-post' ) ) : ?>
			<div class="featured"><i class="fa fa-rocket fa-lg" aria-hidden="true"></i><span><?php echo esc_html_e( 'featured', 'king' ); ?></span></div><!-- .featured -->
		<?php endif; ?>
		<?php if ( get_field( 'keep_trending' ) ) : ?>
			<div class="trending"><i class="fa fa-bolt fa-lg" aria-hidden="true"></i><span><?php echo esc_html_e( 'trending', 'king' ); ?></span></div><!-- .trending -->
		<?php endif; ?>
	<?php endif; ?>
</div><!-- .post-page-featured-trending -->
