<?php
/**
 * ACF options.
 *
 * @package King
 */

// Prevent direct script access.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
// Acf options.
if( function_exists('acf_add_local_field_group') ):

acf_add_local_field_group(array(
	'key' => 'group_5c9bedf97e739',
	'title' => 'Comments Reactions',
	'fields' => array(
		array(
			'key' => 'field_5c9bee01a519a',
			'label' => 'Comments Reactions',
			'name' => 'comments_reactions',
			'type' => 'radio',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => 'king-reactions',
				'id' => '',
			),
			'choices' => array(
				'like' => 'Like',
				'love' => 'Love',
				'haha' => 'Haha',
				'wow' => 'Wow',
				'sad' => 'Sad',
				'angry' => 'Angry',
			),
			'allow_null' => 1,
			'other_choice' => 0,
			'default_value' => '',
			'layout' => 'horizontal',
			'return_format' => 'value',
			'save_other_choice' => 0,
		),
	),
	'location' => array(
		array(
			array(
				'param' => 'comment',
				'operator' => '==',
				'value' => 'post',
			),
		),
	),
	'menu_order' => 0,
	'position' => 'normal',
	'style' => 'default',
	'label_placement' => 'top',
	'instruction_placement' => 'label',
	'hide_on_screen' => '',
	'active' => true,
	'description' => '',
));

acf_add_local_field_group(array(
	'key' => 'group_58bc8b1eea4cf',
	'title' => 'Custom Style',
	'fields' => array(
		array(
			'key' => 'field_5803e16ce8443',
			'label' => 'Body',
			'name' => '',
			'type' => 'tab',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'placement' => 'left',
			'endpoint' => 0,
		),
		array(
			'key' => 'field_57f6b8674af4c',
			'label' => 'Select page Font family',
			'name' => 'google_fonts',
			'type' => 'select',
			'instructions' => 'by <a href="https://fonts.google.com/" target="_blank">Google Fonts</a>',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array(
				'Roboto' => 'Roboto',
				'Quicksand' => 'Quicksand',
				'Varela+Round' => 'Varela Round',
				'Lato' => 'Lato',
				'Raleway' => 'Raleway',
				'Ubuntu' => 'Ubuntu',
				'Titillium+Web' => 'Titillium Web',
				'Dosis' => 'Dosis',
				'Open+Sans' => 'Open Sans',
				'Rubik' => 'Rubik',
				'Changa' => 'Changa',
				'Kanit' => 'Kanit',
				'Ek+Mukta' => 'Ek Mukta',
				'Prompt' => 'Prompt',
				'Mitr' => 'Mitr',
				'Quantico' => 'Quantico',
				'El+Messiri' => 'El Messiri',
				'Josefin+Sans' => 'Josefin Sans',
				'Hind+Guntur' => 'Hind Guntur',
				'Hind+Madurai' => 'Hind Madurai',
				'Source+Sans+Pro' => 'Source Sans Pro',
				'Heebo' => 'Heebo',
			),
			'default_value' => array(
			),
			'allow_null' => 1,
			'multiple' => 0,
			'ui' => 0,
			'return_format' => 'value',
			'ajax' => 0,
			'placeholder' => '',
		),
		array(
			'key' => 'field_57c895309a899',
			'label' => 'Body Background',
			'name' => 'body_background',
			'type' => 'color_picker',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_57fc0ca410dd7',
			'label' => 'Page Link Color',
			'name' => 'page_link_color',
			'type' => 'color_picker',
			'instructions' => 'Select Site links color',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_57fc0ed8b5f65',
			'label' => 'Page Link Hover Color',
			'name' => 'page_link_hover_color',
			'type' => 'color_picker',
			'instructions' => 'Select Site links hover color',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_58729141f3c04',
			'label' => 'Button Colors',
			'name' => 'button_colors',
			'type' => 'color_picker',
			'instructions' => 'Select Site button colors',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_5872921c0b902',
			'label' => 'Button Text Color',
			'name' => 'button_text_color',
			'type' => 'color_picker',
			'instructions' => 'Select Site button text color',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_5c9bd6e067283',
			'label' => 'Follow Button Background',
			'name' => 'follow_button_background',
			'type' => 'color_picker',
			'instructions' => 'Select Follow Button Background Color',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_5c9bd71167285',
			'label' => 'Follow Button Text Color',
			'name' => 'follow_button_text_color',
			'type' => 'color_picker',
			'instructions' => 'Select Follow Button Text Color',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_5806785eb286e',
			'label' => 'Post Background',
			'name' => 'post_background',
			'type' => 'color_picker',
			'instructions' => 'Posts box background color',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_5c9bd73367286',
			'label' => 'Post Title Color',
			'name' => 'post_title_color',
			'type' => 'color_picker',
			'instructions' => 'Select post title color',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_5887f64af5e57',
			'label' => 'Post entry content color',
			'name' => 'post_entry_content_color',
			'type' => 'color_picker',
			'instructions' => 'Post entry content text color',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_5863f58305007',
			'label' => 'Posts Meta Background',
			'name' => 'posts_meta_background',
			'type' => 'color_picker',
			'instructions' => 'Posts box Meta background color',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_5863f5aa05008',
			'label' => 'Posts Meta Text Color',
			'name' => 'posts_meta_color',
			'type' => 'color_picker',
			'instructions' => 'Posts box Meta Text Color',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_5c9bd76567287',
			'label' => 'Editors\' choice badge background',
			'name' => 'editors_choice_badge_background',
			'type' => 'color_picker',
			'instructions' => 'Select editors\' choice badge background color',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_5c9bd78567288',
			'label' => 'Editors\' choice badge text',
			'name' => 'editors_choice_badge_text',
			'type' => 'color_picker',
			'instructions' => 'Select editors\' choice badge text color',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_57fc0fe5cbf75',
			'label' => 'Color For News',
			'name' => 'color_for_news',
			'type' => 'color_picker',
			'instructions' => 'Select color for the News',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_57fc1018316d4',
			'label' => 'Color For Videos',
			'name' => 'color_for_videos',
			'type' => 'color_picker',
			'instructions' => 'Select color for the Videos',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_57fc103b316d5',
			'label' => 'Color For Images',
			'name' => 'color_for_images',
			'type' => 'color_picker',
			'instructions' => 'Select color for the Images',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_5ef4eb809f545',
			'label' => 'Color For Music',
			'name' => 'color_for_music',
			'type' => 'color_picker',
			'instructions' => 'Select color for the Musics',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_58890c43f6bdc',
			'label' => 'Color For NSFW',
			'name' => 'color_for_nsfw',
			'type' => 'color_picker',
			'instructions' => 'Select color for the NSFW posts',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_586695b184cca',
			'label' => 'Load More Button Background Color',
			'name' => 'load_more_background',
			'type' => 'color_picker',
			'instructions' => 'Select color for the Load more button background',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_5866961584ccb',
			'label' => 'Load More Button Text Color',
			'name' => 'load_more_button_text_color',
			'type' => 'color_picker',
			'instructions' => 'Select color for the Load more button text',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_5ea6ec9e0eb97',
			'label' => 'Alert Background Color',
			'name' => 'alert_background_color',
			'type' => 'color_picker',
			'instructions' => 'Select background color for error message',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_5ea6ecd50eb98',
			'label' => 'Alert Text Color',
			'name' => 'alert_text_color',
			'type' => 'color_picker',
			'instructions' => 'Select text color for error message',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_584b139267219',
			'label' => 'Disable Custom Css',
			'name' => 'disable_custom_css',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => 'Disable Custom Css and Colors',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_5803e105e3ce4',
			'label' => 'Header',
			'name' => '',
			'type' => 'tab',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'placement' => 'left',
			'endpoint' => 0,
		),
		array(
			'key' => 'field_57c88ed8fba47',
			'label' => 'Header Background',
			'name' => 'header_background',
			'type' => 'color_picker',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_57fc093cc31f2',
			'label' => 'Header Link Color',
			'name' => 'header_link_color',
			'type' => 'color_picker',
			'instructions' => 'change the header link colors',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_57fc0a2cc9b37',
			'label' => 'Header Search Background',
			'name' => 'header_search_background',
			'type' => 'color_picker',
			'instructions' => 'change the header search bar background color',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_5c9bd7e05e57c',
			'label' => 'Header Menu Background Color',
			'name' => 'header_menu_background_color',
			'type' => 'color_picker',
			'instructions' => 'change the header menu background color',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_5c9bd7f55e57d',
			'label' => 'Header Menu Link Colors',
			'name' => 'header_menu_link_colors',
			'type' => 'color_picker',
			'instructions' => 'change the header menu link colors',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_5c9bd80b5e57e',
			'label' => 'Header Menu Link Hover Colors',
			'name' => 'header_menu_link_hover_colors',
			'type' => 'color_picker',
			'instructions' => 'change the header menu link hover colors',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_5cfa387973f7a',
			'label' => 'Notification Icon Background',
			'name' => 'notification_icon_background',
			'type' => 'color_picker',
			'instructions' => 'change the Notification Icon Background color',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_5cfa389e73f7b',
			'label' => 'Notification Icon Color',
			'name' => 'notification_icon_color',
			'type' => 'color_picker',
			'instructions' => 'change the Notification Icon color',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_5cfa38ae73f7c',
			'label' => 'Notification Box Background',
			'name' => 'notification_box_background',
			'type' => 'color_picker',
			'instructions' => 'change the Notification Box Background color',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_5cfa38d073f7d',
			'label' => 'Notification Box Inside Background',
			'name' => 'notification_box_inside_background',
			'type' => 'color_picker',
			'instructions' => 'change the Notification Box Inside Background color',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_5cfa391d73f7e',
			'label' => 'Notifications Text Color',
			'name' => 'notifications_text_color',
			'type' => 'color_picker',
			'instructions' => 'change the Notifications Text Color',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_58067a58ad696',
			'label' => 'Submit Button Background',
			'name' => 'submit_background',
			'type' => 'color_picker',
			'instructions' => 'Select Submit Button Background color',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_59249acf78b65',
			'label' => 'Submit Button Link Colors',
			'name' => 'submit_button_link_colors',
			'type' => 'color_picker',
			'instructions' => 'Select Submit Button Link color',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_58067a95f2787',
			'label' => 'Submit Button Icon Color',
			'name' => 'submiticon_color',
			'type' => 'color_picker',
			'instructions' => 'Select Submit Button Icon color',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_5a63b13792977',
			'label' => 'Login and Register Buttons Background',
			'name' => 'login_and_register_buttons_background',
			'type' => 'color_picker',
			'instructions' => 'Login and Register Buttons Background color',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_5ffdb52f1cbc0',
			'label' => 'Header Buttons Hover Background',
			'name' => 'buttons_hover_background',
			'type' => 'color_picker',
			'instructions' => 'Login and Register Buttons Hover Background color',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_5945aa8244ab6',
			'label' => 'User points badge background',
			'name' => 'user_points_badge_background',
			'type' => 'color_picker',
			'instructions' => 'Select User points badge background color',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_5945ab4244ab7',
			'label' => 'User points badge color',
			'name' => 'user_points_badge_color',
			'type' => 'color_picker',
			'instructions' => 'Select User points badge text color',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_57fc0857adad7',
			'label' => 'Navigation Background',
			'name' => 'navigation_background',
			'type' => 'color_picker',
			'instructions' => 'change navigation background color',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_5806928fde018',
			'label' => 'Navigation Links Color',
			'name' => 'navigation_links',
			'type' => 'color_picker',
			'instructions' => 'Navigation Links Color',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_59249bdd7dd76',
			'label' => 'Navigation Links Active',
			'name' => 'navigation_links_active',
			'type' => 'color_picker',
			'instructions' => 'Navigation Links Active Text Color & Border Color',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_5fff2c1e02b52',
			'label' => 'Small Navigation Background',
			'name' => 'small_navigation_background',
			'type' => 'color_picker',
			'instructions' => 'Small navigation background color in profile , hot and reactions page',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_5fff2c6502b53',
			'label' => 'Small Navigation Links',
			'name' => 'small_navigation_links',
			'type' => 'color_picker',
			'instructions' => 'Small navigation links color in profile , hot and reactions page',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_5fff2c7402b54',
			'label' => 'Small Navigation Links Hover',
			'name' => 'small_navigation_links_hover',
			'type' => 'color_picker',
			'instructions' => 'Small navigation links hover color in profile , hot and reactions page',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_5887f35a63c63',
			'label' => 'Page header background',
			'name' => 'page_header_background',
			'type' => 'color_picker',
			'instructions' => 'Page header background Color',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_5887f44a63c64',
			'label' => 'Page header text color',
			'name' => 'page_header_text_color',
			'type' => 'color_picker',
			'instructions' => 'Page header Text Color',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_5ecbc56daed99',
			'label' => 'Search v2 button background',
			'name' => 'search_v2_button_background',
			'type' => 'color_picker',
			'instructions' => 'Select search v2 button background color',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_5ecbc591aed9a',
			'label' => 'Search v2 icon color',
			'name' => 'search_v2_icon_color',
			'type' => 'color_picker',
			'instructions' => 'Select search v2 button icon color',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_5ecbc62dce687',
			'label' => 'Search v2 box background',
			'name' => 'search_v2_box_background',
			'type' => 'color_picker',
			'instructions' => 'Select search v2 box background color',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_5ecbc642ce688',
			'label' => 'Search v2 input background',
			'name' => 'search_v2_input_background',
			'type' => 'color_picker',
			'instructions' => 'Select search v2 box input background color',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_5fafbbaa31d6f',
			'label' => 'Bookmarks Icon Background',
			'name' => 'bookmarks_icon_background',
			'type' => 'color_picker',
			'instructions' => 'Select bookmarks icon background color',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_5fafbbca31d70',
			'label' => 'Bookmarks Icon Color',
			'name' => 'bookmarks_icon_color',
			'type' => 'color_picker',
			'instructions' => 'Select bookmarks icon color',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_5805367949bfd',
			'label' => 'Footer',
			'name' => '',
			'type' => 'tab',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'placement' => 'left',
			'endpoint' => 0,
		),
		array(
			'key' => 'field_5805368749bfe',
			'label' => 'Footer Background',
			'name' => 'footer_background',
			'type' => 'color_picker',
			'instructions' => 'Select footer background color',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_5805375a5b9a4',
			'label' => 'Footer Widget Area Background',
			'name' => 'fatfooter_background',
			'type' => 'color_picker',
			'instructions' => 'Select footer widget area background color',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_58067be4a3470',
			'label' => 'Footer Widgets Title Background',
			'name' => 'footer_widgets_title_background',
			'type' => 'color_picker',
			'instructions' => 'Select footer widgets title background color',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_58067c33c8cda',
			'label' => 'Footer Widgets Title Color',
			'name' => 'footer_widgets_title_color',
			'type' => 'color_picker',
			'instructions' => 'Select footer widgets title text color',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_580538640ac50',
			'label' => 'Footer Text Color',
			'name' => 'footer_text_color',
			'type' => 'color_picker',
			'instructions' => 'Select footer text color',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_580539b0b8510',
			'label' => 'Footer links Color',
			'name' => 'footer_link_color',
			'type' => 'color_picker',
			'instructions' => 'Select footer Links color',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_5ffdb1f80a7d8',
			'label' => 'Footer links hover',
			'name' => 'footer_links_hover',
			'type' => 'color_picker',
			'instructions' => 'Select footer Links and Icons hover color',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_58067d3fa81f9',
			'label' => 'Sidebar',
			'name' => '',
			'type' => 'tab',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'placement' => 'left',
			'endpoint' => 0,
		),
		array(
			'key' => 'field_58067d4ca81fa',
			'label' => 'Sidebar Widgets Title Background',
			'name' => 'sidebar_widgets_title_background',
			'type' => 'color_picker',
			'instructions' => 'Select Sidebar Widgets Title Background Color',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_58067d92a81fb',
			'label' => 'Sidebar Widgets Title Color',
			'name' => 'sidebar_widgets_title_color',
			'type' => 'color_picker',
			'instructions' => 'Select Sidebar Widgets Title Text Color',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_5fb7a497408aa',
			'label' => 'Sidebar Posts Background',
			'name' => 'sidebar_posts_background',
			'type' => 'color_picker',
			'instructions' => 'Select Sidebar Posts Background Color',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_5863f3a18f505',
			'label' => 'Sidebar Widgets Post Meta Text Color',
			'name' => 'sidebar_widgets_post_meta_text_color',
			'type' => 'color_picker',
			'instructions' => 'Select Sidebar Widgets Post Meta Text Color',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_58067db0a81fc',
			'label' => 'Sidebar Links Color',
			'name' => 'sidebar_links',
			'type' => 'color_picker',
			'instructions' => 'Select Sidebar Links Color',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_58067de5a81fd',
			'label' => 'Sidebar Text Color',
			'name' => 'sidebar_text_color',
			'type' => 'color_picker',
			'instructions' => 'Select Sidebar Text Color',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_581502c9f0f0b',
			'label' => 'Post Page',
			'name' => '',
			'type' => 'tab',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'placement' => 'left',
			'endpoint' => 0,
		),
		array(
			'key' => 'field_581502d4f0f0c',
			'label' => 'Post Content Background Color',
			'name' => 'post_content_background_color',
			'type' => 'color_picker',
			'instructions' => 'Select post content background color in Post Page',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_581503a21d6cf',
			'label' => 'Post Content text color',
			'name' => 'post_content_text_color',
			'type' => 'color_picker',
			'instructions' => 'Select post content text color in Post Page',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_5872929b65c5d',
			'label' => 'Post like button background',
			'name' => 'post_like_button_background',
			'type' => 'color_picker',
			'instructions' => 'Select post like button background color in Post Page',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_587292da65c5e',
			'label' => 'Post like button icon color',
			'name' => 'post_like_button_icon_color',
			'type' => 'color_picker',
			'instructions' => 'Select post like button icon color',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_581504dd3cb82',
			'label' => 'Share Bar Background',
			'name' => 'share_bar_background',
			'type' => 'color_picker',
			'instructions' => 'Share bar background color in Post Page',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_581648857a500',
			'label' => 'Share Bar Buttons Background',
			'name' => 'share_bar_buttons_background',
			'type' => 'color_picker',
			'instructions' => 'Share bar buttons background color in Post Page',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_5815057b54404',
			'label' => 'Post Author box background',
			'name' => 'post_author_box_background',
			'type' => 'color_picker',
			'instructions' => 'Select post author box background color in post page',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_5815061995480',
			'label' => 'Post Author box text color',
			'name' => 'post_author_box_text_color',
			'type' => 'color_picker',
			'instructions' => 'Select post author box text color in post page',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_58164a8408681',
			'label' => 'Post Meta Background',
			'name' => 'post_meta_background',
			'type' => 'color_picker',
			'instructions' => 'Select post meta background color in post page',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_58164ab1495b7',
			'label' => 'Post Meta Text Color',
			'name' => 'post_meta_text_color',
			'type' => 'color_picker',
			'instructions' => 'Select post meta text and icons color in post page',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_587bde52c5bfe',
			'label' => 'Post page boxes background',
			'name' => 'post_page_boxes_background',
			'type' => 'color_picker',
			'instructions' => 'Select post page boxes background color',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_587bde85c5bff',
			'label' => 'Post page boxes title background',
			'name' => 'post_page_boxes_title_background',
			'type' => 'color_picker',
			'instructions' => 'Select post page boxes title background color',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_58cc4e71fa23c',
			'label' => 'Post page boxes title color',
			'name' => 'post_page_boxes_title_color',
			'type' => 'color_picker',
			'instructions' => 'Select post page boxes title text color',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_58729467dea0d',
			'label' => 'Comments area background color',
			'name' => 'comments_area_background_color',
			'type' => 'color_picker',
			'instructions' => 'Select comments area background color in post page',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_587294b7dea0e',
			'label' => 'Comment box background',
			'name' => 'comment_box_background',
			'type' => 'color_picker',
			'instructions' => 'Select comment box background color',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_587294e3dea0f',
			'label' => 'Comment box text color',
			'name' => 'comment_box_text_color',
			'type' => 'color_picker',
			'instructions' => 'Select comment box text color',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_58729749cc217',
			'label' => 'Comments reply button background',
			'name' => 'comments_reply_button_background',
			'type' => 'color_picker',
			'instructions' => 'Select comments reply button background color',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_5872978acc218',
			'label' => 'Comments reply button value color',
			'name' => 'comments_reply_button_value_color',
			'type' => 'color_picker',
			'instructions' => 'Select comments reply button value color',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_5872984de6632',
			'label' => 'Comment Form Background',
			'name' => 'comment_form_background',
			'type' => 'color_picker',
			'instructions' => 'Select Comment Form Background color',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_58729871e6633',
			'label' => 'Comment Form Text Color',
			'name' => 'comment_form_text_color',
			'type' => 'color_picker',
			'instructions' => 'Select Comment Form text color',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_584b14ce5892e',
			'label' => 'Custom CSS',
			'name' => '',
			'type' => 'tab',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'placement' => 'left',
			'endpoint' => 0,
		),
		array(
			'key' => 'field_584b14e35892f',
			'label' => 'Custom Css',
			'name' => 'custom_css',
			'type' => 'textarea',
			'instructions' => 'You can add your custom css code here ;',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '60',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => 'css code here',
			'maxlength' => '',
			'rows' => 24,
			'new_lines' => '',
		),
		array(
			'key' => 'field_5fafb7824fb70',
			'label' => 'Kingflix Page',
			'name' => '',
			'type' => 'tab',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'placement' => 'left',
			'endpoint' => 0,
		),
		array(
			'key' => 'field_5fafb79e4fb71',
			'label' => 'Categories Title Color',
			'name' => 'kingflix_categories_title_color',
			'type' => 'color_picker',
			'instructions' => 'categories title color in king flix page',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_5fafb7ffd8271',
			'label' => 'Posts Background Color',
			'name' => 'kingflix_posts_background',
			'type' => 'color_picker',
			'instructions' => 'posts background color in king flix page',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_5fafb84fd8272',
			'label' => 'Posts Title color',
			'name' => 'kingflix_posts_title_color',
			'type' => 'color_picker',
			'instructions' => 'posts title color in king flix page',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_5fafb87ad8273',
			'label' => 'Post Buttons Colors',
			'name' => 'kingflix_post_buttons_colors',
			'type' => 'color_picker',
			'instructions' => 'posts button colors in king flix page',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_5fafb89cd8274',
			'label' => 'Post Meta Color',
			'name' => 'kingflix_post_meta_color',
			'type' => 'color_picker',
			'instructions' => 'posts meta text color in king flix page',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_5fb3ab76025fa',
			'label' => 'Quick View Background',
			'name' => 'quick_view_background',
			'type' => 'color_picker',
			'instructions' => 'quick view modal background color',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_5fb3abbe025fb',
			'label' => 'Quick View Post Title',
			'name' => 'quick_view_post_title',
			'type' => 'color_picker',
			'instructions' => 'quick view modal text color for title',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_5fb3abe7025fc',
			'label' => 'Quick View Post Content',
			'name' => 'quick_view_post_content',
			'type' => 'color_picker',
			'instructions' => 'quick view modal text color for content',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_5fb3ac2c025fd',
			'label' => 'Quick View Widget Title',
			'name' => 'quick_view_widget_title',
			'type' => 'color_picker',
			'instructions' => 'quick view modal widget title color',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
	),
	'location' => array(
		array(
			array(
				'param' => 'options_page',
				'operator' => '==',
				'value' => 'acf-options-customize',
			),
		),
	),
	'menu_order' => 0,
	'position' => 'normal',
	'style' => 'default',
	'label_placement' => 'top',
	'instruction_placement' => 'label',
	'hide_on_screen' => '',
	'active' => true,
	'description' => '',
));

acf_add_local_field_group(array(
	'key' => 'group_5aaadfdfcb26c',
	'title' => 'Extra Options',
	'fields' => array(
		array(
			'key' => 'field_5aaadfed91603',
			'label' => 'Color',
			'name' => 'category_colors',
			'type' => 'color_picker',
			'instructions' => 'You can select a color for this',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_5af35938f0413',
			'label' => 'Logo',
			'name' => 'category_logo',
			'type' => 'image',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'return_format' => 'array',
			'preview_size' => 'thumbnail',
			'library' => 'uploadedTo',
			'min_width' => '',
			'min_height' => '',
			'min_size' => '',
			'max_width' => '',
			'max_height' => '',
			'max_size' => '',
			'mime_types' => 'jpg, png, gif, jpeg',
		),
		array(
			'key' => 'field_5af35834f0412',
			'label' => 'Background Image',
			'name' => 'category_background_image',
			'type' => 'image',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'return_format' => 'array',
			'preview_size' => 'thumbnail',
			'library' => 'uploadedTo',
			'min_width' => '',
			'min_height' => '',
			'min_size' => '',
			'max_width' => '',
			'max_height' => '',
			'max_size' => '',
			'mime_types' => 'jpg, png, gif, jpeg',
		),
	),
	'location' => array(
		array(
			array(
				'param' => 'taxonomy',
				'operator' => '==',
				'value' => 'category',
			),
		),
		array(
			array(
				'param' => 'taxonomy',
				'operator' => '==',
				'value' => 'post_tag',
			),
		),
	),
	'menu_order' => 0,
	'position' => 'normal',
	'style' => 'default',
	'label_placement' => 'top',
	'instruction_placement' => 'label',
	'hide_on_screen' => '',
	'active' => true,
	'description' => '',
));

acf_add_local_field_group(array(
	'key' => 'group_58bf2f49e4513',
	'title' => 'Images',
	'fields' => array(
		array(
			'key' => 'field_58bf2f79ed6d3',
			'label' => 'Images Lists',
			'name' => 'images_lists',
			'type' => 'repeater',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => 'king-repeater',
				'id' => '',
			),
			'collapsed' => '',
			'min' => 0,
			'max' => 0,
			'layout' => 'block',
			'button_label' => '',
			'sub_fields' => array(
				array(
					'key' => 'field_58bf2f96ed6d4',
					'label' => 'Images list',
					'name' => 'images_list',
					'type' => 'image',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'return_format' => 'array',
					'preview_size' => 'large',
					'library' => 'uploadedTo',
					'min_width' => '',
					'min_height' => '',
					'min_size' => '',
					'max_width' => '',
					'max_height' => '',
					'max_size' => 5,
					'mime_types' => 'jpg, jpeg, png, gif,',
				),
			),
		),
	),
	'location' => array(
		array(
			array(
				'param' => 'post_format',
				'operator' => '==',
				'value' => 'image',
			),
		),
	),
	'menu_order' => 0,
	'position' => 'normal',
	'style' => 'default',
	'label_placement' => 'top',
	'instruction_placement' => 'label',
	'hide_on_screen' => '',
	'active' => true,
	'description' => '',
));

acf_add_local_field_group(array(
	'key' => 'group_5fb50168c5167',
	'title' => 'Kingflix settings',
	'fields' => array(
		array(
			'key' => 'field_5fb5017cb785d',
			'label' => 'Posts number in categories',
			'name' => 'kingflix_posts_number_in_categories',
			'type' => 'number',
			'instructions' => 'show max posts in each categories',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 12,
			'placeholder' => '',
			'prepend' => 'number',
			'append' => '',
			'min' => 1,
			'max' => 150,
			'step' => '',
		),
		array(
			'key' => 'field_5fb7a234b3ab5',
			'label' => 'Display Bookmarked Posts',
			'name' => 'kingflix_display_bookmarked_posts',
			'type' => 'true_false',
			'instructions' => 'display bookmarked posts in kingflix page',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_5fb7a267b3ab6',
			'label' => 'Bookmarked Posts Header',
			'name' => 'kingflix_bookmarked_posts_header',
			'type' => 'text',
			'instructions' => 'header for bookmarked posts in kingflix page',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5fb7a234b3ab5',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'Watch Later',
			'placeholder' => '',
			'prepend' => 'title',
			'append' => '',
			'maxlength' => '',
		),
		array(
			'key' => 'field_5fb50268e803c',
			'label' => 'Display Trending Posts',
			'name' => 'kingflix_display_trending_posts',
			'type' => 'true_false',
			'instructions' => 'display trending posts in kingflix page',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_5fb506e28caaa',
			'label' => 'Trending Posts Header',
			'name' => 'kingflix_trending_posts_header',
			'type' => 'text',
			'instructions' => 'header for trending posts in kingflix page',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5fb50268e803c',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'Trending',
			'placeholder' => '',
			'prepend' => 'title',
			'append' => '',
			'maxlength' => '',
		),
	),
	'location' => array(
		array(
			array(
				'param' => 'page_template',
				'operator' => '==',
				'value' => 'king_page_kingflix.php',
			),
		),
	),
	'menu_order' => 0,
	'position' => 'acf_after_title',
	'style' => 'default',
	'label_placement' => 'top',
	'instruction_placement' => 'field',
	'hide_on_screen' => '',
	'active' => true,
	'description' => '',
));

acf_add_local_field_group(array(
	'key' => 'group_58bc8b259b335',
	'title' => 'Lists',
	'fields' => array(
		array(
			'key' => 'field_5a53c07ad0754',
			'label' => 'Lists',
			'name' => '',
			'type' => 'tab',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'placement' => 'left',
			'endpoint' => 0,
		),
		array(
			'key' => 'field_57daf9b9334ca',
			'label' => 'Length of Hot page',
			'name' => 'length_hot',
			'type' => 'number',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 10,
			'placeholder' => 'max 50',
			'prepend' => 'Hot',
			'append' => '',
			'min' => 1,
			'max' => 50,
			'step' => '',
		),
		array(
			'key' => 'field_57dafb25dd912',
			'label' => 'Length of Trend page',
			'name' => 'length_trend',
			'type' => 'number',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 10,
			'placeholder' => 'max 50',
			'prepend' => 'Trend',
			'append' => '',
			'min' => 1,
			'max' => 50,
			'step' => '',
		),
		array(
			'key' => 'field_57dafc37a5570',
			'label' => 'Length of NSFW page',
			'name' => 'length_nsfw',
			'type' => 'number',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 10,
			'placeholder' => 'max 50',
			'prepend' => 'NSFW',
			'append' => '',
			'min' => 1,
			'max' => 50,
			'step' => '',
		),
		array(
			'key' => 'field_5903b3a8d050f',
			'label' => 'Length of Reactions page',
			'name' => 'length_reaction',
			'type' => 'number',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 10,
			'placeholder' => 'max 50',
			'prepend' => 'Reactions',
			'append' => '',
			'min' => 1,
			'max' => 50,
			'step' => '',
		),
		array(
			'key' => 'field_5817b2fb6b637',
			'label' => 'Length of Users Dashboard',
			'name' => 'length_of_users_dashboard',
			'type' => 'number',
			'instructions' => 'Length of Following Users Posts in Dashboard Page',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 10,
			'placeholder' => 'max 50',
			'prepend' => 'Posts',
			'append' => '',
			'min' => 1,
			'max' => 50,
			'step' => '',
		),
		array(
			'key' => 'field_57dafbcf93901',
			'label' => 'Length of Users Page',
			'name' => 'length_users',
			'type' => 'number',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 10,
			'placeholder' => 'max 50',
			'prepend' => 'Users',
			'append' => '',
			'min' => 1,
			'max' => 50,
			'step' => '',
		),
		array(
			'key' => 'field_5814fc5ee9ded',
			'label' => 'Length of Followers',
			'name' => 'length_of_followers',
			'type' => 'number',
			'instructions' => 'Length of followers in profile page',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 10,
			'placeholder' => 'max 50',
			'prepend' => 'Users',
			'append' => '',
			'min' => 1,
			'max' => 50,
			'step' => '',
		),
		array(
			'key' => 'field_5814fc80e9dee',
			'label' => 'Length of Following Users',
			'name' => 'length_of_following',
			'type' => 'number',
			'instructions' => 'Length of Following Users in profile page',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 10,
			'placeholder' => 'max 50',
			'prepend' => 'Users',
			'append' => '',
			'min' => 1,
			'max' => 50,
			'step' => '',
		),
		array(
			'key' => 'field_58150087dea82',
			'label' => 'Length of Posts in Profile',
			'name' => 'length_of_posts_in_profile',
			'type' => 'number',
			'instructions' => 'Length of User\'s posts in profile page',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 10,
			'placeholder' => 'max 50',
			'prepend' => 'Posts',
			'append' => '',
			'min' => 1,
			'max' => 50,
			'step' => '',
		),
		array(
			'key' => 'field_58150123c274f',
			'label' => 'Length of user\'s liked posts',
			'name' => 'length_of_users_liked_posts',
			'type' => 'number',
			'instructions' => 'Length of User\'s liked posts in profile page',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 10,
			'placeholder' => 'max 50',
			'prepend' => 'Posts',
			'append' => '',
			'min' => 1,
			'max' => 50,
			'step' => '',
		),
		array(
			'key' => 'field_5a53c092d0755',
			'label' => 'Badges',
			'name' => '',
			'type' => 'tab',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'placement' => 'left',
			'endpoint' => 0,
		),
		array(
			'key' => 'field_5a53c0da450b0',
			'label' => 'Enable User Badges',
			'name' => 'enable_user_badges',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => 'Enable Badges for Users',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_5a5682dbc9aa0',
			'label' => 'Enable Leaderboard Badges',
			'name' => 'enable_leaderboard_badges',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5a53c0da450b0',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => 'Enable Leaderboard Badges Based Points',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_5a567199e3d3d',
			'label' => 'Leaderboard Badges',
			'name' => 'leaderboard_badges',
			'type' => 'repeater',
			'instructions' => 'You can add max. 10 badges. Rank badges by leaderboard.',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5a5682dbc9aa0',
						'operator' => '==',
						'value' => '1',
					),
					array(
						'field' => 'field_5a53c0da450b0',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'collapsed' => '',
			'min' => 0,
			'max' => 10,
			'layout' => 'table',
			'button_label' => 'New Badge for Leaderboard',
			'sub_fields' => array(
				array(
					'key' => 'field_5a56757220005',
					'label' => 'Leaderboard Badge Title',
					'name' => 'leaderboard_badge_title',
					'type' => 'text',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '50',
						'class' => '',
						'id' => '',
					),
					'default_value' => '',
					'placeholder' => '',
					'prepend' => 'Title',
					'append' => '',
					'maxlength' => 50,
				),
				array(
					'key' => 'field_5a56759520006',
					'label' => 'Leaderboard Badge Icon',
					'name' => 'leaderboard_badge_icon',
					'type' => 'image',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '50',
						'class' => '',
						'id' => '',
					),
					'return_format' => 'url',
					'preview_size' => 'thumbnail',
					'library' => 'uploadedTo',
					'min_width' => '',
					'min_height' => '',
					'min_size' => '',
					'max_width' => '',
					'max_height' => '',
					'max_size' => '',
					'mime_types' => '',
				),
			),
		),
		array(
			'key' => 'field_5a53c1327f005',
			'label' => 'King Badges',
			'name' => 'king_badges',
			'type' => 'flexible_content',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5a53c0da450b0',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'layouts' => array(
				'5a53c156ae608' => array(
					'key' => '5a53c156ae608',
					'name' => 'badges_for_points',
					'label' => 'Badges For Points',
					'display' => 'table',
					'sub_fields' => array(
						array(
							'key' => 'field_5a53c2c77f008',
							'label' => 'Badge Icon',
							'name' => 'badge_icon',
							'type' => 'image',
							'instructions' => '',
							'required' => 1,
							'conditional_logic' => 0,
							'wrapper' => array(
								'width' => '20',
								'class' => '',
								'id' => '',
							),
							'return_format' => 'url',
							'preview_size' => 'thumbnail',
							'library' => 'uploadedTo',
							'min_width' => '',
							'min_height' => '',
							'min_size' => '',
							'max_width' => '',
							'max_height' => '',
							'max_size' => 10,
							'mime_types' => '',
						),
						array(
							'key' => 'field_5a53c26b7f007',
							'label' => 'Badge Min. Point',
							'name' => 'badge_min_point',
							'type' => 'number',
							'instructions' => '',
							'required' => 1,
							'conditional_logic' => 0,
							'wrapper' => array(
								'width' => '15',
								'class' => '',
								'id' => '',
							),
							'default_value' => '',
							'placeholder' => '',
							'prepend' => 'Min',
							'append' => '',
							'min' => 0,
							'max' => '',
							'step' => '',
						),
						array(
							'key' => 'field_5a55dc50522c9',
							'label' => 'Badge Max. Point',
							'name' => 'badge_max_point',
							'type' => 'number',
							'instructions' => '',
							'required' => 0,
							'conditional_logic' => 0,
							'wrapper' => array(
								'width' => '15',
								'class' => '',
								'id' => '',
							),
							'default_value' => '',
							'placeholder' => '',
							'prepend' => 'Max',
							'append' => '',
							'min' => 0,
							'max' => '',
							'step' => '',
						),
						array(
							'key' => 'field_5a53c21c7f006',
							'label' => 'Badge Title',
							'name' => 'badge_title',
							'type' => 'text',
							'instructions' => '',
							'required' => 1,
							'conditional_logic' => 0,
							'wrapper' => array(
								'width' => '20',
								'class' => '',
								'id' => '',
							),
							'default_value' => '',
							'placeholder' => '',
							'prepend' => 'Text',
							'append' => '',
							'maxlength' => 50,
						),
						array(
							'key' => 'field_5a5469ee905b9',
							'label' => 'Badge Description',
							'name' => 'badge_description',
							'type' => 'textarea',
							'instructions' => '( optional )',
							'required' => 0,
							'conditional_logic' => 0,
							'wrapper' => array(
								'width' => '30',
								'class' => '',
								'id' => '',
							),
							'default_value' => '',
							'placeholder' => '',
							'maxlength' => '',
							'rows' => 4,
							'new_lines' => '',
						),
					),
					'min' => '',
					'max' => '',
				),
				'5a55ddc8a356a' => array(
					'key' => '5a55ddc8a356a',
					'name' => 'badges_for_followers',
					'label' => 'Badges For Followers',
					'display' => 'table',
					'sub_fields' => array(
						array(
							'key' => 'field_5a55ddc8a356c',
							'label' => 'Badge Min. Followers',
							'name' => 'badge_min_point',
							'type' => 'number',
							'instructions' => '',
							'required' => 1,
							'conditional_logic' => 0,
							'wrapper' => array(
								'width' => '15',
								'class' => '',
								'id' => '',
							),
							'default_value' => '',
							'placeholder' => '',
							'prepend' => 'Min',
							'append' => '',
							'min' => 0,
							'max' => '',
							'step' => '',
						),
						array(
							'key' => 'field_5a55ddc8a356d',
							'label' => 'Badge Max. Followers',
							'name' => 'badge_max_point',
							'type' => 'number',
							'instructions' => '',
							'required' => 0,
							'conditional_logic' => 0,
							'wrapper' => array(
								'width' => '15',
								'class' => '',
								'id' => '',
							),
							'default_value' => '',
							'placeholder' => '',
							'prepend' => 'Max',
							'append' => '',
							'min' => 0,
							'max' => '',
							'step' => '',
						),
						array(
							'key' => 'field_5a55ddc8a356e',
							'label' => 'Badge Title',
							'name' => 'badge_title',
							'type' => 'text',
							'instructions' => '',
							'required' => 1,
							'conditional_logic' => 0,
							'wrapper' => array(
								'width' => '20',
								'class' => '',
								'id' => '',
							),
							'default_value' => '',
							'placeholder' => '',
							'prepend' => 'Text',
							'append' => '',
							'maxlength' => 50,
						),
						array(
							'key' => 'field_5a55ddc8a356f',
							'label' => 'Badge Description',
							'name' => 'badge_description',
							'type' => 'textarea',
							'instructions' => '( optional )',
							'required' => 0,
							'conditional_logic' => 0,
							'wrapper' => array(
								'width' => '30',
								'class' => '',
								'id' => '',
							),
							'default_value' => '',
							'placeholder' => '',
							'maxlength' => '',
							'rows' => 4,
							'new_lines' => '',
						),
						array(
							'key' => 'field_5a55ddc8a356b',
							'label' => 'Badge Icon',
							'name' => 'badge_icon',
							'type' => 'image',
							'instructions' => '',
							'required' => 1,
							'conditional_logic' => 0,
							'wrapper' => array(
								'width' => '20',
								'class' => '',
								'id' => '',
							),
							'return_format' => 'url',
							'preview_size' => 'thumbnail',
							'library' => 'uploadedTo',
							'min_width' => '',
							'min_height' => '',
							'min_size' => '',
							'max_width' => '',
							'max_height' => '',
							'max_size' => 10,
							'mime_types' => '',
						),
					),
					'min' => '',
					'max' => '',
				),
				'5a55ddd9a3570' => array(
					'key' => '5a55ddd9a3570',
					'name' => 'badges_for_posts',
					'label' => 'Badges For Posts',
					'display' => 'table',
					'sub_fields' => array(
						array(
							'key' => 'field_5a55ddd9a3572',
							'label' => 'Badge Min. Posts',
							'name' => 'badge_min_point',
							'type' => 'number',
							'instructions' => '',
							'required' => 1,
							'conditional_logic' => 0,
							'wrapper' => array(
								'width' => '15',
								'class' => '',
								'id' => '',
							),
							'default_value' => '',
							'placeholder' => '',
							'prepend' => 'Min',
							'append' => '',
							'min' => 0,
							'max' => '',
							'step' => '',
						),
						array(
							'key' => 'field_5a55ddd9a3573',
							'label' => 'Badge Max. Posts',
							'name' => 'badge_max_point',
							'type' => 'number',
							'instructions' => '',
							'required' => 0,
							'conditional_logic' => 0,
							'wrapper' => array(
								'width' => '15',
								'class' => '',
								'id' => '',
							),
							'default_value' => '',
							'placeholder' => '',
							'prepend' => 'Max',
							'append' => '',
							'min' => 0,
							'max' => '',
							'step' => '',
						),
						array(
							'key' => 'field_5a55ddd9a3574',
							'label' => 'Badge Title',
							'name' => 'badge_title',
							'type' => 'text',
							'instructions' => '',
							'required' => 1,
							'conditional_logic' => 0,
							'wrapper' => array(
								'width' => '20',
								'class' => '',
								'id' => '',
							),
							'default_value' => '',
							'placeholder' => '',
							'prepend' => 'Text',
							'append' => '',
							'maxlength' => 50,
						),
						array(
							'key' => 'field_5a55ddd9a3575',
							'label' => 'Badge Description',
							'name' => 'badge_description',
							'type' => 'textarea',
							'instructions' => '( optional )',
							'required' => 0,
							'conditional_logic' => 0,
							'wrapper' => array(
								'width' => '30',
								'class' => '',
								'id' => '',
							),
							'default_value' => '',
							'placeholder' => '',
							'maxlength' => '',
							'rows' => 4,
							'new_lines' => '',
						),
						array(
							'key' => 'field_5a55ddd9a3571',
							'label' => 'Badge Icon',
							'name' => 'badge_icon',
							'type' => 'image',
							'instructions' => '',
							'required' => 1,
							'conditional_logic' => 0,
							'wrapper' => array(
								'width' => '20',
								'class' => '',
								'id' => '',
							),
							'return_format' => 'url',
							'preview_size' => 'thumbnail',
							'library' => 'uploadedTo',
							'min_width' => '',
							'min_height' => '',
							'min_size' => '',
							'max_width' => '',
							'max_height' => '',
							'max_size' => 10,
							'mime_types' => '',
						),
					),
					'min' => '',
					'max' => '',
				),
				'5a55ddeca3576' => array(
					'key' => '5a55ddeca3576',
					'name' => 'badges_for_comments',
					'label' => 'Badges For Comments',
					'display' => 'table',
					'sub_fields' => array(
						array(
							'key' => 'field_5a55ddeca3578',
							'label' => 'Badge Min. Comments',
							'name' => 'badge_min_point',
							'type' => 'number',
							'instructions' => '',
							'required' => 1,
							'conditional_logic' => 0,
							'wrapper' => array(
								'width' => '15',
								'class' => '',
								'id' => '',
							),
							'default_value' => '',
							'placeholder' => '',
							'prepend' => 'Min',
							'append' => '',
							'min' => 0,
							'max' => '',
							'step' => '',
						),
						array(
							'key' => 'field_5a55ddeca3579',
							'label' => 'Badge Max. Comments',
							'name' => 'badge_max_point',
							'type' => 'number',
							'instructions' => '',
							'required' => 0,
							'conditional_logic' => 0,
							'wrapper' => array(
								'width' => '15',
								'class' => '',
								'id' => '',
							),
							'default_value' => '',
							'placeholder' => '',
							'prepend' => 'Max',
							'append' => '',
							'min' => 0,
							'max' => '',
							'step' => '',
						),
						array(
							'key' => 'field_5a55ddeca357a',
							'label' => 'Badge Title',
							'name' => 'badge_title',
							'type' => 'text',
							'instructions' => '',
							'required' => 1,
							'conditional_logic' => 0,
							'wrapper' => array(
								'width' => '20',
								'class' => '',
								'id' => '',
							),
							'default_value' => '',
							'placeholder' => '',
							'prepend' => 'Text',
							'append' => '',
							'maxlength' => 50,
						),
						array(
							'key' => 'field_5a55ddeca357b',
							'label' => 'Badge Description',
							'name' => 'badge_description',
							'type' => 'textarea',
							'instructions' => '( optional )',
							'required' => 0,
							'conditional_logic' => 0,
							'wrapper' => array(
								'width' => '30',
								'class' => '',
								'id' => '',
							),
							'default_value' => '',
							'placeholder' => '',
							'maxlength' => '',
							'rows' => 4,
							'new_lines' => '',
						),
						array(
							'key' => 'field_5a55ddeca3577',
							'label' => 'Badge Icon',
							'name' => 'badge_icon',
							'type' => 'image',
							'instructions' => '',
							'required' => 1,
							'conditional_logic' => 0,
							'wrapper' => array(
								'width' => '20',
								'class' => '',
								'id' => '',
							),
							'return_format' => 'url',
							'preview_size' => 'thumbnail',
							'library' => 'all',
							'min_width' => '',
							'min_height' => '',
							'min_size' => '',
							'max_width' => '',
							'max_height' => '',
							'max_size' => 10,
							'mime_types' => '',
						),
					),
					'min' => '',
					'max' => '',
				),
				'5a55de08a357c' => array(
					'key' => '5a55de08a357c',
					'name' => 'badges_for_likes',
					'label' => 'Badges For Likes',
					'display' => 'table',
					'sub_fields' => array(
						array(
							'key' => 'field_5a55de08a357e',
							'label' => 'Badge Min. Likes',
							'name' => 'badge_min_point',
							'type' => 'number',
							'instructions' => '',
							'required' => 1,
							'conditional_logic' => 0,
							'wrapper' => array(
								'width' => '15',
								'class' => '',
								'id' => '',
							),
							'default_value' => '',
							'placeholder' => '',
							'prepend' => 'Min',
							'append' => '',
							'min' => 0,
							'max' => '',
							'step' => '',
						),
						array(
							'key' => 'field_5a55de08a357f',
							'label' => 'Badge Max. Likes',
							'name' => 'badge_max_point',
							'type' => 'number',
							'instructions' => '',
							'required' => 0,
							'conditional_logic' => 0,
							'wrapper' => array(
								'width' => '15',
								'class' => '',
								'id' => '',
							),
							'default_value' => '',
							'placeholder' => '',
							'prepend' => 'Max',
							'append' => '',
							'min' => 0,
							'max' => '',
							'step' => '',
						),
						array(
							'key' => 'field_5a55de08a3580',
							'label' => 'Badge Title',
							'name' => 'badge_title',
							'type' => 'text',
							'instructions' => '',
							'required' => 1,
							'conditional_logic' => 0,
							'wrapper' => array(
								'width' => '20',
								'class' => '',
								'id' => '',
							),
							'default_value' => '',
							'placeholder' => '',
							'prepend' => 'Text',
							'append' => '',
							'maxlength' => 50,
						),
						array(
							'key' => 'field_5a55de08a3581',
							'label' => 'Badge Description',
							'name' => 'badge_description',
							'type' => 'textarea',
							'instructions' => '( optional )',
							'required' => 0,
							'conditional_logic' => 0,
							'wrapper' => array(
								'width' => '30',
								'class' => '',
								'id' => '',
							),
							'default_value' => '',
							'placeholder' => '',
							'maxlength' => '',
							'rows' => 4,
							'new_lines' => '',
						),
						array(
							'key' => 'field_5a55de08a357d',
							'label' => 'Badge Icon',
							'name' => 'badge_icon',
							'type' => 'image',
							'instructions' => '',
							'required' => 1,
							'conditional_logic' => 0,
							'wrapper' => array(
								'width' => '20',
								'class' => '',
								'id' => '',
							),
							'return_format' => 'url',
							'preview_size' => 'thumbnail',
							'library' => 'uploadedTo',
							'min_width' => '',
							'min_height' => '',
							'min_size' => '',
							'max_width' => '',
							'max_height' => '',
							'max_size' => 10,
							'mime_types' => '',
						),
					),
					'min' => '',
					'max' => '',
				),
			),
			'button_label' => 'New Badge',
			'min' => '',
			'max' => '',
		),
		array(
			'key' => 'field_5a5e621f2c193',
			'label' => 'User Points',
			'name' => '',
			'type' => 'tab',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'placement' => 'top',
			'endpoint' => 0,
		),
		array(
			'key' => 'field_5a5e62c52c195',
			'label' => 'Enable User Points',
			'name' => 'enable_user_points',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => 'Enable User Points Option',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_5a5e62ef2c196',
			'label' => 'Submitting a post',
			'name' => 'submitting_a_post',
			'type' => 'number',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5a5e62c52c195',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 1,
			'placeholder' => '',
			'prepend' => 'points',
			'append' => '',
			'min' => '',
			'max' => '',
			'step' => '',
		),
		array(
			'key' => 'field_5a5e631d2c197',
			'label' => 'Get a follower',
			'name' => 'get_a_follower',
			'type' => 'number',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5a5e62c52c195',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 1,
			'placeholder' => '',
			'prepend' => 'points',
			'append' => '',
			'min' => '',
			'max' => '',
			'step' => '',
		),
		array(
			'key' => 'field_5a5e632b2c198',
			'label' => 'Posting a comment',
			'name' => 'posting_a_comment',
			'type' => 'number',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5a5e62c52c195',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 1,
			'placeholder' => '',
			'prepend' => 'points',
			'append' => '',
			'min' => '',
			'max' => '',
			'step' => '',
		),
		array(
			'key' => 'field_5e73768fc9cac',
			'label' => 'User Groups',
			'name' => '',
			'type' => 'tab',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'placement' => 'left',
			'endpoint' => 0,
		),
		array(
			'key' => 'field_5e83b43e385ce',
			'label' => 'Enable User Groups',
			'name' => 'enable_user_groups',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_5e7376a3c9cad',
			'label' => 'User Groups',
			'name' => 'user_groups',
			'type' => 'repeater',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5e83b43e385ce',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '100',
				'class' => '',
				'id' => '',
			),
			'collapsed' => '',
			'min' => 0,
			'max' => 0,
			'layout' => 'block',
			'button_label' => 'New Group',
			'sub_fields' => array(
				array(
					'key' => 'field_5e73772dc9cae',
					'label' => 'Group name',
					'name' => 'group_name',
					'type' => 'text',
					'instructions' => 'Name of this group',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '25',
						'class' => '',
						'id' => '',
					),
					'default_value' => '',
					'placeholder' => '',
					'prepend' => 'Name',
					'append' => '',
					'maxlength' => 50,
				),
				array(
					'key' => 'field_5e737766c9caf',
					'label' => 'Group Color',
					'name' => 'group_color',
					'type' => 'color_picker',
					'instructions' => 'Bckground Color',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '20',
						'class' => '',
						'id' => '',
					),
					'default_value' => '',
				),
				array(
					'key' => 'field_5e73778dc9cb0',
					'label' => 'Group Icon',
					'name' => 'group_icon',
					'type' => 'text',
					'instructions' => 'Select <a href="https://fontawesome.com/icons?m=free" target="_blank">FontAwesome</a> icon code',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '32',
						'class' => '',
						'id' => '',
					),
					'default_value' => '',
					'placeholder' => '<i class="fas fa-crown"></i>',
					'prepend' => 'icon',
					'append' => '',
					'maxlength' => '',
				),
				array(
					'key' => 'field_5e7379b1cccd4',
					'label' => 'Default for new users',
					'name' => 'default_group_for_new_users',
					'type' => 'true_false',
					'instructions' => 'set as default for new users',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '23',
						'class' => '',
						'id' => '',
					),
					'message' => '',
					'default_value' => 0,
					'ui' => 1,
					'ui_on_text' => '',
					'ui_off_text' => '',
				),
				array(
					'key' => 'field_5e865379a58e8',
					'label' => 'Group Users',
					'name' => 'group_users',
					'type' => 'select',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '100',
						'class' => '',
						'id' => '',
					),
					'choices' => array(
					),
					'default_value' => array(
					),
					'allow_null' => 1,
					'multiple' => 1,
					'ui' => 1,
					'ajax' => 1,
					'return_format' => 'value',
					'placeholder' => '',
				),
			),
		),
		array(
			'key' => 'field_5e83b40e8884f',
			'label' => 'Group Permissions',
			'name' => '',
			'type' => 'tab',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5e83b43e385ce',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'placement' => 'left',
			'endpoint' => 0,
		),
		array(
			'key' => 'field_5e83c6c67829c',
			'label' => 'Create posts',
			'name' => 'groups_create_posts',
			'type' => 'checkbox',
			'instructions' => 'Only these group users will be able to create post',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array(
			),
			'allow_custom' => 0,
			'default_value' => array(
			),
			'layout' => 'horizontal',
			'toggle' => 0,
			'return_format' => 'value',
			'save_custom' => 0,
		),
		array(
			'key' => 'field_5e84bcb207b30',
			'label' => 'Create posts without approval',
			'name' => 'groups_create_posts_without_approval',
			'type' => 'checkbox',
			'instructions' => 'These group users will be able to create post without approval',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array(
			),
			'allow_custom' => 0,
			'default_value' => array(
			),
			'layout' => 'horizontal',
			'toggle' => 0,
			'return_format' => 'value',
			'save_custom' => 0,
		),
		array(
			'key' => 'field_5e84bec25347b',
			'label' => 'Edit their own posts',
			'name' => 'groups_edit_their_own_posts',
			'type' => 'checkbox',
			'instructions' => 'These group users will be able to edit their posts',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array(
			),
			'allow_custom' => 0,
			'default_value' => array(
			),
			'layout' => 'horizontal',
			'toggle' => 0,
			'return_format' => 'value',
			'save_custom' => 0,
		),
		array(
			'key' => 'field_5e8e0884d1346',
			'label' => 'View posts',
			'name' => 'groups_view_posts',
			'type' => 'checkbox',
			'instructions' => 'Only these group users will be able to see posts',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array(
			),
			'allow_custom' => 0,
			'default_value' => array(
			),
			'layout' => 'horizontal',
			'toggle' => 0,
			'return_format' => 'value',
			'save_custom' => 0,
		),
		array(
			'key' => 'field_5e922736085be',
			'label' => 'Write comments',
			'name' => 'groups_write_comments',
			'type' => 'checkbox',
			'instructions' => 'These group users will be able to write comments to posts',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array(
			),
			'allow_custom' => 0,
			'default_value' => array(
			),
			'layout' => 'horizontal',
			'toggle' => 0,
			'return_format' => 'value',
			'save_custom' => 0,
		),
		array(
			'key' => 'field_5fd0d91ddd097',
			'label' => 'Membership',
			'name' => '',
			'type' => 'tab',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'placement' => 'left',
			'endpoint' => 0,
		),
		array(
			'key' => 'field_5fd0d93cdd098',
			'label' => 'Enable Membership',
			'name' => 'enable_membership',
			'type' => 'true_false',
			'instructions' => 'Enable membership for your page. Required <strong>WooCommerce Plugin</strong> to use this feature.',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_5fe869e5f0de7',
			'label' => 'Membership Icon',
			'name' => 'membership_icon',
			'type' => 'text',
			'instructions' => 'Select <a href="https://fontawesome.com/icons?m=free" target="_blank">FontAwesome</a> icon code',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5fd0d93cdd098',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '50',
				'class' => '',
				'id' => '',
			),
			'default_value' => '<i class="fas fa-fingerprint	fa-2x"></i>',
			'placeholder' => '',
			'prepend' => 'icon',
			'append' => '',
			'maxlength' => '',
		),
		array(
			'key' => 'field_5fe868ed022ac',
			'label' => 'Restricted Post Title',
			'name' => 'restricted_post_title',
			'type' => 'text',
			'instructions' => 'title for restricted posts',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5fd0d93cdd098',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '50',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'This post is for premium members.',
			'placeholder' => '',
			'prepend' => 'title',
			'append' => '',
			'maxlength' => '',
		),
		array(
			'key' => 'field_5fe86a6df0de9',
			'label' => 'Restricted Post Description',
			'name' => 'restricted_post_description',
			'type' => 'textarea',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5fd0d93cdd098',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'Let\'s buy a plan.',
			'placeholder' => '',
			'maxlength' => '',
			'rows' => 3,
			'new_lines' => '',
		),
		array(
			'key' => 'field_5ffda525a7d38',
			'label' => 'Membership Icon Title',
			'name' => 'membership_icon_title',
			'type' => 'text',
			'instructions' => 'Profile membership icon title',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5fd0d93cdd098',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '50',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'Premium',
			'placeholder' => '',
			'prepend' => 'title',
			'append' => '',
			'maxlength' => '',
		),
		array(
			'key' => 'field_5fe86af2d3783',
			'label' => 'Restricted Post Button Value',
			'name' => 'restricted_post_button_value',
			'type' => 'text',
			'instructions' => 'button value text',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5fd0d93cdd098',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '50',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'See All Plans',
			'placeholder' => '',
			'prepend' => 'button',
			'append' => '',
			'maxlength' => '',
		),
	),
	'location' => array(
		array(
			array(
				'param' => 'options_page',
				'operator' => '==',
				'value' => 'acf-options-lists',
			),
		),
	),
	'menu_order' => 0,
	'position' => 'normal',
	'style' => 'default',
	'label_placement' => 'top',
	'instruction_placement' => 'label',
	'hide_on_screen' => '',
	'active' => true,
	'description' => '',
));

acf_add_local_field_group(array(
	'key' => 'group_5c9bdc5f829e9',
	'title' => 'Menus',
	'fields' => array(
		array(
			'key' => 'field_5c9bdc62674dd',
			'label' => 'Add Badge To Menu',
			'name' => 'add_badge_to_menu',
			'type' => 'true_false',
			'instructions' => 'you can add badge to menu items',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_5c9bdc83674de',
			'label' => 'Badge Text',
			'name' => 'menu_badge_text',
			'type' => 'text',
			'instructions' => 'you can add badge to menu items',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5c9bdc62674dd',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => 'New!',
			'prepend' => 'text',
			'append' => '',
			'maxlength' => '',
		),
		array(
			'key' => 'field_5c9bdcbc674df',
			'label' => 'Badge Background Color',
			'name' => 'menu_badge_background_color',
			'type' => 'color_picker',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5c9bdc62674dd',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
	),
	'location' => array(
		array(
			array(
				'param' => 'nav_menu_item',
				'operator' => '==',
				'value' => 'all',
			),
		),
	),
	'menu_order' => 0,
	'position' => 'normal',
	'style' => 'default',
	'label_placement' => 'top',
	'instruction_placement' => 'label',
	'hide_on_screen' => '',
	'active' => true,
	'description' => '',
));

acf_add_local_field_group(array(
	'key' => 'group_58bc8b265348c',
	'title' => 'Settings',
	'fields' => array(
		array(
			'key' => 'field_58519d525afb0',
			'label' => 'Page Logo',
			'name' => 'page_logo',
			'type' => 'image',
			'instructions' => 'Set an image to page logo',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '50',
				'class' => '',
				'id' => '',
			),
			'return_format' => 'array',
			'preview_size' => 'thumbnail',
			'library' => 'uploadedTo',
			'min_width' => '',
			'min_height' => '',
			'min_size' => '',
			'max_width' => '',
			'max_height' => '',
			'max_size' => '',
			'mime_types' => '',
		),
		array(
			'key' => 'field_5894e65d6db87',
			'label' => 'Mobile Page Logo',
			'name' => 'mobile_page_logo',
			'type' => 'image',
			'instructions' => 'Select mobile logo . We recommend using square image.',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '50',
				'class' => '',
				'id' => '',
			),
			'return_format' => 'array',
			'preview_size' => 'thumbnail',
			'library' => 'uploadedTo',
			'min_width' => '',
			'min_height' => '',
			'min_size' => '',
			'max_width' => '',
			'max_height' => '',
			'max_size' => '',
			'mime_types' => '',
		),
		array(
			'key' => 'field_58505951c4ed2',
			'label' => 'General Settings',
			'name' => '',
			'type' => 'tab',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'placement' => 'top',
			'endpoint' => 0,
		),
		array(
			'key' => 'field_5850595bc4ed3',
			'label' => 'Disable Users To Submit Posts',
			'name' => 'disable_users_submit',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => 'Disable Users To Submit Posts',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_5850597dc4ed4',
			'label' => 'Disable News',
			'name' => 'disable_news',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5850595bc4ed3',
						'operator' => '!=',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => 'Disable Users to Submit News',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_585059a0c4ed5',
			'label' => 'Disable Video',
			'name' => 'disable_video',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5850595bc4ed3',
						'operator' => '!=',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => 'Disable Users to Submit Video',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_585059b6c4ed6',
			'label' => 'Disable Image',
			'name' => 'disable_image',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5850595bc4ed3',
						'operator' => '!=',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => 'Disable Users to Submit Image',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_5eef51b56ab0b',
			'label' => 'Disable Music',
			'name' => 'disable_music',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5850595bc4ed3',
						'operator' => '!=',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => 'Disable Users to Submit Music',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_5c9ba55568bf6',
			'label' => 'Enable Night Mode',
			'name' => 'enable_night_mode',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => 'visitors will be able to select night mode',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_5c9ba5a868bf7',
			'label' => 'Night Mode Logo',
			'name' => 'night_mode_logo',
			'type' => 'image',
			'instructions' => 'Select a logo for night mode',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5c9ba55568bf6',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '50',
				'class' => '',
				'id' => '',
			),
			'return_format' => 'array',
			'preview_size' => 'thumbnail',
			'library' => 'all',
			'min_width' => '',
			'min_height' => '',
			'min_size' => '',
			'max_width' => '',
			'max_height' => '',
			'max_size' => '',
			'mime_types' => '',
		),
		array(
			'key' => 'field_5e4fba72e9cd5',
			'label' => 'Night Mode Mobile Logo',
			'name' => 'night_mode_mobile_logo',
			'type' => 'image',
			'instructions' => 'Select a logo for night mode for mobile view',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5c9ba55568bf6',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '50',
				'class' => '',
				'id' => '',
			),
			'return_format' => 'array',
			'preview_size' => 'thumbnail',
			'library' => 'all',
			'min_width' => '',
			'min_height' => '',
			'min_size' => '',
			'max_width' => '',
			'max_height' => '',
			'max_size' => '',
			'mime_types' => '',
		),
		array(
			'key' => 'field_58599116f2877',
			'label' => 'NSFW Settings',
			'name' => '',
			'type' => 'message',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => 'You can enable or NSFW option',
			'new_lines' => 'wpautop',
			'esc_html' => 0,
		),
		array(
			'key' => 'field_58599151f2878',
			'label' => 'Enable NSFW for News',
			'name' => 'enable_nsfw_for_news',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => 'Enable NSFW for News',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_58599184f2879',
			'label' => 'Enable NSFW for Videos',
			'name' => 'enable_nsfw_for_videos',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => 'Enable NSFW for Videos',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_58599193f287a',
			'label' => 'Enable NSFW for Images',
			'name' => 'enable_nsfw_for_images',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => 'Enable NSFW for Images',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_58dae233761cc',
			'label' => 'Load More Button Show',
			'name' => 'load_more_button_show',
			'type' => 'number',
			'instructions' => 'shows a trigger after page * loaded',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '50',
				'class' => '',
				'id' => '',
			),
			'default_value' => 1,
			'placeholder' => '',
			'prepend' => 'Page',
			'append' => '',
			'min' => 0,
			'max' => 150,
			'step' => '',
		),
		array(
			'key' => 'field_597bbe9f58b70',
			'label' => 'Enable RTL',
			'name' => 'enable_rtl',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => 'Enable Rtl',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_58505945c4ed1',
			'label' => 'Registration',
			'name' => '',
			'type' => 'tab',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'placement' => 'top',
			'endpoint' => 0,
		),
		array(
			'key' => 'field_58505b59edb1c',
			'label' => 'Enable recaptcha',
			'name' => 'enable_recaptcha',
			'type' => 'true_false',
			'instructions' => 'Enable recaptcha for register page',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => 'Enable recaptcha',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_58505b78edb1d',
			'label' => 'Google Recaptcha Site key',
			'name' => 'recaptcha_key',
			'type' => 'text',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_58505b59edb1c',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => '',
			'prepend' => 'Site Key',
			'append' => '',
			'formatting' => 'none',
			'maxlength' => '',
		),
		array(
			'key' => 'field_58505bb2edb1e',
			'label' => 'Google Recaptcha Secret key',
			'name' => 'recaptcha_secret',
			'type' => 'text',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_58505b59edb1c',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => '',
			'prepend' => 'Secret key',
			'append' => '',
			'formatting' => 'none',
			'maxlength' => '',
		),
		array(
			'key' => 'field_5b41358c65287',
			'label' => 'Enable Allowed Emails',
			'name' => 'enable_allowed_emails',
			'type' => 'true_false',
			'instructions' => 'Enable allowed emails for register page',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_5b4135b865288',
			'label' => 'Allowed Emails',
			'name' => 'allowed_emails',
			'type' => 'repeater',
			'instructions' => 'add allowed email addresses for registration page, for example: gmail.com',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5b41358c65287',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'collapsed' => '',
			'min' => 0,
			'max' => 0,
			'layout' => 'block',
			'button_label' => 'Add One More',
			'sub_fields' => array(
				array(
					'key' => 'field_5b41360b65289',
					'label' => 'Allowed Email',
					'name' => 'allowed_email',
					'type' => 'text',
					'instructions' => 'add email addresses per input',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'default_value' => '',
					'placeholder' => 'for example : gmail.com',
					'prepend' => 'email source',
					'append' => '',
					'maxlength' => '',
				),
			),
		),
		array(
			'key' => 'field_5ceaa10ab26af',
			'label' => 'Enable Age Verification',
			'name' => 'enable_age_verification',
			'type' => 'true_false',
			'instructions' => 'Enable age verification for register page',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_5ceaa116b26b0',
			'label' => 'Minimum Age for Registration',
			'name' => 'minimum_age_for_registration',
			'type' => 'number',
			'instructions' => 'the minimum age requirements to register your page',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5ceaa10ab26af',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 13,
			'placeholder' => '',
			'prepend' => 'Age',
			'append' => '',
			'min' => 1,
			'max' => 200,
			'step' => '',
		),
		array(
			'key' => 'field_58505d44da944',
			'label' => 'Social Logins',
			'name' => '',
			'type' => 'message',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => 'Social login settings',
			'new_lines' => 'wpautop',
			'esc_html' => 0,
		),
		array(
			'key' => 'field_57d9b645ca86f',
			'label' => 'Enable Facebook Login and Register',
			'name' => 'enable_facebook_login',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => 'Enable Facebook Login and Register',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_57d9b66eca870',
			'label' => 'Facebook App ID',
			'name' => 'facebook_app_id',
			'type' => 'text',
			'instructions' => '',
			'required' => 1,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_57d9b645ca86f',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => '',
			'prepend' => 'App ID',
			'append' => '',
			'formatting' => 'none',
			'maxlength' => '',
		),
		array(
			'key' => 'field_57d9b6cbca871',
			'label' => 'Facebook Secret Key',
			'name' => 'facebook_secret_key',
			'type' => 'text',
			'instructions' => '',
			'required' => 1,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_57d9b645ca86f',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => '',
			'prepend' => 'Secret Key',
			'append' => '',
			'formatting' => 'none',
			'maxlength' => '',
		),
		array(
			'key' => 'field_57d9c80dcd294',
			'label' => 'Enable Google Login and Register',
			'name' => 'enable_googleplus_login',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => 'Enable Google Login and Register',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_57d9c873cd296',
			'label' => 'Google+ Client ID',
			'name' => 'googleplus_client_id',
			'type' => 'text',
			'instructions' => '',
			'required' => 1,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_57d9c80dcd294',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => '',
			'prepend' => 'Client ID',
			'append' => '',
			'formatting' => 'none',
			'maxlength' => '',
		),
		array(
			'key' => 'field_57d9c8a2cd297',
			'label' => 'Google+ Client Secret',
			'name' => 'googleplus_client_secret',
			'type' => 'text',
			'instructions' => '',
			'required' => 1,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_57d9c80dcd294',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => '',
			'prepend' => 'Client Secret',
			'append' => '',
			'formatting' => 'none',
			'maxlength' => '',
		),
		array(
			'key' => 'field_5ab16883a1965',
			'label' => 'Enable Social Logins in Modal',
			'name' => 'enable_social_logins_in_modal',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_57d9b645ca86f',
						'operator' => '==',
						'value' => '1',
					),
				),
				array(
					array(
						'field' => 'field_57d9c80dcd294',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => 'Enable Google+ and Facebook Login in modal box',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_58505c966cb4a',
			'label' => 'TermsConditions',
			'name' => '',
			'type' => 'message',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => 'Terms and Conditions Text',
			'new_lines' => 'wpautop',
			'esc_html' => 0,
		),
		array(
			'key' => 'field_58505c1d656ae',
			'label' => 'Enable Terms and Conditions',
			'name' => 'enable_terms_and_conditions',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => 'Enable Terms and Conditions on register page',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_58505c38656af',
			'label' => 'Terms and Conditions',
			'name' => 'terms_and_conditions',
			'type' => 'textarea',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_58505c1d656ae',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => 'page terms and conditions for users',
			'maxlength' => '',
			'rows' => 10,
			'new_lines' => '',
		),
		array(
			'key' => 'field_591ccb719720f',
			'label' => 'Users',
			'name' => '',
			'type' => 'tab',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'placement' => 'top',
			'endpoint' => 0,
		),
		array(
			'key' => 'field_5e760eb00fbe2',
			'label' => 'Show user results in search',
			'name' => 'show_user_results_in_search',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => 'display user search results in search page',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_5cf15178e5bee',
			'label' => 'Enable Category Follow',
			'name' => 'enable_category_follow',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => 'Allow users to follow categories',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_5cf151e3e5bef',
			'label' => 'Enable Tag Follow',
			'name' => 'enable_tag_follow',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => 'Allow users to follow tags',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_591cc88deaabc',
			'label' => 'Enable Private Messages',
			'name' => 'enable_private_messages',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => 'Enable private messages between members',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_58505a0bc4ed7',
			'label' => 'Only verified users can create posts',
			'name' => 'only_verified',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => 'If you enable this only verified users can create posts',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_58505a4ec4ed8',
			'label' => 'Do not use moderation for verified users posts',
			'name' => 'verified_posts',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => 'if you enable this, verified users posts will be published without moderation',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_5962a60ced4f8',
			'label' => 'Default Avatar',
			'name' => 'default_avatar',
			'type' => 'image',
			'instructions' => 'For users without a custom avatar of their own, you can either display a generic logo',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'return_format' => 'array',
			'preview_size' => 'thumbnail',
			'library' => 'uploadedTo',
			'min_width' => '',
			'min_height' => '',
			'min_size' => '',
			'max_width' => '',
			'max_height' => '',
			'max_size' => 4,
			'mime_types' => 'jpg, png, gif, jpeg',
		),
		array(
			'key' => 'field_5962a9f8d8a5c',
			'label' => 'Default Cover',
			'name' => 'default_cover',
			'type' => 'image',
			'instructions' => 'Custom cover image for user\'s profile page',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'return_format' => 'array',
			'preview_size' => 'thumbnail',
			'library' => 'uploadedTo',
			'min_width' => '',
			'min_height' => '',
			'min_size' => '',
			'max_width' => '',
			'max_height' => '',
			'max_size' => 8,
			'mime_types' => 'jpg, png, gif, jpeg',
		),
		array(
			'key' => 'field_58505a6fc4ed9',
			'label' => 'Max. Avatar Size',
			'name' => 'max_avatar_size',
			'type' => 'number',
			'instructions' => 'Max. avatar size for users',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 2,
			'placeholder' => '',
			'prepend' => 'MB',
			'append' => '',
			'min' => 0,
			'max' => 10,
			'step' => '',
		),
		array(
			'key' => 'field_58505a95c4eda',
			'label' => 'Max. Cover Size',
			'name' => 'max_cover_size',
			'type' => 'number',
			'instructions' => 'Max. cover size for users',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 2,
			'placeholder' => '',
			'prepend' => 'MB',
			'append' => '',
			'min' => 0,
			'max' => 20,
			'step' => '',
		),
		array(
			'key' => 'field_58866ca1459fd',
			'label' => 'Social Share',
			'name' => '',
			'type' => 'tab',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'placement' => 'top',
			'endpoint' => 0,
		),
		array(
			'key' => 'field_5e8a0bcd4e8f8',
			'label' => 'Social Share Style',
			'name' => 'social_share_style',
			'type' => 'radio',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array(
				'share-1' => '<img src="../wp-content/themes/king/layouts/imgs/grid/share-v1.svg" height="175" width="175" />',
				'share-2' => '<img src="../wp-content/themes/king/layouts/imgs/grid/share-v2.svg" height="175" width="175" />',
			),
			'allow_null' => 0,
			'other_choice' => 0,
			'default_value' => '',
			'layout' => 'horizontal',
			'return_format' => 'value',
			'save_other_choice' => 0,
		),
		array(
			'key' => 'field_58866cd9459ff',
			'label' => 'Social Share Settings',
			'name' => '',
			'type' => 'message',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => 'Facebook App ID and Secret Key required to count facebook share. You can create an app after login <a href="https://developers.facebook.com/" target="_blank">HERE</a>',
			'new_lines' => 'wpautop',
			'esc_html' => 0,
		),
		array(
			'key' => 'field_58866cb0459fe',
			'label' => 'Facebook App ID',
			'name' => 'facebook_share_app_id',
			'type' => 'text',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => '',
			'prepend' => 'App ID',
			'append' => '',
			'formatting' => 'none',
			'maxlength' => '',
		),
		array(
			'key' => 'field_58866d8945a00',
			'label' => 'Facebook Secret Key',
			'name' => 'facebook_share_secret_key',
			'type' => 'text',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => '',
			'prepend' => 'Secret Key',
			'append' => '',
			'formatting' => 'none',
			'maxlength' => '',
		),
		array(
			'key' => 'field_5945ad8eec21b',
			'label' => 'Facebook access token',
			'name' => 'facebook_access_token',
			'type' => 'text',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => 'hidden',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => '',
			'prepend' => 'Access',
			'append' => '',
			'maxlength' => '',
		),
		array(
			'key' => 'field_58867bfc5820a',
			'label' => 'Display or Hide Share Buttons',
			'name' => '',
			'type' => 'message',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => 'Display or Hide Share Buttons',
			'new_lines' => 'wpautop',
			'esc_html' => 0,
		),
		array(
			'key' => 'field_58867c7f5820b',
			'label' => 'Display Thumblr Share Button',
			'name' => 'display_thumblr_share_button',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => 'Display Thumblr Share Button',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_58867cab5820c',
			'label' => 'Display Linkedin Share Button',
			'name' => 'display_linkedin_share_button',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => 'Display Linkedin Share Button',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_58867cc25820d',
			'label' => 'Display Pinterest Share Button',
			'name' => 'display_pinterest_share_button',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => 'Display Pinterest Share Button',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_58867cd65820e',
			'label' => 'Display VK Share Button',
			'name' => 'display_vk_share_button',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => 'Display VK Share Button',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_59025c9640fcd',
			'label' => 'Display Whatsapp Share Button',
			'name' => 'display_wapp_share_button',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => 'Display Whatsapp Share Button in mobile view',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_588fa0bac1507',
			'label' => 'Submit Page',
			'name' => '',
			'type' => 'tab',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'placement' => 'top',
			'endpoint' => 0,
		),
		array(
			'key' => 'field_5c9ba7100c467',
			'label' => 'Enable Save Posts',
			'name' => 'enable_save_posts',
			'type' => 'true_false',
			'instructions' => 'Authors will be able to save posts as draft',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_5cea9bea2aa64',
			'label' => 'Disable post moderation',
			'name' => 'disable_post_moderation',
			'type' => 'true_false',
			'instructions' => 'All users posts will be published automatically without moderation',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_588fa0d0c1508',
			'label' => 'Maximum Title Length',
			'name' => 'maximum_title_length',
			'type' => 'number',
			'instructions' => 'Maximum length of post title',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 140,
			'placeholder' => '',
			'prepend' => 'characters',
			'append' => '',
			'min' => 10,
			'max' => 1200,
			'step' => 10,
		),
		array(
			'key' => 'field_588fae418b17f',
			'label' => 'Maximum Content Length',
			'name' => 'maximum_content_length',
			'type' => 'number',
			'instructions' => 'Maximum length of post content',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 2000,
			'placeholder' => '',
			'prepend' => 'characters',
			'append' => '',
			'min' => 10,
			'max' => 8000,
			'step' => 10,
		),
		array(
			'key' => 'field_597bc29558c8a',
			'label' => 'Maximum File Upload Size',
			'name' => 'max_file_u_size',
			'type' => 'number',
			'instructions' => 'Maximum File Upload Size',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 2,
			'placeholder' => '',
			'prepend' => 'MB',
			'append' => '',
			'min' => 1,
			'max' => 1000,
			'step' => 1,
		),
		array(
			'key' => 'field_590ba0bcfa337',
			'label' => 'Disable Video and Mp3 upload',
			'name' => 'disable_video_and_mp3_upload',
			'type' => 'true_false',
			'instructions' => 'Disable Video and Mp3 upload in video submit page',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_5eefcef17a29a',
			'label' => 'Disable Creating Playlist',
			'name' => 'disable_creating_playlist',
			'type' => 'true_false',
			'instructions' => 'Disable creating playlist for video and music submission on front-end',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_59c9862afac51',
			'label' => 'Enable embed code adding',
			'name' => 'enable_embed_code_adding',
			'type' => 'true_false',
			'instructions' => 'Enable embed code adding in video submit page',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_5a27076c77513',
			'label' => 'Facebook User Access Token',
			'name' => 'facebook_user_access_token',
			'type' => 'text',
			'instructions' => 'Need this to create thumbnail for Facebook Videos, you can get your user access token <a href="https://developers.facebook.com/tools/accesstoken/" target="_blank">HERE</a>',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => '',
			'prepend' => 'FB User Access',
			'append' => '',
			'maxlength' => '',
		),
		array(
			'key' => 'field_58caff33cd44c',
			'label' => 'Reactions',
			'name' => '',
			'type' => 'tab',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'placement' => 'top',
			'endpoint' => 0,
		),
		array(
			'key' => 'field_58caff4ccd44d',
			'label' => 'Enable Reactions',
			'name' => 'enable_reactions',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => 'Enable Reactions for your page',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_5a5e5a964ea35',
			'label' => 'Enable Reactions Without Comments',
			'name' => 'enable_reactions_without_comments',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => 'Enable Reactions without comments in post page',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_58caff85cd44e',
			'label' => 'Display Reactions Results Block',
			'name' => 'display_reactions_block',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_58caff4ccd44d',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => 'Display Reactions block in post page',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_58cb233146f1f',
			'label' => 'Reactions Title in comment form',
			'name' => 'reactions_title_in_comment_form',
			'type' => 'text',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_58caff4ccd44d',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => 'Reactions',
			'prepend' => 'text',
			'append' => '',
			'maxlength' => 100,
		),
		array(
			'key' => 'field_58cb0162d8099',
			'label' => '1st Reaction',
			'name' => '',
			'type' => 'message',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_58caff4ccd44d',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'new_lines' => 'wpautop',
			'esc_html' => 0,
		),
		array(
			'key' => 'field_58cb0048d7754',
			'label' => 'Like',
			'name' => '1st_reaction',
			'type' => 'image',
			'instructions' => 'Minimum size: 42px | 42px',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_58caff4ccd44d',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '50',
				'class' => '',
				'id' => '',
			),
			'return_format' => 'url',
			'preview_size' => 'thumbnail',
			'library' => 'uploadedTo',
			'min_width' => 42,
			'min_height' => 42,
			'min_size' => '',
			'max_width' => 800,
			'max_height' => 800,
			'max_size' => 5,
			'mime_types' => 'jpeg, png, gif, jpg,',
		),
		array(
			'key' => 'field_58cb01a1d809a',
			'label' => '1st Reaction Text',
			'name' => '1st_reaction_text',
			'type' => 'text',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_58caff4ccd44d',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '50',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => 'Like',
			'prepend' => 'text',
			'append' => '',
			'maxlength' => 100,
		),
		array(
			'key' => 'field_58cb02debe50e',
			'label' => '2nd Reaction',
			'name' => '',
			'type' => 'message',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_58caff4ccd44d',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'new_lines' => 'wpautop',
			'esc_html' => 0,
		),
		array(
			'key' => 'field_58cb038c97f33',
			'label' => 'Love',
			'name' => '2nd_reaction',
			'type' => 'image',
			'instructions' => 'Minimum size: 42px | 42px',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_58caff4ccd44d',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '50',
				'class' => '',
				'id' => '',
			),
			'return_format' => 'url',
			'preview_size' => 'thumbnail',
			'library' => 'uploadedTo',
			'min_width' => 42,
			'min_height' => 42,
			'min_size' => '',
			'max_width' => 400,
			'max_height' => 400,
			'max_size' => 5,
			'mime_types' => 'jpeg, png, gif, jpg,',
		),
		array(
			'key' => 'field_58cb03ef97f38',
			'label' => '2nd Reaction Text',
			'name' => '2nd_reaction_text',
			'type' => 'text',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_58caff4ccd44d',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '50',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => 'Love',
			'prepend' => 'text',
			'append' => '',
			'maxlength' => 100,
		),
		array(
			'key' => 'field_58cb0323be50f',
			'label' => '3rd Reaction',
			'name' => '',
			'type' => 'message',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_58caff4ccd44d',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'new_lines' => 'wpautop',
			'esc_html' => 0,
		),
		array(
			'key' => 'field_58cb03a897f34',
			'label' => 'Haha',
			'name' => '3rd_reaction',
			'type' => 'image',
			'instructions' => 'Minimum size: 42px | 42px',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_58caff4ccd44d',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '50',
				'class' => '',
				'id' => '',
			),
			'return_format' => 'url',
			'preview_size' => 'thumbnail',
			'library' => 'uploadedTo',
			'min_width' => 42,
			'min_height' => 42,
			'min_size' => '',
			'max_width' => 400,
			'max_height' => 400,
			'max_size' => 5,
			'mime_types' => 'jpeg, png, gif, jpg,',
		),
		array(
			'key' => 'field_58cb040e97f39',
			'label' => '3rd Reaction Text',
			'name' => '3rd_reaction_text',
			'type' => 'text',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_58caff4ccd44d',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '50',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => 'Haha',
			'prepend' => 'text',
			'append' => '',
			'maxlength' => 100,
		),
		array(
			'key' => 'field_58cb0331be510',
			'label' => '4th Reaction',
			'name' => '',
			'type' => 'message',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_58caff4ccd44d',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'new_lines' => 'wpautop',
			'esc_html' => 0,
		),
		array(
			'key' => 'field_58cb03b597f35',
			'label' => 'Wow',
			'name' => '4th_reaction',
			'type' => 'image',
			'instructions' => 'Minimum size: 42px | 42px',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_58caff4ccd44d',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '50',
				'class' => '',
				'id' => '',
			),
			'return_format' => 'url',
			'preview_size' => 'thumbnail',
			'library' => 'uploadedTo',
			'min_width' => 42,
			'min_height' => 42,
			'min_size' => '',
			'max_width' => 400,
			'max_height' => 400,
			'max_size' => 5,
			'mime_types' => 'jpeg, png, gif, jpg,',
		),
		array(
			'key' => 'field_58cb042397f3a',
			'label' => '4th Reaction Text',
			'name' => '4th_reaction_text',
			'type' => 'text',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_58caff4ccd44d',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '50',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => 'Wow',
			'prepend' => 'text',
			'append' => '',
			'maxlength' => 100,
		),
		array(
			'key' => 'field_58cb033bbe512',
			'label' => '5th Reaction',
			'name' => '',
			'type' => 'message',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_58caff4ccd44d',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'new_lines' => 'wpautop',
			'esc_html' => 0,
		),
		array(
			'key' => 'field_58cb03c897f36',
			'label' => 'Sad',
			'name' => '5th_reaction',
			'type' => 'image',
			'instructions' => 'Minimum size: 42px | 42px',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_58caff4ccd44d',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '50',
				'class' => '',
				'id' => '',
			),
			'return_format' => 'url',
			'preview_size' => 'thumbnail',
			'library' => 'uploadedTo',
			'min_width' => 42,
			'min_height' => 42,
			'min_size' => '',
			'max_width' => 400,
			'max_height' => 400,
			'max_size' => 5,
			'mime_types' => 'jpeg, png, gif, jpg,',
		),
		array(
			'key' => 'field_58cb043e97f3b',
			'label' => '5th Reaction Text',
			'name' => '5th_reaction_text',
			'type' => 'text',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_58caff4ccd44d',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '50',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => 'Sad',
			'prepend' => 'text',
			'append' => '',
			'maxlength' => 100,
		),
		array(
			'key' => 'field_58cb034abe513',
			'label' => '6th Reaction',
			'name' => '',
			'type' => 'message',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_58caff4ccd44d',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'new_lines' => 'wpautop',
			'esc_html' => 0,
		),
		array(
			'key' => 'field_58cb03d597f37',
			'label' => 'Angry',
			'name' => '6th_reaction',
			'type' => 'image',
			'instructions' => 'Minimum size: 42px | 42px',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_58caff4ccd44d',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '50',
				'class' => '',
				'id' => '',
			),
			'return_format' => 'url',
			'preview_size' => 'thumbnail',
			'library' => 'uploadedTo',
			'min_width' => 42,
			'min_height' => 42,
			'min_size' => '',
			'max_width' => 400,
			'max_height' => 400,
			'max_size' => 5,
			'mime_types' => 'jpeg, png, gif, jpg,',
		),
		array(
			'key' => 'field_58cb044b97f3c',
			'label' => '6th Reaction Text',
			'name' => '6th_reaction_text',
			'type' => 'text',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_58caff4ccd44d',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '50',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => 'Angry',
			'prepend' => 'text',
			'append' => '',
			'maxlength' => 100,
		),
		array(
			'key' => 'field_5a3c362f08c02',
			'label' => 'AMP',
			'name' => '',
			'type' => 'tab',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'placement' => 'top',
			'endpoint' => 0,
		),
		array(
			'key' => 'field_5a3c373608c03',
			'label' => 'Enable AMP',
			'name' => 'enable_amp',
			'type' => 'true_false',
			'instructions' => 'Enable Google accelerated mobile pages ( AMP )',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_5a4bf625a9545',
			'label' => 'AMP Share Options',
			'name' => 'amp_share_options',
			'type' => 'checkbox',
			'instructions' => 'AMP Share Options',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5a3c373608c03',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array(
				'facebook' => 'Facebook',
				'twitter' => 'Twitter',
				'google_plus' => 'Google Plus',
				'whatsapp' => 'WhatsApp',
				'sms' => 'SMS',
				'email' => 'E-mail',
			),
			'allow_custom' => 0,
			'save_custom' => 0,
			'default_value' => array(
				0 => 'facebook',
				1 => 'twitter',
				2 => 'google_plus',
				3 => 'whatsapp',
				4 => 'sms',
				5 => 'email',
			),
			'layout' => 'horizontal',
			'toggle' => 0,
			'return_format' => 'value',
		),
		array(
			'key' => 'field_5a4bf05004466',
			'label' => 'Amp Customization',
			'name' => '',
			'type' => 'message',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5a3c373608c03',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'new_lines' => '',
			'esc_html' => 0,
		),
		array(
			'key' => 'field_5a4bf2a752501',
			'label' => 'Amp Body Background Color',
			'name' => 'amp_body_background_color',
			'type' => 'color_picker',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5a3c373608c03',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_5a4bf0c904467',
			'label' => 'Amp Header Background',
			'name' => 'amp_header_background',
			'type' => 'color_picker',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5a3c373608c03',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_5a4bf320b9bd4',
			'label' => 'Amp Container Background',
			'name' => 'amp_container_background',
			'type' => 'color_picker',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5a3c373608c03',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_5a4bf38cb9bd5',
			'label' => 'Amp Container Text Color',
			'name' => 'amp_container_text_color',
			'type' => 'color_picker',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5a3c373608c03',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_5a4bf42559121',
			'label' => 'Amp Share Box Background',
			'name' => 'amp_share_box_background',
			'type' => 'color_picker',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5a3c373608c03',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_5a4bf4c92fd47',
			'label' => 'Amp Custom CSS',
			'name' => 'amp_custom_css',
			'type' => 'textarea',
			'instructions' => 'Custom css for the Amp page',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5a3c373608c03',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => '',
			'maxlength' => '',
			'rows' => '',
			'new_lines' => '',
		),
		array(
			'key' => 'field_5cf2b3a525dfc',
			'label' => 'Texts',
			'name' => '',
			'type' => 'tab',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'placement' => 'top',
			'endpoint' => 0,
		),
		array(
			'key' => 'field_5cf2b41025dfe',
			'label' => 'Enable Text Translation',
			'name' => 'enable_text_translation',
			'type' => 'true_false',
			'instructions' => 'You can translate some texts in king theme',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_5cf2b3cf25dfd',
			'label' => 'News',
			'name' => 'news_text',
			'type' => 'text',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5cf2b41025dfe',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '50',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => 'new text here',
			'prepend' => 'News',
			'append' => '',
			'maxlength' => 50,
		),
		array(
			'key' => 'field_5cf2b4e71e0eb',
			'label' => 'Video',
			'name' => 'videos_text',
			'type' => 'text',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5cf2b41025dfe',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '50',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => 'new text here',
			'prepend' => 'Video',
			'append' => '',
			'maxlength' => 50,
		),
		array(
			'key' => 'field_5cf2b52795a06',
			'label' => 'Submit News',
			'name' => 'submit_news_text',
			'type' => 'text',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5cf2b41025dfe',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '50',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => 'new text here',
			'prepend' => 'Submit News',
			'append' => '',
			'maxlength' => 50,
		),
		array(
			'key' => 'field_5cf2b54195a07',
			'label' => 'Submit Video',
			'name' => 'submit_video_text',
			'type' => 'text',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5cf2b41025dfe',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '50',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => 'new text here',
			'prepend' => 'Submit Video',
			'append' => '',
			'maxlength' => 50,
		),
		array(
			'key' => 'field_5cf2b63a2c40f',
			'label' => 'Image',
			'name' => 'image_text',
			'type' => 'text',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5cf2b41025dfe',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '50',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => 'new text here',
			'prepend' => 'Image',
			'append' => '',
			'maxlength' => 50,
		),
		array(
			'key' => 'field_5ef7c280c4b2e',
			'label' => 'Music',
			'name' => 'music_text',
			'type' => 'text',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5cf2b41025dfe',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '50',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => 'new text here',
			'prepend' => 'Music',
			'append' => '',
			'maxlength' => 50,
		),
		array(
			'key' => 'field_5cf2b69f2c411',
			'label' => 'Submit Image',
			'name' => 'submit_image_text',
			'type' => 'text',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5cf2b41025dfe',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '50',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => 'new text here',
			'prepend' => 'Submit Image',
			'append' => '',
			'maxlength' => 50,
		),
		array(
			'key' => 'field_5ef7c2a0c4b2f',
			'label' => 'Submit Music',
			'name' => 'submit_music_text',
			'type' => 'text',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5cf2b41025dfe',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '50',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => 'new text here',
			'prepend' => 'Submit Music',
			'append' => '',
			'maxlength' => 50,
		),
		array(
			'key' => 'field_5cf2b6542c410',
			'label' => 'featured',
			'name' => 'featured_text',
			'type' => 'text',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5cf2b41025dfe',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '50',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => 'new text here',
			'prepend' => 'featured',
			'append' => '',
			'maxlength' => 50,
		),
		array(
			'key' => 'field_5cf2b6b92c412',
			'label' => 'trending',
			'name' => 'trending_text',
			'type' => 'text',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5cf2b41025dfe',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '50',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => 'new text here',
			'prepend' => 'trending',
			'append' => '',
			'maxlength' => 50,
		),
		array(
			'key' => 'field_5cf3b0aab5c12',
			'label' => 'My Settings',
			'name' => 'my_settings_text',
			'type' => 'text',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5cf2b41025dfe',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '50',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => 'new text here',
			'prepend' => 'My Settings',
			'append' => '',
			'maxlength' => 50,
		),
		array(
			'key' => 'field_5cf3b0c7b5c13',
			'label' => 'Inbox',
			'name' => 'inbox_text',
			'type' => 'text',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5cf2b41025dfe',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '50',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => 'new text here',
			'prepend' => 'Inbox',
			'append' => '',
			'maxlength' => 50,
		),
		array(
			'key' => 'field_5cf3b100b5c15',
			'label' => 'Private Messages',
			'name' => 'private_messages_text',
			'type' => 'text',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5cf2b41025dfe',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '50',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => 'new text here',
			'prepend' => 'Private Messages',
			'append' => '',
			'maxlength' => 50,
		),
		array(
			'key' => 'field_5cf3b0ddb5c14',
			'label' => 'My Dashboard',
			'name' => 'my_dashboard_text',
			'type' => 'text',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5cf2b41025dfe',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '50',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => 'new text here',
			'prepend' => 'My Dashboard',
			'append' => '',
			'maxlength' => 50,
		),
		array(
			'key' => 'field_5cf3b201ae737',
			'label' => 'Submit Post',
			'name' => 'submit_post_text',
			'type' => 'text',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5cf2b41025dfe',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '50',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => 'new text here',
			'prepend' => 'Submit Post',
			'append' => '',
			'maxlength' => 50,
		),
		array(
			'key' => 'field_5cf3b221ae738',
			'label' => 'Save',
			'name' => 'save_text',
			'type' => 'text',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5cf2b41025dfe',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '50',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => 'new text here',
			'prepend' => 'Save',
			'append' => '',
			'maxlength' => 50,
		),
		array(
			'key' => 'field_5cf3b23aae739',
			'label' => 'Add New',
			'name' => 'add_new_text',
			'type' => 'text',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5cf2b41025dfe',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '50',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => 'new text here',
			'prepend' => 'Add New',
			'append' => '',
			'maxlength' => 50,
		),
		array(
			'key' => 'field_5cf3b32a80ccf',
			'label' => 'Select Image',
			'name' => 'select_image_text',
			'type' => 'text',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5cf2b41025dfe',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '50',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => 'new text here',
			'prepend' => 'Select Image',
			'append' => '',
			'maxlength' => 50,
		),
		array(
			'key' => 'field_5f860d34ab24d',
			'label' => 'Bookmark',
			'name' => 'bookmark_text',
			'type' => 'text',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5cf2b41025dfe',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '50',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => 'new text here',
			'prepend' => 'Bookmark',
			'append' => '',
			'maxlength' => 50,
		),
		array(
			'key' => 'field_5f860d65ab24e',
			'label' => 'My Bookmarks',
			'name' => 'my_bookmarks_text',
			'type' => 'text',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5cf2b41025dfe',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '50',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => 'new text here',
			'prepend' => 'My Bookmarks',
			'append' => '',
			'maxlength' => 50,
		),
	),
	'location' => array(
		array(
			array(
				'param' => 'options_page',
				'operator' => '==',
				'value' => 'acf-options-settings',
			),
		),
	),
	'menu_order' => 0,
	'position' => 'normal',
	'style' => 'default',
	'label_placement' => 'top',
	'instruction_placement' => 'label',
	'hide_on_screen' => '',
	'active' => true,
	'description' => '',
));

acf_add_local_field_group(array(
	'key' => 'group_5d4edfd34af88',
	'title' => 'Templates',
	'fields' => array(
		array(
			'key' => 'field_5e28624658a65',
			'label' => 'Header',
			'name' => '',
			'type' => 'tab',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'placement' => 'left',
			'endpoint' => 0,
		),
		array(
			'key' => 'field_5e28626d0b645',
			'label' => 'Header Templates',
			'name' => 'header_templates',
			'type' => 'radio',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '50',
				'class' => '',
				'id' => '',
			),
			'choices' => array(
				'header-template-01' => '<img src="../wp-content/themes/king/layouts/imgs/templates/header/header-01.svg" height="84" width="350" />',
				'header-template-02' => '<img src="../wp-content/themes/king/layouts/imgs/templates/header/header-02.svg" height="84" width="350" />',
				'header-template-03' => '<img src="../wp-content/themes/king/layouts/imgs/templates/header/header-03.svg" height="84" width="350" />',
				'header-template-04' => '<img src="../wp-content/themes/king/layouts/imgs/templates/header/header-04.svg" height="84" width="350" />',
				'header-template-05' => '<img src="../wp-content/themes/king/layouts/imgs/templates/header/header-05.svg" height="130" width="350" />',
				'header-template-06' => '<img src="../wp-content/themes/king/layouts/imgs/templates/header/header-06.svg" height="84" width="350" />',
				'header-template-07' => '<img src="../wp-content/themes/king/layouts/imgs/templates/header/header-07.svg" height="130" width="350" />',
				'header-template-08' => '<img src="../wp-content/themes/king/layouts/imgs/templates/header/header-08.svg" height="130" width="350" />',
				'header-template-09' => '<img src="../wp-content/themes/king/layouts/imgs/templates/header/header-09.svg" height="130" width="350" />',
			),
			'allow_null' => 0,
			'other_choice' => 0,
			'default_value' => '',
			'layout' => 'vertical',
			'return_format' => 'value',
			'save_other_choice' => 0,
		),
		array(
			'key' => 'field_5e53da07acb39',
			'label' => 'Header 02 Options',
			'name' => 'header_02_options',
			'type' => 'group',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5e28626d0b645',
						'operator' => '==',
						'value' => 'header-template-02',
					),
				),
			),
			'wrapper' => array(
				'width' => '50',
				'class' => '',
				'id' => '',
			),
			'layout' => 'block',
			'sub_fields' => array(
				array(
					'key' => 'field_5e53da07acb3a',
					'label' => 'Page Margins',
					'name' => 'margin',
					'type' => 'number',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'default_value' => 10,
					'placeholder' => 'left and right margin',
					'prepend' => '',
					'append' => 'px',
					'min' => 4,
					'max' => 600,
					'step' => '',
				),
			),
		),
		array(
			'key' => 'field_5e53dbaa24f17',
			'label' => 'Header 03 Options',
			'name' => 'header_03_options',
			'type' => 'group',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5e28626d0b645',
						'operator' => '==',
						'value' => 'header-template-03',
					),
				),
			),
			'wrapper' => array(
				'width' => '50',
				'class' => '',
				'id' => '',
			),
			'layout' => 'block',
			'sub_fields' => array(
				array(
					'key' => 'field_5e53dbaa24f18',
					'label' => 'Top Header First Color of Background',
					'name' => 'background1',
					'type' => 'color_picker',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'default_value' => '',
				),
				array(
					'key' => 'field_5e53dc0a24f19',
					'label' => 'Top Header Second Color of Background',
					'name' => 'background2',
					'type' => 'color_picker',
					'instructions' => '',
					'required' => 1,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_5e53dbaa24f18',
								'operator' => '!=empty',
							),
						),
					),
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'default_value' => '',
				),
				array(
					'key' => 'field_5e53df0ec83b0',
					'label' => 'Font Color',
					'name' => 'font_color',
					'type' => 'color_picker',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'default_value' => '',
				),
				array(
					'key' => 'field_5e7e38d8c7b48',
					'label' => 'Top Header Right Icons',
					'name' => 'top_header_right_icons',
					'type' => 'repeater',
					'instructions' => 'You can add small icons at top bar',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'collapsed' => '',
					'min' => 0,
					'max' => 15,
					'layout' => 'block',
					'button_label' => 'Add Icon',
					'sub_fields' => array(
						array(
							'key' => 'field_5e7e3958c7b49',
							'label' => 'link url',
							'name' => 'link_url',
							'type' => 'url',
							'instructions' => '',
							'required' => 0,
							'conditional_logic' => 0,
							'wrapper' => array(
								'width' => '',
								'class' => '',
								'id' => '',
							),
							'default_value' => '',
							'placeholder' => 'url',
						),
						array(
							'key' => 'field_5e7e396ec7b4a',
							'label' => 'Icon Code',
							'name' => 'icon_code',
							'type' => 'text',
							'instructions' => 'You can select icons <a href="https://fontawesome.com/icons/" target="_blank">Here</a>',
							'required' => 0,
							'conditional_logic' => 0,
							'wrapper' => array(
								'width' => '',
								'class' => '',
								'id' => '',
							),
							'default_value' => '',
							'placeholder' => '<i class="fas fa-crown"></i>',
							'prepend' => 'code',
							'append' => '',
							'maxlength' => '',
						),
					),
				),
			),
		),
		array(
			'key' => 'field_5e29be8d3c80f',
			'label' => 'Header 04 Options',
			'name' => 'header_04_options',
			'type' => 'group',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5e28626d0b645',
						'operator' => '==',
						'value' => 'header-template-04',
					),
				),
			),
			'wrapper' => array(
				'width' => '50',
				'class' => '',
				'id' => '',
			),
			'layout' => 'block',
			'sub_fields' => array(
				array(
					'key' => 'field_5e2aba22fca80',
					'label' => 'Ad Area Background',
					'name' => 'background',
					'type' => 'color_picker',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'default_value' => '',
				),
				array(
					'key' => 'field_5e2aba956976a',
					'label' => 'Ad Code',
					'name' => 'code',
					'type' => 'textarea',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'default_value' => '',
					'placeholder' => 'Ad code ( HTML allowed )',
					'maxlength' => '',
					'rows' => 6,
					'new_lines' => '',
				),
				array(
					'key' => 'field_5fc28afc5237e',
					'label' => 'Height',
					'name' => 'top_height',
					'type' => 'number',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'default_value' => '',
					'placeholder' => '',
					'prepend' => '',
					'append' => 'px',
					'min' => '',
					'max' => '',
					'step' => '',
				),
				array(
					'key' => 'field_5fc28b225237f',
					'label' => 'Background Image',
					'name' => 'top_background_image',
					'type' => 'image',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'return_format' => 'url',
					'preview_size' => 'thumbnail',
					'library' => 'uploadedTo',
					'min_width' => '',
					'min_height' => '',
					'min_size' => '',
					'max_width' => '',
					'max_height' => '',
					'max_size' => '',
					'mime_types' => '',
				),
			),
		),
		array(
			'key' => 'field_5ed57df438c6d',
			'label' => 'Header 07 Options',
			'name' => 'header_07_options',
			'type' => 'group',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5e28626d0b645',
						'operator' => '==',
						'value' => 'header-template-07',
					),
				),
			),
			'wrapper' => array(
				'width' => '50',
				'class' => '',
				'id' => '',
			),
			'layout' => 'block',
			'sub_fields' => array(
				array(
					'key' => 'field_5ed57df438c6e',
					'label' => 'Header Position',
					'name' => 'position',
					'type' => 'true_false',
					'instructions' => 'Select header position',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'message' => '',
					'default_value' => 0,
					'ui' => 1,
					'ui_on_text' => 'Right',
					'ui_off_text' => 'Left',
				),
			),
		),
		array(
			'key' => 'field_5ee1260bb71fa',
			'label' => 'Header 08 Options',
			'name' => 'header_08_options',
			'type' => 'group',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5e28626d0b645',
						'operator' => '==',
						'value' => 'header-template-08',
					),
				),
			),
			'wrapper' => array(
				'width' => '50',
				'class' => '',
				'id' => '',
			),
			'layout' => 'block',
			'sub_fields' => array(
				array(
					'key' => 'field_5ee1260bb71fd',
					'label' => 'Font Color',
					'name' => 'font_color',
					'type' => 'color_picker',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'default_value' => '',
				),
				array(
					'key' => 'field_5ee1260bb71fe',
					'label' => 'Bottom Icons',
					'name' => 'bottom_icons',
					'type' => 'repeater',
					'instructions' => 'You can add small icons at bottom of right menu',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'collapsed' => '',
					'min' => 0,
					'max' => 10,
					'layout' => 'block',
					'button_label' => 'Add Icon',
					'sub_fields' => array(
						array(
							'key' => 'field_5ee1260bb71ff',
							'label' => 'link url',
							'name' => 'link_url',
							'type' => 'url',
							'instructions' => '',
							'required' => 0,
							'conditional_logic' => 0,
							'wrapper' => array(
								'width' => '',
								'class' => '',
								'id' => '',
							),
							'default_value' => '',
							'placeholder' => 'url',
						),
						array(
							'key' => 'field_5ee1260bb7200',
							'label' => 'Icon Code',
							'name' => 'icon_code',
							'type' => 'text',
							'instructions' => 'You can select icons <a href="https://fontawesome.com/icons/" target="_blank">Here</a>',
							'required' => 0,
							'conditional_logic' => 0,
							'wrapper' => array(
								'width' => '',
								'class' => '',
								'id' => '',
							),
							'default_value' => '',
							'placeholder' => '<i class="fas fa-crown"></i>',
							'prepend' => 'code',
							'append' => '',
							'maxlength' => '',
						),
					),
				),
			),
		),
		array(
			'key' => 'field_5f9574b14efd0',
			'label' => 'Header Options',
			'name' => 'header_09_options',
			'type' => 'group',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5e28626d0b645',
						'operator' => '==',
						'value' => 'header-template-06',
					),
				),
				array(
					array(
						'field' => 'field_5e28626d0b645',
						'operator' => '==',
						'value' => 'header-template-09',
					),
				),
				array(
					array(
						'field' => 'field_5e28626d0b645',
						'operator' => '==',
						'value' => 'header-template-05',
					),
				),
			),
			'wrapper' => array(
				'width' => '50',
				'class' => '',
				'id' => '',
			),
			'layout' => 'block',
			'sub_fields' => array(
				array(
					'key' => 'field_5f9574d24efd5',
					'label' => 'Title of Header Nav',
					'name' => 'title_of_header_nav',
					'type' => 'text',
					'instructions' => 'you can add title for header nav links in left menu ( not required )',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'default_value' => '',
					'placeholder' => 'Menu',
					'prepend' => 'text',
					'append' => '',
					'maxlength' => '',
				),
				array(
					'key' => 'field_5f95752b4efd6',
					'label' => 'Title of Menu',
					'name' => 'title_of_menu',
					'type' => 'text',
					'instructions' => 'you can add title for menu links in left menu ( not required )',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'default_value' => '',
					'placeholder' => 'Links',
					'prepend' => 'text',
					'append' => '',
					'maxlength' => '',
				),
				array(
					'key' => 'field_5f9800fc4be72',
					'label' => 'Show Following Users',
					'name' => 'show_following_users',
					'type' => 'true_false',
					'instructions' => 'show following users in left menu',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'message' => '',
					'default_value' => 0,
					'ui' => 1,
					'ui_on_text' => '',
					'ui_off_text' => '',
				),
				array(
					'key' => 'field_5f9801524be73',
					'label' => 'Following Users Title',
					'name' => 'following_users_title',
					'type' => 'text',
					'instructions' => 'Add title for following users in left menu ( not required )',
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_5f9800fc4be72',
								'operator' => '==',
								'value' => '1',
							),
						),
					),
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'default_value' => '',
					'placeholder' => 'Subscriptions',
					'prepend' => 'text',
					'append' => '',
					'maxlength' => '',
				),
				array(
					'key' => 'field_5f9576256aff6',
					'label' => 'Left Menu Background',
					'name' => 'left_menu_background',
					'type' => 'color_picker',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'default_value' => '',
				),
				array(
					'key' => 'field_5f9576496aff7',
					'label' => 'Left Menu Links Color',
					'name' => 'left_menu_links_color',
					'type' => 'color_picker',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'default_value' => '',
				),
			),
		),
		array(
			'key' => 'field_5d4edff04a593',
			'label' => 'Posts Page',
			'name' => '',
			'type' => 'tab',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'placement' => 'left',
			'endpoint' => 0,
		),
		array(
			'key' => 'field_5d4ee03c4a594',
			'label' => 'Single Post Templates',
			'name' => 'single_post_templates',
			'type' => 'radio',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array(
				'template-1' => '<img src="../wp-content/themes/king/layouts/imgs/templates/single/template-v1.svg" height="180" width="180" />',
				'template-2' => '<img src="../wp-content/themes/king/layouts/imgs/templates/single/template-v2.svg" height="180" width="180" />',
				'template-3' => '<img src="../wp-content/themes/king/layouts/imgs/templates/single/template-v3.svg" height="180" width="180" />',
				'template-4' => '<img src="../wp-content/themes/king/layouts/imgs/templates/single/template-v4.svg" height="180" width="180" />',
				'template-5' => '<img src="../wp-content/themes/king/layouts/imgs/templates/single/template-v5.svg" height="180" width="180" />',
				'template-6' => '<img src="../wp-content/themes/king/layouts/imgs/templates/single/template-v6.svg" height="180" width="180" />',
			),
			'allow_null' => 1,
			'other_choice' => 0,
			'default_value' => '',
			'layout' => 'horizontal',
			'return_format' => 'value',
			'save_other_choice' => 0,
		),
		array(
			'key' => 'field_5d4ee0794a595',
			'label' => 'Default Background',
			'name' => 'default_background',
			'type' => 'image',
			'instructions' => 'You can select an image here to display if there is not featured image',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5d4ee03c4a594',
						'operator' => '==',
						'value' => 'template-3',
					),
				),
				array(
					array(
						'field' => 'field_5d4ee03c4a594',
						'operator' => '==',
						'value' => 'template-4',
					),
				),
				array(
					array(
						'field' => 'field_5d4ee03c4a594',
						'operator' => '==',
						'value' => 'template-5',
					),
				),
				array(
					array(
						'field' => 'field_5d4ee03c4a594',
						'operator' => '==',
						'value' => 'template-6',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'return_format' => 'url',
			'preview_size' => 'medium',
			'library' => 'all',
			'min_width' => '',
			'min_height' => '',
			'min_size' => '',
			'max_width' => '',
			'max_height' => '',
			'max_size' => '',
			'mime_types' => '',
		),
		array(
			'key' => 'field_5d4ee0cf4a599',
			'label' => 'Video Posts Templates',
			'name' => 'video_posts_templates',
			'type' => 'radio',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array(
				'video-template-1' => '<img src="../wp-content/themes/king/layouts/imgs/templates/single/videotemplate-v1.svg" height="180" width="180" />',
				'video-template-2' => '<img src="../wp-content/themes/king/layouts/imgs/templates/single/videotemplate-v2.svg" height="180" width="180" />',
				'video-template-3' => '<img src="../wp-content/themes/king/layouts/imgs/templates/single/videotemplate-v3.svg" height="180" width="180" />',
			),
			'allow_null' => 1,
			'other_choice' => 0,
			'default_value' => '',
			'layout' => 'horizontal',
			'return_format' => 'value',
			'save_other_choice' => 0,
		),
		array(
			'key' => 'field_5d4ee1104a59a',
			'label' => 'Image Posts Templates',
			'name' => 'image_posts_templates',
			'type' => 'radio',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array(
				'image-template-1' => '<img src="../wp-content/themes/king/layouts/imgs/templates/single/imagetemplate-v1.svg" height="180" width="180" />',
				'image-template-2' => '<img src="../wp-content/themes/king/layouts/imgs/templates/single/imagetemplate-v2.svg" height="180" width="180" />',
			),
			'allow_null' => 1,
			'other_choice' => 0,
			'default_value' => '',
			'layout' => 'horizontal',
			'return_format' => 'value',
			'save_other_choice' => 0,
		),
		array(
			'key' => 'field_5e5965f2be87b',
			'label' => 'Posts',
			'name' => '',
			'type' => 'tab',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'placement' => 'left',
			'endpoint' => 0,
		),
		array(
			'key' => 'field_5e59662fbe87c',
			'label' => 'Post Template',
			'name' => 'select_default_display_option',
			'type' => 'radio',
			'instructions' => 'You can select default view option of your page,',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array(
				'king-grid-01' => '<img src="../wp-content/themes/king/layouts/imgs/templates/posts/posts-01.svg" height="220" width="220" />',
				'king-grid-02' => '<img src="../wp-content/themes/king/layouts/imgs/templates/posts/posts-02.svg" height="220" width="220" />',
				'king-grid-03' => '<img src="../wp-content/themes/king/layouts/imgs/templates/posts/posts-03.svg" height="220" width="220" />',
				'king-list' => '<img src="../wp-content/themes/king/layouts/imgs/templates/posts/posts-04.svg" height="220" width="220" />',
				'king-grid-04' => '<img src="../wp-content/themes/king/layouts/imgs/templates/posts/posts-05.svg" height="220" width="220" />',
				'king-grid-05' => '<img src="../wp-content/themes/king/layouts/imgs/templates/posts/posts-06.svg" height="220" width="220" />',
				'king-grid-06' => '<img src="../wp-content/themes/king/layouts/imgs/templates/posts/posts-07.svg" height="220" width="220" />',
				'king-grid-07' => '<img src="../wp-content/themes/king/layouts/imgs/templates/posts/posts-08.svg" height="220" width="220" />',
				'king-grid-08' => '<img src="../wp-content/themes/king/layouts/imgs/templates/posts/posts-09.svg" height="220" width="220" />',
				'king-grid-09' => '<img src="../wp-content/themes/king/layouts/imgs/templates/posts/posts-10.svg" height="220" width="220" />',
				'king-grid-10' => '<img src="../wp-content/themes/king/layouts/imgs/templates/posts/posts-11.svg" height="220" width="220" />',
				'king-grid-11' => '<img src="../wp-content/themes/king/layouts/imgs/templates/posts/posts-12.svg" height="220" width="220" />',
			),
			'allow_null' => 0,
			'other_choice' => 0,
			'default_value' => '',
			'layout' => 'horizontal',
			'return_format' => 'value',
			'save_other_choice' => 0,
		),
		array(
			'key' => 'field_5ed7df88c8c01',
			'label' => 'Padding Between Posts',
			'name' => 'padding_between_posts',
			'type' => 'range',
			'instructions' => 'Select padding size between posts',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5e59662fbe87c',
						'operator' => '==',
						'value' => 'king-grid-10',
					),
				),
			),
			'wrapper' => array(
				'width' => '100',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'min' => '',
			'max' => 40,
			'step' => 1,
			'prepend' => '',
			'append' => 'px',
		),
		array(
			'key' => 'field_5ed7e1a80346f',
			'label' => 'Border Radius of Posts',
			'name' => 'border_radius_of_posts',
			'type' => 'range',
			'instructions' => 'Select border radius size of posts',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5e59662fbe87c',
						'operator' => '==',
						'value' => 'king-grid-10',
					),
				),
			),
			'wrapper' => array(
				'width' => '100',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'min' => '',
			'max' => 40,
			'step' => 1,
			'prepend' => '',
			'append' => 'px',
		),
		array(
			'key' => 'field_5ed91ec746105',
			'label' => 'Post Column Numbers',
			'name' => 'post_column_numbers',
			'type' => 'radio',
			'instructions' => 'You can select number of column number',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5e59662fbe87c',
						'operator' => '!=',
						'value' => 'king-list',
					),
					array(
						'field' => 'field_5e59662fbe87c',
						'operator' => '!=',
						'value' => 'king-grid-05',
					),
					array(
						'field' => 'field_5e59662fbe87c',
						'operator' => '!=',
						'value' => 'king-grid-09',
					),
					array(
						'field' => 'field_5e59662fbe87c',
						'operator' => '!=',
						'value' => 'king-grid-10',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array(
				'king-column-02' => '<img src="../wp-content/themes/king/layouts/imgs/templates/column/column-02.svg" height="165" width="165" />',
				'king-column-03' => '<img src="../wp-content/themes/king/layouts/imgs/templates/column/column-03.svg" height="165" width="165" />',
				'king-column-04' => '<img src="../wp-content/themes/king/layouts/imgs/templates/column/column-04.svg" height="165" width="165" />',
				'king-column-05' => '<img src="../wp-content/themes/king/layouts/imgs/templates/column/column-05.svg" height="165" width="165" />',
			),
			'allow_null' => 1,
			'other_choice' => 0,
			'default_value' => '',
			'layout' => 'horizontal',
			'return_format' => 'value',
			'save_other_choice' => 0,
		),
		array(
			'key' => 'field_5e56a74a8095c',
			'label' => 'Pagination',
			'name' => '',
			'type' => 'tab',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'placement' => 'left',
			'endpoint' => 0,
		),
		array(
			'key' => 'field_5e56a7618095d',
			'label' => 'Pagination Type',
			'name' => 'pagination_type',
			'type' => 'radio',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array(
				'king-pagination-01' => '<img src="../wp-content/themes/king/layouts/imgs/templates/pagination/king-pagination-01.svg" height="96" width="400" />',
				'king-pagination-02' => '<img src="../wp-content/themes/king/layouts/imgs/templates/pagination/king-pagination-02.svg" height="96" width="400" />',
				'king-pagination-03' => '<img src="../wp-content/themes/king/layouts/imgs/templates/pagination/king-pagination-03.svg" height="96" width="400" />',
			),
			'allow_null' => 0,
			'other_choice' => 0,
			'default_value' => '',
			'layout' => 'vertical',
			'return_format' => 'value',
			'save_other_choice' => 0,
		),
		array(
			'key' => 'field_5e69103a459eb',
			'label' => 'Sidebar',
			'name' => '',
			'type' => 'tab',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'placement' => 'left',
			'endpoint' => 0,
		),
		array(
			'key' => 'field_5e69104d459ec',
			'label' => 'Homepage Sidebar Template',
			'name' => 'sidebar_templates',
			'type' => 'radio',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array(
				'king-sidebar-01' => '<img src="../wp-content/themes/king/layouts/imgs/templates/sidebar/sidebar-01.svg" height="165" width="165" />',
				'king-sidebar-02' => '<img src="../wp-content/themes/king/layouts/imgs/templates/sidebar/sidebar-02.svg" height="165" width="165" />',
				'king-sidebar-03' => '<img src="../wp-content/themes/king/layouts/imgs/templates/sidebar/sidebar-03.svg" height="165" width="165" />',
				'king-sidebar-04' => '<img src="../wp-content/themes/king/layouts/imgs/templates/sidebar/sidebar-04.svg" height="165" width="165" />',
			),
			'allow_null' => 0,
			'other_choice' => 0,
			'default_value' => '',
			'layout' => 'horizontal',
			'return_format' => 'value',
			'save_other_choice' => 0,
		),
		array(
			'key' => 'field_5e6ce648bd117',
			'label' => 'Archive Page Sidebar Template',
			'name' => 'archive_page_sidebar_template',
			'type' => 'radio',
			'instructions' => 'Select sidebar layout for archive page',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array(
				'king-sidebar-01' => '<img src="../wp-content/themes/king/layouts/imgs/templates/sidebar/sidebar-01.svg" height="165" width="165" />',
				'king-sidebar-02' => '<img src="../wp-content/themes/king/layouts/imgs/templates/sidebar/sidebar-02.svg" height="165" width="165" />',
				'king-sidebar-03' => '<img src="../wp-content/themes/king/layouts/imgs/templates/sidebar/sidebar-03.svg" height="165" width="165" />',
				'king-sidebar-04' => '<img src="../wp-content/themes/king/layouts/imgs/templates/sidebar/sidebar-04.svg" height="165" width="165" />',
			),
			'allow_null' => 0,
			'other_choice' => 0,
			'default_value' => 'king-sidebar-04',
			'layout' => 'horizontal',
			'return_format' => 'value',
			'save_other_choice' => 0,
		),
		array(
			'key' => 'field_5e6ce738c1f60',
			'label' => 'Search Page Sidebar Template',
			'name' => 'search_page_sidebar_template',
			'type' => 'radio',
			'instructions' => 'Select sidebar layout for search page',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array(
				'king-sidebar-01' => '<img src="../wp-content/themes/king/layouts/imgs/templates/sidebar/sidebar-01.svg" height="165" width="165" />',
				'king-sidebar-02' => '<img src="../wp-content/themes/king/layouts/imgs/templates/sidebar/sidebar-02.svg" height="165" width="165" />',
				'king-sidebar-03' => '<img src="../wp-content/themes/king/layouts/imgs/templates/sidebar/sidebar-03.svg" height="165" width="165" />',
				'king-sidebar-04' => '<img src="../wp-content/themes/king/layouts/imgs/templates/sidebar/sidebar-04.svg" height="165" width="165" />',
			),
			'allow_null' => 0,
			'other_choice' => 0,
			'default_value' => 'king-sidebar-04',
			'layout' => 'horizontal',
			'return_format' => 'value',
			'save_other_choice' => 0,
		),
		array(
			'key' => 'field_5e6a7db6977c0',
			'label' => 'Sidebar News Template',
			'name' => 'sidebar_news_template',
			'type' => 'radio',
			'instructions' => 'Select sidebar layout for news page',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array(
				'king-sidebar-01' => '<img src="../wp-content/themes/king/layouts/imgs/templates/sidebar/sidebar-01.svg" height="165" width="165" />',
				'king-sidebar-02' => '<img src="../wp-content/themes/king/layouts/imgs/templates/sidebar/sidebar-02.svg" height="165" width="165" />',
				'king-sidebar-03' => '<img src="../wp-content/themes/king/layouts/imgs/templates/sidebar/sidebar-03.svg" height="165" width="165" />',
				'king-sidebar-04' => '<img src="../wp-content/themes/king/layouts/imgs/templates/sidebar/sidebar-04.svg" height="165" width="165" />',
			),
			'allow_null' => 0,
			'other_choice' => 0,
			'default_value' => 'king-sidebar-04',
			'layout' => 'horizontal',
			'return_format' => 'value',
			'save_other_choice' => 0,
		),
		array(
			'key' => 'field_5e6a7f6f4b204',
			'label' => 'Sidebar Video Template',
			'name' => 'sidebar_video_template',
			'type' => 'radio',
			'instructions' => 'Select sidebar layout for videos page',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array(
				'king-sidebar-01' => '<img src="../wp-content/themes/king/layouts/imgs/templates/sidebar/sidebar-01.svg" height="165" width="165" />',
				'king-sidebar-02' => '<img src="../wp-content/themes/king/layouts/imgs/templates/sidebar/sidebar-02.svg" height="165" width="165" />',
				'king-sidebar-03' => '<img src="../wp-content/themes/king/layouts/imgs/templates/sidebar/sidebar-03.svg" height="165" width="165" />',
				'king-sidebar-04' => '<img src="../wp-content/themes/king/layouts/imgs/templates/sidebar/sidebar-04.svg" height="165" width="165" />',
			),
			'allow_null' => 0,
			'other_choice' => 0,
			'default_value' => 'king-sidebar-04',
			'layout' => 'horizontal',
			'return_format' => 'value',
			'save_other_choice' => 0,
		),
		array(
			'key' => 'field_5e6a7ffbdfd26',
			'label' => 'Sidebar Image Template',
			'name' => 'sidebar_image_template',
			'type' => 'radio',
			'instructions' => 'Select sidebar layout for images page',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array(
				'king-sidebar-01' => '<img src="../wp-content/themes/king/layouts/imgs/templates/sidebar/sidebar-01.svg" height="165" width="165" />',
				'king-sidebar-02' => '<img src="../wp-content/themes/king/layouts/imgs/templates/sidebar/sidebar-02.svg" height="165" width="165" />',
				'king-sidebar-03' => '<img src="../wp-content/themes/king/layouts/imgs/templates/sidebar/sidebar-03.svg" height="165" width="165" />',
				'king-sidebar-04' => '<img src="../wp-content/themes/king/layouts/imgs/templates/sidebar/sidebar-04.svg" height="165" width="165" />',
			),
			'allow_null' => 0,
			'other_choice' => 0,
			'default_value' => 'king-sidebar-04',
			'layout' => 'horizontal',
			'return_format' => 'value',
			'save_other_choice' => 0,
		),
		array(
			'key' => 'field_5eef57821c57e',
			'label' => 'Sidebar Music Template',
			'name' => 'sidebar_music_template',
			'type' => 'radio',
			'instructions' => 'Select sidebar layout for musics page',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array(
				'king-sidebar-01' => '<img src="../wp-content/themes/king/layouts/imgs/templates/sidebar/sidebar-01.svg" height="165" width="165" />',
				'king-sidebar-02' => '<img src="../wp-content/themes/king/layouts/imgs/templates/sidebar/sidebar-02.svg" height="165" width="165" />',
				'king-sidebar-03' => '<img src="../wp-content/themes/king/layouts/imgs/templates/sidebar/sidebar-03.svg" height="165" width="165" />',
				'king-sidebar-04' => '<img src="../wp-content/themes/king/layouts/imgs/templates/sidebar/sidebar-04.svg" height="165" width="165" />',
			),
			'allow_null' => 0,
			'other_choice' => 0,
			'default_value' => 'king-sidebar-04',
			'layout' => 'horizontal',
			'return_format' => 'value',
			'save_other_choice' => 0,
		),
		array(
			'key' => 'field_5eadb0c9e9e3b',
			'label' => 'Image Gallery',
			'name' => '',
			'type' => 'tab',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'placement' => 'left',
			'endpoint' => 0,
		),
		array(
			'key' => 'field_5eadb0f9e9e3c',
			'label' => 'Gallery layout',
			'name' => 'gallery_layout',
			'type' => 'radio',
			'instructions' => 'Select gallery layout for images posts',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array(
				'king-gallery-01' => '<img src="../wp-content/themes/king/layouts/imgs/templates/gallery/gallery-01.svg" height="220" width="220" />',
				'king-gallery-02' => '<img src="../wp-content/themes/king/layouts/imgs/templates/gallery/gallery-02.svg" height="220" width="220" />',
				'king-gallery-03' => '<img src="../wp-content/themes/king/layouts/imgs/templates/gallery/gallery-03.svg" height="220" width="220" />',
			),
			'allow_null' => 0,
			'other_choice' => 0,
			'default_value' => 'king-gallery-01',
			'layout' => 'horizontal',
			'return_format' => 'value',
			'save_other_choice' => 0,
		),
		array(
			'key' => 'field_5eb5a80b9380e',
			'label' => 'Enable lightbox gallery',
			'name' => 'enable_lightbox_gallery',
			'type' => 'true_false',
			'instructions' => 'enable lightbox view for multiple images, users can see images with full width',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_5eb6dfac3b094',
			'label' => 'Gallery background',
			'name' => 'gallery_background',
			'type' => 'color_picker',
			'instructions' => 'select color for the background of lightbox gallery',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5eb5a80b9380e',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '50',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_5eb6e037ec85a',
			'label' => 'Gallery text color',
			'name' => 'gallery_text_color',
			'type' => 'color_picker',
			'instructions' => 'select color for the texts in lightbox gallery',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5eb5a80b9380e',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '50',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_5eb5bbe5f6fd2',
			'label' => 'Enable lightbox ad',
			'name' => 'enable_lightbox_ad',
			'type' => 'true_false',
			'instructions' => 'enable ad in lightbox gallery',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5eb5a80b9380e',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_5eb5bc46f6fd3',
			'label' => 'Lightbox gallery ad code',
			'name' => 'lightbox_gallery_ad_code',
			'type' => 'textarea',
			'instructions' => '',
			'required' => 1,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5eb5bbe5f6fd2',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => 'ad code here HTML allowed',
			'maxlength' => '',
			'rows' => 6,
			'new_lines' => '',
		),
		array(
			'key' => 'field_5ec94b465a36c',
			'label' => 'Slider',
			'name' => '',
			'type' => 'tab',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'placement' => 'left',
			'endpoint' => 0,
		),
		array(
			'key' => 'field_5ec94b505a36d',
			'label' => 'Display Slider',
			'name' => 'display_slider',
			'type' => 'true_false',
			'instructions' => 'if you select this slider will be displayed at home page',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => 'Display Slider',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_5ec94e7246167',
			'label' => 'Slider Template',
			'name' => 'slider_template',
			'type' => 'radio',
			'instructions' => 'Select slider template',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5ec94b505a36d',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array(
				'slider-template-1' => '<img src="../wp-content/themes/king/layouts/imgs/templates/slider/slider1.svg" height="220" width="220" />',
				'slider-template-2' => '<img src="../wp-content/themes/king/layouts/imgs/templates/slider/slider2.svg" height="220" width="220" />',
				'slider-template-3' => '<img src="../wp-content/themes/king/layouts/imgs/templates/slider/slider3.svg" height="220" width="220" />',
			),
			'allow_null' => 0,
			'other_choice' => 0,
			'default_value' => '',
			'layout' => 'horizontal',
			'return_format' => 'value',
			'save_other_choice' => 0,
		),
		array(
			'key' => 'field_5ec94b83e3e5a',
			'label' => 'Show in Slider',
			'name' => 'show_slider',
			'type' => 'select',
			'instructions' => 'if you select this slider will be displayed at home page',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5ec94b505a36d',
						'operator' => '==',
						'value' => '1',
					),
					array(
						'field' => 'field_5ec94e7246167',
						'operator' => '==',
						'value' => 'slider-template-1',
					),
				),
				array(
					array(
						'field' => 'field_5ec94b505a36d',
						'operator' => '==',
						'value' => '1',
					),
					array(
						'field' => 'field_5ec94e7246167',
						'operator' => '==',
						'value' => 'slider-template-2',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array(
				'featured-post' => 'Featured Posts',
				'keep_trending' => 'Trending Posts',
				'editors_choice' => 'Editors’ Choice',
				'most_views' => 'Most Views',
				'most_likes' => 'Most Likes',
			),
			'default_value' => array(
			),
			'allow_null' => 0,
			'multiple' => 0,
			'ui' => 0,
			'return_format' => 'value',
			'ajax' => 0,
			'placeholder' => '',
		),
		array(
			'key' => 'field_5ec94bf0e3e5c',
			'label' => 'Select Grid Template',
			'name' => 'select_grid_template',
			'type' => 'radio',
			'instructions' => 'You can select grid template',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5ec94b505a36d',
						'operator' => '==',
						'value' => '1',
					),
					array(
						'field' => 'field_5ec94e7246167',
						'operator' => '==',
						'value' => 'slider-template-1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array(
				'grid-template-1' => '<img src="../wp-content/themes/king/layouts/imgs/grid/grid-1.svg" height="140" width="160" />',
				'grid-template-2' => '<img src="../wp-content/themes/king/layouts/imgs/grid/grid-2.svg" height="140" width="160" />',
				'grid-template-3' => '<img src="../wp-content/themes/king/layouts/imgs/grid/grid-3.svg" height="140" width="160" />',
				'grid-template-4' => '<img src="../wp-content/themes/king/layouts/imgs/grid/grid-4.svg" height="140" width="160" />',
				'grid-template-5' => '<img src="../wp-content/themes/king/layouts/imgs/grid/grid-5.svg" height="140" width="160" />',
				'grid-template-6' => '<img src="../wp-content/themes/king/layouts/imgs/grid/grid-6.svg" height="140" width="160" />',
				'grid-template-7' => '<img src="../wp-content/themes/king/layouts/imgs/grid/grid-7.svg" height="140" width="160" />',
				'grid-template-8' => '<img src="../wp-content/themes/king/layouts/imgs/grid/grid-8.svg" height="140" width="160" />',
				'grid-template-9' => '<img src="../wp-content/themes/king/layouts/imgs/grid/grid-9.svg" height="140" width="160" />',
				'grid-template-10' => '<img src="../wp-content/themes/king/layouts/imgs/grid/grid-10.svg" height="140" width="160" />',
			),
			'allow_null' => 0,
			'other_choice' => 0,
			'default_value' => '',
			'layout' => 'horizontal',
			'return_format' => 'value',
			'save_other_choice' => 0,
		),
		array(
			'key' => 'field_5ec94c68998ff',
			'label' => 'Grid Height',
			'name' => 'grid_height',
			'type' => 'number',
			'instructions' => 'You can change the grid height',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5ec94b505a36d',
						'operator' => '==',
						'value' => '1',
					),
					array(
						'field' => 'field_5ec94e7246167',
						'operator' => '==',
						'value' => 'slider-template-1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => '',
			'prepend' => 'height',
			'append' => 'px',
			'min' => 100,
			'max' => 1500,
			'step' => 10,
		),
		array(
			'key' => 'field_5ed7e45c59192',
			'label' => 'Padding Between Grid Posts',
			'name' => 'padding_between_grid_posts',
			'type' => 'range',
			'instructions' => 'You can change the padding between grid posts',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5ec94b505a36d',
						'operator' => '==',
						'value' => '1',
					),
					array(
						'field' => 'field_5ec94e7246167',
						'operator' => '==',
						'value' => 'slider-template-1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 1,
			'min' => 0,
			'max' => 80,
			'step' => '',
			'prepend' => '',
			'append' => 'px',
		),
		array(
			'key' => 'field_5ed7e4aa59193',
			'label' => 'Border Radius of Grid Posts',
			'name' => 'border_radius_of_grid_posts',
			'type' => 'range',
			'instructions' => 'You can change the border radius of grid posts',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5ec94b505a36d',
						'operator' => '==',
						'value' => '1',
					),
					array(
						'field' => 'field_5ec94e7246167',
						'operator' => '==',
						'value' => 'slider-template-1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 4,
			'min' => 0,
			'max' => 80,
			'step' => '',
			'prepend' => '',
			'append' => 'px',
		),
		array(
			'key' => 'field_5ec94d0b086c1',
			'label' => 'Slider Height',
			'name' => 'slider_height',
			'type' => 'number',
			'instructions' => 'You can change the slider height',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5ec94b505a36d',
						'operator' => '==',
						'value' => '1',
					),
					array(
						'field' => 'field_5ec94e7246167',
						'operator' => '==',
						'value' => 'slider-template-2',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => '',
			'prepend' => 'height',
			'append' => 'px',
			'min' => 100,
			'max' => 1100,
			'step' => 10,
		),
		array(
			'key' => 'field_5ec94d3b086c2',
			'label' => 'Length of Posts in Slider',
			'name' => 'length_slider',
			'type' => 'number',
			'instructions' => 'Length of Posts in Slider',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5ec94b505a36d',
						'operator' => '==',
						'value' => '1',
					),
					array(
						'field' => 'field_5ec94e7246167',
						'operator' => '==',
						'value' => 'slider-template-2',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 4,
			'placeholder' => '',
			'prepend' => 'Slider Posts',
			'append' => '',
			'min' => 1,
			'max' => 50,
			'step' => '',
		),
		array(
			'key' => 'field_5ec94d74086c3',
			'label' => 'Items Length',
			'name' => 'items_length',
			'type' => 'number',
			'instructions' => 'This variable allows you to set the maximum amount of items displayed at a time with the widest browser width',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5ec94b505a36d',
						'operator' => '==',
						'value' => '1',
					),
					array(
						'field' => 'field_5ec94e7246167',
						'operator' => '==',
						'value' => 'slider-template-2',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 1,
			'placeholder' => '',
			'prepend' => 'Items Length',
			'append' => '',
			'min' => 1,
			'max' => 16,
			'step' => '',
		),
		array(
			'key' => 'field_5ec964ac47a82',
			'label' => 'Video',
			'name' => 'slider_video',
			'type' => 'file',
			'instructions' => 'Select video file for background',
			'required' => 1,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5ec94b505a36d',
						'operator' => '==',
						'value' => '1',
					),
					array(
						'field' => 'field_5ec94e7246167',
						'operator' => '==',
						'value' => 'slider-template-3',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'return_format' => 'url',
			'library' => 'all',
			'min_size' => '',
			'max_size' => '',
			'mime_types' => 'mp4',
		),
		array(
			'key' => 'field_5ec965abc520f',
			'label' => 'Header',
			'name' => 'slider_video_header',
			'type' => 'text',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5ec94b505a36d',
						'operator' => '==',
						'value' => '1',
					),
					array(
						'field' => 'field_5ec94e7246167',
						'operator' => '==',
						'value' => 'slider-template-3',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => '',
			'prepend' => 'Text',
			'append' => '',
			'maxlength' => '',
		),
		array(
			'key' => 'field_5ec96684c5210',
			'label' => 'Description',
			'name' => 'slider_video_description',
			'type' => 'textarea',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5ec94b505a36d',
						'operator' => '==',
						'value' => '1',
					),
					array(
						'field' => 'field_5ec94e7246167',
						'operator' => '==',
						'value' => 'slider-template-3',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => '',
			'maxlength' => '',
			'rows' => 4,
			'new_lines' => '',
		),
		array(
			'key' => 'field_5ec98844abd92',
			'label' => 'Button Link',
			'name' => 'slider_video_button_link',
			'type' => 'text',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5ec94b505a36d',
						'operator' => '==',
						'value' => '1',
					),
					array(
						'field' => 'field_5ec94e7246167',
						'operator' => '==',
						'value' => 'slider-template-3',
					),
				),
			),
			'wrapper' => array(
				'width' => '60',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => '',
			'prepend' => 'Link',
			'append' => '',
			'maxlength' => '',
		),
		array(
			'key' => 'field_5ec988d9abd93',
			'label' => 'Button Text',
			'name' => 'slider_video_button_text',
			'type' => 'text',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5ec94b505a36d',
						'operator' => '==',
						'value' => '1',
					),
					array(
						'field' => 'field_5ec94e7246167',
						'operator' => '==',
						'value' => 'slider-template-3',
					),
				),
			),
			'wrapper' => array(
				'width' => '40',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => '',
			'prepend' => 'Text',
			'append' => '',
			'maxlength' => '',
		),
		array(
			'key' => 'field_5ec9498a29f77',
			'label' => 'Mini Slider',
			'name' => '',
			'type' => 'tab',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'placement' => 'left',
			'endpoint' => 0,
		),
		array(
			'key' => 'field_5ec949ddf486d',
			'label' => 'Display Mini Slider',
			'name' => 'display_mini_slider',
			'type' => 'true_false',
			'instructions' => 'you can enable mini slider',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => 'enable mini slider',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_5f930538d0503',
			'label' => 'Mini Slider Title',
			'name' => 'mini_slider_title',
			'type' => 'text',
			'instructions' => 'You can add title for mini slider ( not required )',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5ec949ddf486d',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => '',
			'prepend' => 'text',
			'append' => '',
			'maxlength' => 150,
		),
		array(
			'key' => 'field_5ec94a5f08aa2',
			'label' => 'Show in Mini Slider',
			'name' => 'show_in_mini_slider',
			'type' => 'select',
			'instructions' => 'you can enable mini slider',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5ec949ddf486d',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array(
				'featured-post' => 'Featured Posts',
				'keep_trending' => 'Trending Posts',
				'editors_choice' => 'Editors’ Choice',
				'show_categories' => 'Show Categories',
			),
			'default_value' => false,
			'allow_null' => 0,
			'multiple' => 0,
			'ui' => 0,
			'return_format' => 'value',
			'ajax' => 0,
			'placeholder' => '',
		),
		array(
			'key' => 'field_5ec94a8808aa3',
			'label' => 'Mini slider post height',
			'name' => 'mini_slider_post_height',
			'type' => 'number',
			'instructions' => 'you can change mini slider posts height',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5ec949ddf486d',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '50',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => '',
			'prepend' => 'height',
			'append' => 'px',
			'min' => 100,
			'max' => 800,
			'step' => 10,
		),
		array(
			'key' => 'field_5f930274cf35c',
			'label' => 'Mini slider paddings',
			'name' => 'mini_slider_paddings',
			'type' => 'number',
			'instructions' => 'you can select mini slider padding size right and left side',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5ec949ddf486d',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '50',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => '',
			'prepend' => 'padding',
			'append' => 'px',
			'min' => 0,
			'max' => 400,
			'step' => '',
		),
		array(
			'key' => 'field_5fa1575764b5e',
			'label' => 'Post Number in Mini Slider',
			'name' => 'post_number_in_mini_slider',
			'type' => 'number',
			'instructions' => 'Posts number in mini slider',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5ec949ddf486d',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 6,
			'placeholder' => '',
			'prepend' => 'Posts',
			'append' => '',
			'min' => 1,
			'max' => 99,
			'step' => '',
		),
		array(
			'key' => 'field_5ec94adbb2b61',
			'label' => 'Mini Slider Items Length',
			'name' => 'mini_items_length',
			'type' => 'number',
			'instructions' => 'This variable allows you to set the maximum amount of items displayed at a time with the widest browser width',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5ec949ddf486d',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 6,
			'placeholder' => '',
			'prepend' => 'Items Length',
			'append' => '',
			'min' => 1,
			'max' => 16,
			'step' => '',
		),
		array(
			'key' => 'field_5f7f356f014bd',
			'label' => 'Mega Menu',
			'name' => '',
			'type' => 'tab',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5e28626d0b645',
						'operator' => '==',
						'value' => 'header-template-01',
					),
				),
				array(
					array(
						'field' => 'field_5e28626d0b645',
						'operator' => '==',
						'value' => 'header-template-02',
					),
				),
				array(
					array(
						'field' => 'field_5e28626d0b645',
						'operator' => '==',
						'value' => 'header-template-03',
					),
				),
				array(
					array(
						'field' => 'field_5e28626d0b645',
						'operator' => '==',
						'value' => 'header-template-04',
					),
				),
				array(
					array(
						'field' => 'field_5e28626d0b645',
						'operator' => '==',
						'value' => 'header-template-08',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'placement' => 'top',
			'endpoint' => 0,
		),
		array(
			'key' => 'field_5f7f3938e1baa',
			'label' => 'Enable Mega Menu',
			'name' => '',
			'type' => 'message',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'new_lines' => 'wpautop',
			'esc_html' => 0,
		),
		array(
			'key' => 'field_5f7f39ca32e76',
			'label' => 'News',
			'name' => 'for_news_link',
			'type' => 'group',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'layout' => 'block',
			'sub_fields' => array(
				array(
					'key' => 'field_5f7f3ce893e52',
					'label' => 'for news link',
					'name' => 'for_news',
					'type' => 'true_false',
					'instructions' => 'enable mega menu for news link',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '33',
						'class' => '',
						'id' => '',
					),
					'message' => '',
					'default_value' => 0,
					'ui' => 1,
					'ui_on_text' => '',
					'ui_off_text' => '',
				),
				array(
					'key' => 'field_5f7f3d8180484',
					'label' => 'show in mega menu',
					'name' => 'show_in_mega_menu',
					'type' => 'select',
					'instructions' => 'select post order',
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_5f7f3ce893e52',
								'operator' => '==',
								'value' => '1',
							),
						),
					),
					'wrapper' => array(
						'width' => '33',
						'class' => '',
						'id' => '',
					),
					'choices' => array(
						'recent' => 'recent news',
						'popular' => 'popular news',
					),
					'default_value' => false,
					'allow_null' => 0,
					'multiple' => 0,
					'ui' => 0,
					'return_format' => 'value',
					'ajax' => 0,
					'placeholder' => '',
				),
				array(
					'key' => 'field_5f82f74ba9456',
					'label' => 'post number',
					'name' => 'mpost_number',
					'type' => 'range',
					'instructions' => 'number of posts display in mega menu',
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_5f7f3ce893e52',
								'operator' => '==',
								'value' => '1',
							),
						),
					),
					'wrapper' => array(
						'width' => '33',
						'class' => '',
						'id' => '',
					),
					'default_value' => 5,
					'min' => 1,
					'max' => 10,
					'step' => '',
					'prepend' => 'posts',
					'append' => '',
				),
				array(
					'key' => 'field_5f7f3e33d0bca',
					'label' => 'add links in mega menu',
					'name' => 'links_in_mega_menu',
					'type' => 'repeater',
					'instructions' => 'you can add extra links in mega menu',
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_5f7f3ce893e52',
								'operator' => '==',
								'value' => '1',
							),
						),
					),
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'collapsed' => 'field_5f7f3f6fd0bcb',
					'min' => 0,
					'max' => 30,
					'layout' => 'block',
					'button_label' => 'add new link',
					'sub_fields' => array(
						array(
							'key' => 'field_5f7f3f6fd0bcb',
							'label' => 'mega menu link text',
							'name' => 'mega_menu_link_text',
							'type' => 'text',
							'instructions' => '',
							'required' => 0,
							'conditional_logic' => 0,
							'wrapper' => array(
								'width' => '50',
								'class' => '',
								'id' => '',
							),
							'default_value' => '',
							'placeholder' => '',
							'prepend' => 'text',
							'append' => '',
							'maxlength' => '',
						),
						array(
							'key' => 'field_5f7f3f9cd0bcc',
							'label' => 'mega menu link url',
							'name' => 'mega_menu_link_url',
							'type' => 'url',
							'instructions' => '',
							'required' => 0,
							'conditional_logic' => 0,
							'wrapper' => array(
								'width' => '50',
								'class' => '',
								'id' => '',
							),
							'default_value' => '',
							'placeholder' => 'url',
						),
					),
				),
			),
		),
		array(
			'key' => 'field_5f7f4080e9145',
			'label' => 'Video',
			'name' => 'for_video_link',
			'type' => 'group',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'layout' => 'block',
			'sub_fields' => array(
				array(
					'key' => 'field_5f7f4080e9146',
					'label' => 'for video link',
					'name' => 'for_video',
					'type' => 'true_false',
					'instructions' => 'enable mega menu for video link',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '33',
						'class' => '',
						'id' => '',
					),
					'message' => '',
					'default_value' => 0,
					'ui' => 1,
					'ui_on_text' => '',
					'ui_off_text' => '',
				),
				array(
					'key' => 'field_5f7f4080e9147',
					'label' => 'show in mega menu',
					'name' => 'show_in_mega_menu',
					'type' => 'select',
					'instructions' => 'select which posts you like to show in video mega menu',
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_5f7f4080e9146',
								'operator' => '==',
								'value' => '1',
							),
						),
					),
					'wrapper' => array(
						'width' => '33',
						'class' => '',
						'id' => '',
					),
					'choices' => array(
						'recent' => 'recent videos',
						'popular' => 'popular videos',
					),
					'default_value' => false,
					'allow_null' => 0,
					'multiple' => 0,
					'ui' => 0,
					'return_format' => 'value',
					'ajax' => 0,
					'placeholder' => '',
				),
				array(
					'key' => 'field_5f82f8695f624',
					'label' => 'post number',
					'name' => 'mpost_number',
					'type' => 'range',
					'instructions' => 'number of posts display in mega menu',
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_5f7f4080e9146',
								'operator' => '==',
								'value' => '1',
							),
						),
					),
					'wrapper' => array(
						'width' => '33',
						'class' => '',
						'id' => '',
					),
					'default_value' => 5,
					'min' => 1,
					'max' => 10,
					'step' => '',
					'prepend' => 'posts',
					'append' => '',
				),
				array(
					'key' => 'field_5f7f4080e9148',
					'label' => 'add links in mega menu',
					'name' => 'links_in_mega_menu',
					'type' => 'repeater',
					'instructions' => 'you can add extra links in mega menu',
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_5f7f4080e9146',
								'operator' => '==',
								'value' => '1',
							),
						),
					),
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'collapsed' => 'field_5f7f3f6fd0bcb',
					'min' => 0,
					'max' => 30,
					'layout' => 'block',
					'button_label' => 'add new link',
					'sub_fields' => array(
						array(
							'key' => 'field_5f7f4080e9149',
							'label' => 'mega menu link text',
							'name' => 'mega_menu_link_text',
							'type' => 'text',
							'instructions' => '',
							'required' => 0,
							'conditional_logic' => 0,
							'wrapper' => array(
								'width' => '50',
								'class' => '',
								'id' => '',
							),
							'default_value' => '',
							'placeholder' => '',
							'prepend' => 'text',
							'append' => '',
							'maxlength' => '',
						),
						array(
							'key' => 'field_5f7f4080e914a',
							'label' => 'mega menu link url',
							'name' => 'mega_menu_link_url',
							'type' => 'url',
							'instructions' => '',
							'required' => 0,
							'conditional_logic' => 0,
							'wrapper' => array(
								'width' => '50',
								'class' => '',
								'id' => '',
							),
							'default_value' => '',
							'placeholder' => 'url',
						),
					),
				),
			),
		),
		array(
			'key' => 'field_5f7f403c31e59',
			'label' => 'Image',
			'name' => 'for_image_link',
			'type' => 'group',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'layout' => 'block',
			'sub_fields' => array(
				array(
					'key' => 'field_5f7f403c31e5a',
					'label' => 'for image link',
					'name' => 'for_image',
					'type' => 'true_false',
					'instructions' => 'enable mega menu for image link',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '33',
						'class' => '',
						'id' => '',
					),
					'message' => '',
					'default_value' => 0,
					'ui' => 1,
					'ui_on_text' => '',
					'ui_off_text' => '',
				),
				array(
					'key' => 'field_5f7f403c31e5b',
					'label' => 'show in mega menu',
					'name' => 'show_in_mega_menu',
					'type' => 'select',
					'instructions' => 'select which posts you like to show in image mega menu',
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_5f7f403c31e5a',
								'operator' => '==',
								'value' => '1',
							),
						),
					),
					'wrapper' => array(
						'width' => '33',
						'class' => '',
						'id' => '',
					),
					'choices' => array(
						'recent' => 'recent images',
						'popular' => 'popular images',
					),
					'default_value' => false,
					'allow_null' => 0,
					'multiple' => 0,
					'ui' => 0,
					'return_format' => 'value',
					'ajax' => 0,
					'placeholder' => '',
				),
				array(
					'key' => 'field_5f82f9bd5f625',
					'label' => 'post number',
					'name' => 'mpost_number',
					'type' => 'range',
					'instructions' => 'number of posts display in mega menu',
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_5f7f403c31e5a',
								'operator' => '==',
								'value' => '1',
							),
						),
					),
					'wrapper' => array(
						'width' => '33',
						'class' => '',
						'id' => '',
					),
					'default_value' => 5,
					'min' => 1,
					'max' => 10,
					'step' => '',
					'prepend' => 'posts',
					'append' => '',
				),
				array(
					'key' => 'field_5f7f403c31e5c',
					'label' => 'add links in mega menu',
					'name' => 'links_in_mega_menu',
					'type' => 'repeater',
					'instructions' => 'you can add extra links in mega menu',
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_5f7f403c31e5a',
								'operator' => '==',
								'value' => '1',
							),
						),
					),
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'collapsed' => 'field_5f7f3f6fd0bcb',
					'min' => 0,
					'max' => 30,
					'layout' => 'block',
					'button_label' => 'add new link',
					'sub_fields' => array(
						array(
							'key' => 'field_5f7f403c31e5d',
							'label' => 'mega menu link text',
							'name' => 'mega_menu_link_text',
							'type' => 'text',
							'instructions' => '',
							'required' => 0,
							'conditional_logic' => 0,
							'wrapper' => array(
								'width' => '50',
								'class' => '',
								'id' => '',
							),
							'default_value' => '',
							'placeholder' => '',
							'prepend' => 'text',
							'append' => '',
							'maxlength' => '',
						),
						array(
							'key' => 'field_5f7f403c31e5e',
							'label' => 'mega menu link url',
							'name' => 'mega_menu_link_url',
							'type' => 'url',
							'instructions' => '',
							'required' => 0,
							'conditional_logic' => 0,
							'wrapper' => array(
								'width' => '50',
								'class' => '',
								'id' => '',
							),
							'default_value' => '',
							'placeholder' => 'url',
						),
					),
				),
			),
		),
		array(
			'key' => 'field_5f7f423737191',
			'label' => 'Music',
			'name' => 'for_music_link',
			'type' => 'group',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'layout' => 'block',
			'sub_fields' => array(
				array(
					'key' => 'field_5f7f423737192',
					'label' => 'for music link',
					'name' => 'for_music',
					'type' => 'true_false',
					'instructions' => 'enable mega menu for music link',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '33',
						'class' => '',
						'id' => '',
					),
					'message' => '',
					'default_value' => 0,
					'ui' => 1,
					'ui_on_text' => '',
					'ui_off_text' => '',
				),
				array(
					'key' => 'field_5f7f423737193',
					'label' => 'show in mega menu',
					'name' => 'show_in_mega_menu',
					'type' => 'select',
					'instructions' => 'select which posts you like to show in music mega menu',
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_5f7f423737192',
								'operator' => '==',
								'value' => '1',
							),
						),
					),
					'wrapper' => array(
						'width' => '33',
						'class' => '',
						'id' => '',
					),
					'choices' => array(
						'recent' => 'recent musics',
						'popular' => 'popular musics',
					),
					'default_value' => false,
					'allow_null' => 0,
					'multiple' => 0,
					'ui' => 0,
					'return_format' => 'value',
					'ajax' => 0,
					'placeholder' => '',
				),
				array(
					'key' => 'field_5f82fa175f627',
					'label' => 'post number',
					'name' => 'mpost_number',
					'type' => 'range',
					'instructions' => 'number of posts display in mega menu',
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_5f7f423737192',
								'operator' => '==',
								'value' => '1',
							),
						),
					),
					'wrapper' => array(
						'width' => '33',
						'class' => '',
						'id' => '',
					),
					'default_value' => 5,
					'min' => 1,
					'max' => 10,
					'step' => '',
					'prepend' => 'posts',
					'append' => '',
				),
				array(
					'key' => 'field_5f7f423737194',
					'label' => 'add links in mega menu',
					'name' => 'links_in_mega_menu',
					'type' => 'repeater',
					'instructions' => 'you can add extra links in mega menu',
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_5f7f423737192',
								'operator' => '==',
								'value' => '1',
							),
						),
					),
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'collapsed' => 'field_5f7f3f6fd0bcb',
					'min' => 0,
					'max' => 30,
					'layout' => 'block',
					'button_label' => 'add new link',
					'sub_fields' => array(
						array(
							'key' => 'field_5f7f423737195',
							'label' => 'mega menu link text',
							'name' => 'mega_menu_link_text',
							'type' => 'text',
							'instructions' => '',
							'required' => 0,
							'conditional_logic' => 0,
							'wrapper' => array(
								'width' => '50',
								'class' => '',
								'id' => '',
							),
							'default_value' => '',
							'placeholder' => '',
							'prepend' => 'text',
							'append' => '',
							'maxlength' => '',
						),
						array(
							'key' => 'field_5f7f423737196',
							'label' => 'mega menu link url',
							'name' => 'mega_menu_link_url',
							'type' => 'url',
							'instructions' => '',
							'required' => 0,
							'conditional_logic' => 0,
							'wrapper' => array(
								'width' => '50',
								'class' => '',
								'id' => '',
							),
							'default_value' => '',
							'placeholder' => 'url',
						),
					),
				),
			),
		),
	),
	'location' => array(
		array(
			array(
				'param' => 'options_page',
				'operator' => '==',
				'value' => 'acf-options-templates',
			),
		),
	),
	'menu_order' => 0,
	'position' => 'normal',
	'style' => 'default',
	'label_placement' => 'top',
	'instruction_placement' => 'label',
	'hide_on_screen' => '',
	'active' => true,
	'description' => '',
));

acf_add_local_field_group(array(
	'key' => 'group_58bc8b2ad0dc4',
	'title' => 'User Options',
	'fields' => array(
		array(
			'key' => 'field_587be48552f9f',
			'label' => 'Author Image',
			'name' => 'author_image',
			'type' => 'image',
			'instructions' => 'Upload author image.',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'preview_size' => 'thumbnail',
			'library' => 'all',
			'return_format' => 'array',
			'min_width' => 0,
			'min_height' => 0,
			'min_size' => 0,
			'max_width' => 0,
			'max_height' => 0,
			'max_size' => 0,
			'mime_types' => '',
		),
		array(
			'key' => 'field_587be575569ec',
			'label' => 'Cover image',
			'name' => 'cover_image',
			'type' => 'image',
			'instructions' => 'Upload cover image.',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'preview_size' => 'thumbnail',
			'library' => 'all',
			'return_format' => 'array',
			'min_width' => 0,
			'min_height' => 0,
			'min_size' => 0,
			'max_width' => 0,
			'max_height' => 0,
			'max_size' => 0,
			'mime_types' => '',
		),
		array(
			'key' => 'field_587be5d811823',
			'label' => 'Profile Social Links',
			'name' => '',
			'type' => 'message',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '<h1>Profile Social Links</h1>',
			'esc_html' => 0,
			'new_lines' => 'wpautop',
		),
		array(
			'key' => 'field_587be5f411824',
			'label' => 'facebook',
			'name' => 'profile_facebook',
			'type' => 'text',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => 'Facebook profile or page url',
			'prepend' => 'URL',
			'append' => '',
			'formatting' => 'none',
			'maxlength' => 140,
		),
		array(
			'key' => 'field_587be62b11825',
			'label' => 'twitter',
			'name' => 'profile_twitter',
			'type' => 'text',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => 'twitter profile url',
			'prepend' => 'URL',
			'append' => '',
			'formatting' => 'none',
			'maxlength' => 140,
		),
		array(
			'key' => 'field_587be65111826',
			'label' => 'Linkedin',
			'name' => 'profile_linkedin',
			'type' => 'text',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => 'linkedin profile',
			'prepend' => 'URL',
			'append' => '',
			'formatting' => 'none',
			'maxlength' => 140,
		),
		array(
			'key' => 'field_5b5f73a37030e',
			'label' => 'Instagram',
			'name' => 'profile_instagram',
			'type' => 'text',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => 'Instagram profile url',
			'prepend' => 'URL',
			'append' => '',
			'maxlength' => 140,
		),
		array(
			'key' => 'field_5b5f73c17030f',
			'label' => 'Pinterest',
			'name' => 'profile_pinterest',
			'type' => 'text',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => 'Pinterest profile url',
			'prepend' => 'URL',
			'append' => '',
			'maxlength' => 140,
		),
		array(
			'key' => 'field_5a132d05c424b',
			'label' => 'Add Url',
			'name' => 'profile_add_url',
			'type' => 'text',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => 'add custom url',
			'prepend' => 'URL',
			'append' => '',
			'maxlength' => 140,
		),
		array(
			'key' => 'field_587be6a663208',
			'label' => 'Verified Accounts',
			'name' => '',
			'type' => 'message',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '<h1>Verified Account</h1>',
			'esc_html' => 0,
			'new_lines' => 'wpautop',
		),
		array(
			'key' => 'field_587be6cb63209',
			'label' => 'Verified Account',
			'name' => 'verified_account',
			'type' => 'true_false',
			'instructions' => 'You can set extra permissions to verified users',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => 'verify this user account',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => 'Verified',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_59430297b0d37',
			'label' => 'Bonus Points',
			'name' => 'bonus_points',
			'type' => 'number',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '50',
				'class' => '',
				'id' => '',
			),
			'default_value' => 0,
			'placeholder' => '',
			'prepend' => 'points',
			'append' => '',
			'min' => '',
			'max' => '',
			'step' => '',
		),
	),
	'location' => array(
		array(
			array(
				'param' => 'user_role',
				'operator' => '==',
				'value' => 'all',
			),
		),
	),
	'menu_order' => 0,
	'position' => 'normal',
	'style' => 'seamless',
	'label_placement' => 'top',
	'instruction_placement' => 'label',
	'hide_on_screen' => '',
	'active' => true,
	'description' => '',
));

acf_add_local_field_group(array(
	'key' => 'group_58bddb03a9046',
	'title' => 'News List',
	'fields' => array(
		array(
			'key' => 'field_58bddb0df74fe',
			'label' => 'News list items',
			'name' => 'news_list_items',
			'type' => 'repeater',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => 'king-repeater',
				'id' => '',
			),
			'collapsed' => '',
			'min' => 0,
			'max' => 80,
			'layout' => 'block',
			'button_label' => '',
			'sub_fields' => array(
				array(
					'key' => 'field_58bddb31f74ff',
					'label' => 'News list title',
					'name' => 'news_list_title',
					'type' => 'text',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'default_value' => '',
					'placeholder' => '',
					'prepend' => '',
					'append' => '',
					'maxlength' => '',
				),
				array(
					'key' => 'field_58bddb5ef7500',
					'label' => 'Image or Video',
					'name' => 'news_image_or_video',
					'type' => 'true_false',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'message' => '',
					'default_value' => 0,
					'ui' => 1,
					'ui_on_text' => 'Video',
					'ui_off_text' => 'Image',
				),
				array(
					'key' => 'field_58bddb82f7501',
					'label' => 'News list image',
					'name' => 'news_list_image',
					'type' => 'image',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_58bddb5ef7500',
								'operator' => '!=',
								'value' => '1',
							),
						),
					),
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'return_format' => 'array',
					'preview_size' => 'large',
					'library' => 'uploadedTo',
					'min_width' => '',
					'min_height' => '',
					'min_size' => '',
					'max_width' => '',
					'max_height' => '',
					'max_size' => 5,
					'mime_types' => 'jpg, jpeg, png, gif',
				),
				array(
					'key' => 'field_58bddbb9f7502',
					'label' => 'News list media',
					'name' => 'news_list_media',
					'type' => 'oembed',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_58bddb5ef7500',
								'operator' => '==',
								'value' => '1',
							),
						),
					),
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'width' => '',
					'height' => '',
				),
				array(
					'key' => 'field_58bddbd2f7503',
					'label' => 'News list content',
					'name' => 'news_list_content',
					'type' => 'textarea',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'default_value' => '',
					'placeholder' => '',
					'maxlength' => '',
					'rows' => '',
					'new_lines' => '',
				),
			),
		),
	),
	'location' => array(
		array(
			array(
				'param' => 'post_format',
				'operator' => '==',
				'value' => 'quote',
			),
		),
	),
	'menu_order' => 1,
	'position' => 'normal',
	'style' => 'default',
	'label_placement' => 'top',
	'instruction_placement' => 'label',
	'hide_on_screen' => '',
	'active' => true,
	'description' => '',
));

acf_add_local_field_group(array(
	'key' => 'group_58bc8b2c4a3e8',
	'title' => 'video url',
	'fields' => array(
		array(
			'key' => 'field_58f533f201eee',
			'label' => 'url or upload',
			'name' => 'video_tab',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => 'upload',
			'ui_off_text' => 'url',
		),
		array(
			'key' => 'field_587be2665e807',
			'label' => 'url',
			'name' => 'video-url',
			'type' => 'oembed',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_58f533f201eee',
						'operator' => '!=',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'width' => '',
			'height' => '',
		),
		array(
			'key' => 'field_58f5335001eed',
			'label' => 'upload',
			'name' => 'video_upload',
			'type' => 'file',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_58f533f201eee',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'return_format' => 'array',
			'library' => 'uploadedTo',
			'min_size' => '',
			'max_size' => 500,
			'mime_types' => 'mp4, flv, mp3, mov',
		),
		array(
			'key' => 'field_58f5594a975cb',
			'label' => 'media thumb',
			'name' => '_thumbnail_id',
			'type' => 'image',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_58f533f201eee',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'return_format' => 'array',
			'preview_size' => 'thumbnail',
			'library' => 'uploadedTo',
			'min_width' => '',
			'min_height' => '',
			'min_size' => '',
			'max_width' => '',
			'max_height' => '',
			'max_size' => 10,
			'mime_types' => 'jpg, png, gif, jpeg',
		),
		array(
			'key' => 'field_59c9812458fe6',
			'label' => 'media embed code',
			'name' => 'media_embed_code',
			'type' => 'textarea',
			'instructions' => 'you can paste embed code of media here',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_58f533f201eee',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => '',
			'maxlength' => '',
			'rows' => '',
			'new_lines' => '',
		),
		array(
			'key' => 'field_5ee7d2907603a',
			'label' => 'Media Lists',
			'name' => 'media_lists',
			'type' => 'repeater',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'collapsed' => '',
			'min' => 0,
			'max' => 80,
			'layout' => 'block',
			'button_label' => '<i class="fas fa-plus"></i> Add More',
			'sub_fields' => array(
				array(
					'key' => 'field_5ee7d35b7603b',
					'label' => 'Media Title',
					'name' => 'media_title',
					'type' => 'text',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'default_value' => '',
					'placeholder' => 'title',
					'prepend' => '',
					'append' => '',
					'maxlength' => '',
				),
				array(
					'key' => 'field_5ee7d3c77603d',
					'label' => 'Media Url or Upload',
					'name' => 'media_url_or_upload',
					'type' => 'true_false',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'message' => '',
					'default_value' => 0,
					'ui' => 1,
					'ui_on_text' => 'Url',
					'ui_off_text' => 'Upload',
				),
				array(
					'key' => 'field_5ee7d3987603c',
					'label' => 'Media Url',
					'name' => 'media_url',
					'type' => 'oembed',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_5ee7d3c77603d',
								'operator' => '!=',
								'value' => '1',
							),
						),
					),
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'width' => '',
					'height' => '',
				),
				array(
					'key' => 'field_5ee7d4327603e',
					'label' => 'Media upload',
					'name' => 'media_upload',
					'type' => 'file',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_5ee7d3c77603d',
								'operator' => '==',
								'value' => '1',
							),
						),
					),
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'return_format' => 'array',
					'library' => 'uploadedTo',
					'min_size' => '',
					'max_size' => 150,
					'mime_types' => 'mp4, flv, mp3, mov',
				),
				array(
					'key' => 'field_5ee7d4f37603f',
					'label' => 'Media Thumb',
					'name' => 'media_thumb',
					'type' => 'image',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'return_format' => 'array',
					'preview_size' => 'thumbnail',
					'library' => 'uploadedTo',
					'min_width' => '',
					'min_height' => '',
					'min_size' => '',
					'max_width' => '',
					'max_height' => '',
					'max_size' => 10,
					'mime_types' => 'jpg, png, gif, jpeg',
				),
			),
		),
	),
	'location' => array(
		array(
			array(
				'param' => 'post_format',
				'operator' => '==',
				'value' => 'video',
			),
		),
		array(
			array(
				'param' => 'post_format',
				'operator' => '==',
				'value' => 'audio',
			),
		),
	),
	'menu_order' => 1,
	'position' => 'normal',
	'style' => 'default',
	'label_placement' => 'top',
	'instruction_placement' => 'label',
	'hide_on_screen' => '',
	'active' => true,
	'description' => '',
));

acf_add_local_field_group(array(
	'key' => 'group_5ec929bd79ab3',
	'title' => 'Category Options',
	'fields' => array(
		array(
			'key' => 'field_5ec929c889938',
			'label' => 'Category for news',
			'name' => 'category_for_news',
			'type' => 'true_false',
			'instructions' => 'This category will be available only for News',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '33',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_5ec92a4a89939',
			'label' => 'Category for video',
			'name' => 'category_for_video',
			'type' => 'true_false',
			'instructions' => 'This category will be available only for Videos',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '33',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_5ec92a5b8993a',
			'label' => 'Category for image',
			'name' => 'category_for_image',
			'type' => 'true_false',
			'instructions' => 'This category will be available only for Images',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '33',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_5fa94d09ea9ef',
			'label' => 'Category for music',
			'name' => 'category_for_music',
			'type' => 'true_false',
			'instructions' => 'This category will be available only for Music',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '33',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_5fe71d5564615',
			'label' => 'Category Posts Free',
			'name' => 'category_for_free',
			'type' => 'true_false',
			'instructions' => 'Enable this option if you like show posts in this category for <strong>Not Premium Users.</strong> ( This option only available if Membership enabled in Theme Settings )',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
	),
	'location' => array(
		array(
			array(
				'param' => 'taxonomy',
				'operator' => '==',
				'value' => 'category',
			),
		),
	),
	'menu_order' => 2,
	'position' => 'normal',
	'style' => 'default',
	'label_placement' => 'top',
	'instruction_placement' => 'label',
	'hide_on_screen' => '',
	'active' => true,
	'description' => '',
));

acf_add_local_field_group(array(
	'key' => 'group_5b5ce3de0940d',
	'title' => 'Image Templates',
	'fields' => array(
		array(
			'key' => 'field_5b5ce3de23ad5',
			'label' => 'Image Post Template',
			'name' => 'image_template',
			'type' => 'radio',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array(
				'image-template-1' => '<img src="../wp-content/themes/king/layouts/imgs/templates/single/imagetemplate-v1.svg" height="150" width="150" />',
				'image-template-2' => '<img src="../wp-content/themes/king/layouts/imgs/templates/single/imagetemplate-v2.svg" height="150" width="150" />',
			),
			'allow_null' => 1,
			'other_choice' => 0,
			'default_value' => '',
			'layout' => 'horizontal',
			'return_format' => 'value',
			'save_other_choice' => 0,
		),
	),
	'location' => array(
		array(
			array(
				'param' => 'post_format',
				'operator' => '==',
				'value' => 'image',
			),
		),
	),
	'menu_order' => 2,
	'position' => 'normal',
	'style' => 'default',
	'label_placement' => 'top',
	'instruction_placement' => 'label',
	'hide_on_screen' => '',
	'active' => true,
	'description' => '',
));

acf_add_local_field_group(array(
	'key' => 'group_58bc8b2c6ed68',
	'title' => 'Post Options',
	'fields' => array(
		array(
			'key' => 'field_587be13bfc2f0',
			'label' => 'Featured Post',
			'name' => 'featured-post',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => 'set this post as featured',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_587be15ffc2f1',
			'label' => 'Keep Trending',
			'name' => 'keep_trending',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => 'set this post as trend',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_587be16ffc2f2',
			'label' => 'nsfw',
			'name' => 'nsfw_post',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => 'This post is Not Safe for Work',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_5c9bda3ad6b0b',
			'label' => 'Editors\' Choice',
			'name' => 'editors_choice',
			'type' => 'true_false',
			'instructions' => 'Select this post as Editors\' Choice',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => 'Select this post as Editors\' Choice',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_5c9bda8ad6b0c',
			'label' => 'Editors\' Note',
			'name' => 'editors_note',
			'type' => 'textarea',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5c9bda3ad6b0b',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => 'Editors\' Note',
			'maxlength' => '',
			'rows' => '',
			'new_lines' => '',
		),
		array(
			'key' => 'field_592499e8bbd9a',
			'label' => 'Post Views',
			'name' => '_post_views',
			'type' => 'number',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => '',
			'prepend' => 'Views',
			'append' => '',
			'min' => '',
			'max' => '',
			'step' => '',
		),
		array(
			'key' => 'field_593098698a880',
			'label' => 'Post Likes',
			'name' => '_post_like_count',
			'type' => 'number',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => '',
			'prepend' => 'Likes',
			'append' => '',
			'min' => '',
			'max' => '',
			'step' => '',
		),
		array(
			'key' => 'field_5a568a7c056ca',
			'label' => 'Add Sponsor',
			'name' => 'add_sponsor',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => 'You can add sponsor branding to your post',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_5a568b7e056cb',
			'label' => 'Post sponsor logo',
			'name' => 'post_sponsor_logo',
			'type' => 'image',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5a568a7c056ca',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '30',
				'class' => '',
				'id' => '',
			),
			'return_format' => 'url',
			'preview_size' => 'thumbnail',
			'library' => 'all',
			'min_width' => '',
			'min_height' => '',
			'min_size' => '',
			'max_width' => '',
			'max_height' => '',
			'max_size' => '',
			'mime_types' => '',
		),
		array(
			'key' => 'field_5a568bbe056cc',
			'label' => 'Post sponsor link',
			'name' => 'post_sponsor_link',
			'type' => 'url',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5a568a7c056ca',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '40',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => 'sponsor link',
		),
		array(
			'key' => 'field_5a568be7056cd',
			'label' => 'Post sponsor description',
			'name' => 'post_sponsor_description',
			'type' => 'textarea',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5a568a7c056ca',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '30',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => '',
			'maxlength' => '',
			'rows' => 4,
			'new_lines' => '',
		),
	),
	'location' => array(
		array(
			array(
				'param' => 'post_type',
				'operator' => '==',
				'value' => 'post',
			),
			array(
				'param' => 'post_format',
				'operator' => '!=',
				'value' => 'link',
			),
		),
	),
	'menu_order' => 2,
	'position' => 'normal',
	'style' => 'default',
	'label_placement' => 'top',
	'instruction_placement' => 'label',
	'hide_on_screen' => '',
	'active' => true,
	'description' => '',
));

acf_add_local_field_group(array(
	'key' => 'group_5b5b94e54f971',
	'title' => 'Post Templates',
	'fields' => array(
		array(
			'key' => 'field_5b5b94f0474bd',
			'label' => 'Post Template',
			'name' => 'post_template',
			'type' => 'radio',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array(
				'template-1' => '<img src="../wp-content/themes/king/layouts/imgs/templates/single/template-v1.svg" height="150" width="150" />',
				'template-2' => '<img src="../wp-content/themes/king/layouts/imgs/templates/single/template-v2.svg" height="150" width="150" />',
				'template-3' => '<img src="../wp-content/themes/king/layouts/imgs/templates/single/template-v3.svg" height="150" width="150" />',
				'template-4' => '<img src="../wp-content/themes/king/layouts/imgs/templates/single/template-v4.svg" height="150" width="150" />',
				'template-5' => '<img src="../wp-content/themes/king/layouts/imgs/templates/single/template-v5.svg" height="150" width="150" />',
				'template-6' => '<img src="../wp-content/themes/king/layouts/imgs/templates/single/template-v6.svg" height="150" width="150" />',
			),
			'allow_null' => 1,
			'other_choice' => 0,
			'default_value' => '',
			'layout' => 'horizontal',
			'return_format' => 'value',
			'save_other_choice' => 0,
		),
	),
	'location' => array(
		array(
			array(
				'param' => 'post_format',
				'operator' => '==',
				'value' => 'quote',
			),
		),
		array(
			array(
				'param' => 'post_format',
				'operator' => '==',
				'value' => 'standard',
			),
		),
	),
	'menu_order' => 2,
	'position' => 'normal',
	'style' => 'default',
	'label_placement' => 'top',
	'instruction_placement' => 'label',
	'hide_on_screen' => '',
	'active' => true,
	'description' => '',
));

acf_add_local_field_group(array(
	'key' => 'group_5b5b932527a19',
	'title' => 'Video Templates',
	'fields' => array(
		array(
			'key' => 'field_5b5b932a71d23',
			'label' => 'Video Post Template',
			'name' => 'video_template',
			'type' => 'radio',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array(
				'video-template-1' => '<img src="../wp-content/themes/king/layouts/imgs/templates/single/videotemplate-v1.svg" height="150" width="150" />',
				'video-template-2' => '<img src="../wp-content/themes/king/layouts/imgs/templates/single/videotemplate-v2.svg" height="150" width="150" />',
				'video-template-3' => '<img src="../wp-content/themes/king/layouts/imgs/templates/single/videotemplate-v3.svg" height="150" width="150" />',
			),
			'allow_null' => 1,
			'other_choice' => 0,
			'default_value' => '',
			'layout' => 'horizontal',
			'return_format' => 'value',
			'save_other_choice' => 0,
		),
	),
	'location' => array(
		array(
			array(
				'param' => 'post_format',
				'operator' => '==',
				'value' => 'video',
			),
		),
	),
	'menu_order' => 2,
	'position' => 'normal',
	'style' => 'default',
	'label_placement' => 'top',
	'instruction_placement' => 'label',
	'hide_on_screen' => '',
	'active' => true,
	'description' => '',
));

acf_add_local_field_group(array(
	'key' => 'group_5a56889e12163',
	'title' => 'Ad Post',
	'fields' => array(
		array(
			'key' => 'field_5a568932429f7',
			'label' => 'Ad link',
			'name' => 'ad_link',
			'type' => 'url',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => '',
		),
		array(
			'key' => 'field_5a5688cf34274',
			'label' => 'Ad Button Value',
			'name' => 'ad_button_value',
			'type' => 'text',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => '',
			'prepend' => 'Value',
			'append' => '',
			'maxlength' => 20,
		),
		array(
			'key' => 'field_5a59195facec4',
			'label' => 'Ad Extra Field',
			'name' => 'ad_extra_field',
			'type' => 'text',
			'instructions' => 'You can add extra information about ad , etc. price, name,',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => '',
			'prepend' => 'text',
			'append' => '',
			'maxlength' => '',
		),
		array(
			'key' => 'field_5a5a7ec420b5a',
			'label' => 'Sponsored Text',
			'name' => 'sponsored_text',
			'type' => 'text',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => '',
			'prepend' => 'Text',
			'append' => '',
			'maxlength' => 50,
		),
	),
	'location' => array(
		array(
			array(
				'param' => 'post_format',
				'operator' => '==',
				'value' => 'link',
			),
		),
	),
	'menu_order' => 3,
	'position' => 'normal',
	'style' => 'default',
	'label_placement' => 'top',
	'instruction_placement' => 'label',
	'hide_on_screen' => '',
	'active' => true,
	'description' => '',
));

acf_add_local_field_group(array(
	'key' => 'group_58bc8b2cabdac',
	'title' => 'Layout',
	'fields' => array(
		array(
			'key' => 'field_585053862b024',
			'label' => 'Meta Head',
			'name' => '',
			'type' => 'tab',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'placement' => 'left',
			'endpoint' => 0,
		),
		array(
			'key' => 'field_58b04f09f9f53',
			'label' => 'Enable Meta Tags',
			'name' => 'enable_meta_tags',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => 'Enable Meta Tags for Facebook and Twitter Share',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_58617b1055b45',
			'label' => 'Facebook Share Description',
			'name' => 'facebook_share_description',
			'type' => 'text',
			'instructions' => 'Custom description for Facebook Share.',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_58b04f09f9f53',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => 'e.g. click to watch',
			'prepend' => 'Text',
			'append' => '',
			'formatting' => 'none',
			'maxlength' => 140,
		),
		array(
			'key' => 'field_58617f1602fc0',
			'label' => 'Twitter Share Description',
			'name' => 'twitter_share_description',
			'type' => 'text',
			'instructions' => 'Custom description for Twitter Share.',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_58b04f09f9f53',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => 'e.g. click to see post',
			'prepend' => 'Text',
			'append' => '',
			'formatting' => 'none',
			'maxlength' => 140,
		),
		array(
			'key' => 'field_5850544aeba32',
			'label' => 'Custom HTML in HEAD',
			'name' => 'custom_html_head',
			'type' => 'textarea',
			'instructions' => 'add custom html in <head> </head> section of every page,	(HTML Allowed)',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => 'ex: <link rel="shortcut icon" type="image/ico" href="favicon.ico" />',
			'maxlength' => '',
			'rows' => 6,
			'new_lines' => '',
		),
		array(
			'key' => 'field_5850539d2b025',
			'label' => 'Advertising',
			'name' => '',
			'type' => 'tab',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'placement' => 'left',
			'endpoint' => 0,
		),
		array(
			'key' => 'field_57f5713fa06c8',
			'label' => 'Enable ad before videos load',
			'name' => 'enable_ad_video',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => 'Enable ad before videos load',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_57f57171a06c9',
			'label' => 'Ad Code',
			'name' => 'video_load_ad',
			'type' => 'textarea',
			'instructions' => 'Display ad before video load',
			'required' => 1,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_57f5713fa06c8',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => '',
			'maxlength' => '',
			'rows' => 4,
			'new_lines' => '',
		),
		array(
			'key' => 'field_57f576023b604',
			'label' => 'Skip ad after (seconds)',
			'name' => 'skip_ad_after',
			'type' => 'number',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_57f5713fa06c8',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 5,
			'placeholder' => '',
			'prepend' => 'second',
			'append' => '',
			'min' => '',
			'max' => 40,
			'step' => '',
		),
		array(
			'key' => 'field_5807c89983906',
			'label' => 'Enable sticky ad in sidebar',
			'name' => 'enable_sticky_ad',
			'type' => 'true_false',
			'instructions' => 'Display sticky ad in sidebar',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => 'Enable sticky ad in sidebar',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_5807c8dd83907',
			'label' => 'Sidebar sticky ad',
			'name' => 'sidebar_sticky_ad',
			'type' => 'textarea',
			'instructions' => '',
			'required' => 1,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5807c89983906',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => 'ad code ( HTML allowed )',
			'maxlength' => '',
			'rows' => 6,
			'new_lines' => '',
		),
		array(
			'key' => 'field_5807cd1840d8e',
			'label' => 'Ad in Main Area - Top',
			'name' => 'ad_main_area_top',
			'type' => 'textarea',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => 'ad code ( HTML allowed )',
			'maxlength' => '',
			'rows' => 6,
			'new_lines' => '',
		),
		array(
			'key' => 'field_5807cf3989999',
			'label' => 'Ad in footer',
			'name' => 'ad_in_footer',
			'type' => 'textarea',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => 'ad code ( HTML allowed )',
			'maxlength' => '',
			'rows' => 6,
			'new_lines' => '',
		),
		array(
			'key' => 'field_58811d947aac1',
			'label' => 'Ads above content in post page',
			'name' => 'ads_above_content',
			'type' => 'textarea',
			'instructions' => 'You can add ads above content in post page. max. width 750px',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => 'ad code ( HTML allowed )',
			'maxlength' => '',
			'rows' => 6,
			'new_lines' => '',
		),
		array(
			'key' => 'field_58811eb07aac2',
			'label' => 'Ads below content in post page',
			'name' => 'ads_below_content',
			'type' => 'textarea',
			'instructions' => 'You can add ads below content in post page. max. width 750px',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => 'ad code ( HTML allowed )',
			'maxlength' => '',
			'rows' => 6,
			'new_lines' => '',
		),
		array(
			'key' => 'field_5850564fd3aef',
			'label' => 'Footer',
			'name' => '',
			'type' => 'tab',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'placement' => 'left',
			'endpoint' => 0,
		),
		array(
			'key' => 'field_5850565bd3af0',
			'label' => 'Footer copyright notice',
			'name' => 'footer_copyright',
			'type' => 'text',
			'instructions' => 'html allowed',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => '© yourpageurl.com 2017. All rights reserved.',
			'prepend' => 'Text',
			'append' => '',
			'formatting' => 'html',
			'maxlength' => '',
		),
		array(
			'key' => 'field_58505697d3af1',
			'label' => 'Footer Facebook Link',
			'name' => 'footer_facebook_link',
			'type' => 'text',
			'instructions' => 'Add your facebook page or profile url',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => '',
			'prepend' => 'Url',
			'append' => '',
			'formatting' => 'none',
			'maxlength' => '',
		),
		array(
			'key' => 'field_585056b0d3af2',
			'label' => 'Footer Linkedin Link',
			'name' => 'footer_linkedin_link',
			'type' => 'text',
			'instructions' => 'Add your Linkedin page url',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => '',
			'prepend' => 'Url',
			'append' => '',
			'formatting' => 'none',
			'maxlength' => '',
		),
		array(
			'key' => 'field_585056c3d3af3',
			'label' => 'Footer Twitter Link',
			'name' => 'footer_twitter_link',
			'type' => 'text',
			'instructions' => 'Add your Twitter page url',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => '',
			'prepend' => 'Url',
			'append' => '',
			'formatting' => 'none',
			'maxlength' => '',
		),
		array(
			'key' => 'field_585056d6d3af4',
			'label' => 'Footer Google+ Link',
			'name' => 'footer_google_link',
			'type' => 'text',
			'instructions' => 'Add your Google+ page url',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => '',
			'prepend' => 'Url',
			'append' => '',
			'formatting' => 'none',
			'maxlength' => '',
		),
		array(
			'key' => 'field_585056e7d3af5',
			'label' => 'Add more custom Social Links',
			'name' => 'footer_custom_link',
			'type' => 'textarea',
			'instructions' => 'Add custom social links , You can select icon <a href="https://fontawesome.com/v4.7.0/icons/" target="_blank">Here </a>',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => 'ex: <li><a href="http://facebook.com/"><i class="fa fa-facebook"></i></a></li>',
			'maxlength' => '',
			'rows' => 6,
			'new_lines' => '',
		),
		array(
			'key' => 'field_58505764c9b40',
			'label' => 'Custom Messages',
			'name' => '',
			'type' => 'tab',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'placement' => 'left',
			'endpoint' => 0,
		),
		array(
			'key' => 'field_58505770c9b41',
			'label' => 'Custom message on register page',
			'name' => 'custom_message_register',
			'type' => 'textarea',
			'instructions' => 'Html Allowed',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => '',
			'maxlength' => '',
			'rows' => '',
			'new_lines' => '',
		),
		array(
			'key' => 'field_585057a5c9b42',
			'label' => 'Custom message on login page',
			'name' => 'custom_message_login',
			'type' => 'textarea',
			'instructions' => 'Html Allowed',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => '',
			'maxlength' => '',
			'rows' => '',
			'new_lines' => '',
		),
		array(
			'key' => 'field_585057afc9b43',
			'label' => 'Custom message on News Submit Page',
			'name' => 'custom_message_news',
			'type' => 'textarea',
			'instructions' => 'Html Allowed',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => '',
			'maxlength' => '',
			'rows' => '',
			'new_lines' => '',
		),
		array(
			'key' => 'field_585057c7c9b44',
			'label' => 'Custom message on Video Submit Page',
			'name' => 'custom_message_video',
			'type' => 'textarea',
			'instructions' => 'Html Allowed',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => '',
			'maxlength' => '',
			'rows' => '',
			'new_lines' => '',
		),
		array(
			'key' => 'field_585057d5c9b45',
			'label' => 'Custom message on Image Submit Page',
			'name' => 'custom_message_image',
			'type' => 'textarea',
			'instructions' => 'Html Allowed',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => '',
			'maxlength' => '',
			'rows' => '',
			'new_lines' => '',
		),
		array(
			'key' => 'field_5863f187660a0',
			'label' => 'Header',
			'name' => '',
			'type' => 'tab',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'placement' => 'left',
			'endpoint' => 0,
		),
		array(
			'key' => 'field_5f6f4d0f08a11',
			'label' => 'Enable Bookmarks',
			'name' => 'enable_bookmarks',
			'type' => 'true_false',
			'instructions' => 'users can bookmark interesting posts and read it later.',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_5e592cc9d2207',
			'label' => 'Enable Live Search',
			'name' => 'enable_live_search',
			'type' => 'true_false',
			'instructions' => 'You can enable live search',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_5e59312f8d5e7',
			'label' => 'Enable Live User Search',
			'name' => 'enable_live_user_search',
			'type' => 'true_false',
			'instructions' => 'Enable user search in live search',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5e592cc9d2207',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_5c9bd420e2c12',
			'label' => 'Header menu layout',
			'name' => 'header_menu_layout',
			'type' => 'radio',
			'instructions' => 'You can select header menu layout style',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array(
				'hmenu-template-1' => '<img src="../wp-content/themes/king/layouts/imgs/grid/hmenu.svg" height="175" width="175" />',
				'hmenu-template-2' => '<img src="../wp-content/themes/king/layouts/imgs/grid/hmenu2.svg" height="175" width="175" />',
			),
			'allow_null' => 0,
			'other_choice' => 0,
			'default_value' => '',
			'layout' => 'horizontal',
			'return_format' => 'value',
			'save_other_choice' => 0,
		),
		array(
			'key' => 'field_5c9bd485e2c13',
			'label' => 'Header Menu Columns',
			'name' => 'header_menu_columns',
			'type' => 'select',
			'instructions' => 'Select header mega menu column size',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5c9bd420e2c12',
						'operator' => '==',
						'value' => 'hmenu-template-2',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array(
				'columns-1' => '1 Column',
				'columns-2' => '2 Columns',
				'columns-3' => '3 Columns',
				'columns-4' => '4 Columns',
				'columns-5' => '5 Columns',
			),
			'default_value' => array(
			),
			'allow_null' => 1,
			'multiple' => 0,
			'ui' => 0,
			'return_format' => 'value',
			'ajax' => 0,
			'placeholder' => '',
		),
		array(
			'key' => 'field_586697832ea70',
			'label' => 'Hide Elements',
			'name' => '',
			'type' => 'message',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '<h1>Hide Elements</h1>',
			'esc_html' => 0,
			'new_lines' => 'wpautop',
		),
		array(
			'key' => 'field_5fa010391d306',
			'label' => 'Hide Navbar',
			'name' => 'hide_navbar',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => 'Hide nav bar under the header',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_5fa418cd09651',
			'label' => 'Hide submit button',
			'name' => 'hide_submit_button',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => 'You can hide submit button in header',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_586697d3eaaa8',
			'label' => 'News Link',
			'name' => 'hide_news_Link',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => 'Hide News Link',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_58669823eaaa9',
			'label' => 'Video Link',
			'name' => 'hide_video_Link',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => 'Hide Video Link',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_58669857eaaaa',
			'label' => 'Image Link',
			'name' => 'hide_image_Link',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => 'Hide Image Link',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_5eef50b10e24a',
			'label' => 'Music Link',
			'name' => 'hide_music_Link',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => 'Hide Music Link in header',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_5866988deaaab',
			'label' => 'Header Menu',
			'name' => 'hide_categories',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => 'Hide Header Mega Menu in Header',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_59921ec2859f1',
			'label' => 'Add Links',
			'name' => '',
			'type' => 'message',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'new_lines' => '',
			'esc_html' => 0,
		),
		array(
			'key' => 'field_5fa290c2cfe96',
			'label' => 'Add new icon and link in header',
			'name' => 'add_new_icon_and_link_in_header',
			'type' => 'repeater',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'collapsed' => '',
			'min' => 0,
			'max' => 10,
			'layout' => 'block',
			'button_label' => 'Add Icon',
			'sub_fields' => array(
				array(
					'key' => 'field_5fa290c2cfe98',
					'label' => 'Header Icon URL',
					'name' => 'header_icon_url',
					'type' => 'text',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'default_value' => '',
					'placeholder' => '',
					'prepend' => 'URL',
					'append' => '',
					'maxlength' => '',
				),
				array(
					'key' => 'field_5fa290c2cfe99',
					'label' => 'Header Icon',
					'name' => 'header_icon',
					'type' => 'text',
					'instructions' => 'Supporting FontAwesome icons, you can select the icons <a href="https://fontawesome.com/icons" target="_blank">Here</a>',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'default_value' => '',
					'placeholder' => '<i class="fas fa-crown"></i>',
					'prepend' => 'icon',
					'append' => '',
					'maxlength' => '',
				),
			),
		),
		array(
			'key' => 'field_59921f85f694a',
			'label' => 'Add New Links To Header Nav',
			'name' => 'add_new_links_to_header',
			'type' => 'repeater',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'collapsed' => '',
			'min' => 0,
			'max' => 10,
			'layout' => 'row',
			'button_label' => 'Add New',
			'sub_fields' => array(
				array(
					'key' => 'field_59921fd5f694b',
					'label' => 'Header Nav Text',
					'name' => 'header_nav_text',
					'type' => 'text',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'default_value' => '',
					'placeholder' => '',
					'prepend' => 'text',
					'append' => '',
					'maxlength' => 50,
				),
				array(
					'key' => 'field_59922015f694c',
					'label' => 'Header Nav URL',
					'name' => 'header_nav_url',
					'type' => 'url',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'default_value' => '',
					'placeholder' => '',
				),
				array(
					'key' => 'field_599220c56416d',
					'label' => 'Header Nav Icon',
					'name' => 'header_nav_icon',
					'type' => 'text',
					'instructions' => 'Supporting FontAwesome icons, you can select the icons <a href="https://fontawesome.com/icons" target="_blank">Here</a>',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'default_value' => '',
					'placeholder' => '<i class="fas fa-crown"></i>',
					'prepend' => 'icon',
					'append' => '',
					'maxlength' => '',
				),
			),
		),
		array(
			'key' => 'field_5863f1a0660a1',
			'label' => 'Post Page',
			'name' => '',
			'type' => 'tab',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'placement' => 'left',
			'endpoint' => 0,
		),
		array(
			'key' => 'field_5fa5268bcadcd',
			'label' => 'Font Size in Post Page',
			'name' => 'font_size_in_post_page',
			'type' => 'number',
			'instructions' => 'you can change the font size in post page',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => '',
			'prepend' => 'font-size',
			'append' => 'px',
			'min' => 9,
			'max' => 50,
			'step' => '',
		),
		array(
			'key' => 'field_59c6e73fb5032',
			'label' => 'Enable floating video',
			'name' => 'enable_floating_video',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => 'You can enable floating video options for video posts',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_597901fe706fc',
			'label' => 'Enable front-end post edit',
			'name' => 'enable_post_edit',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => 'Enable front-end post edit',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_5a61000ecc234',
			'label' => 'Allow users to delete their posts',
			'name' => 'allow_users_to_delete_their_posts',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_597901fe706fc',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => 'Allow users to delete their posts',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_59790f60e1564',
			'label' => 'Only verified users can edit posts',
			'name' => 'verified_edit_posts',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_597901fe706fc',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => 'Only verified users can edit posts',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_597a5fb1fd83c',
			'label' => 'Re-moderate posts after editing',
			'name' => 'moderate_posts_edit',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_597901fe706fc',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => 'Posts will be pending after editing',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_5c9bd5afa48b7',
			'label' => 'Display Editors’ Choice Note',
			'name' => 'display_editors_choice_note',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => 'Display notes for editors’ chose posts',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_5c9bd5dfa48b8',
			'label' => 'Editors’ Choice Title',
			'name' => 'editors_choice_title',
			'type' => 'text',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5c9bd5afa48b7',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'Editors’ Choice',
			'placeholder' => '',
			'prepend' => 'text',
			'append' => '',
			'maxlength' => '',
		),
		array(
			'key' => 'field_5c9bd62ea48b9',
			'label' => 'Editors’ Choice Default Text',
			'name' => 'editors_choice_default_text',
			'type' => 'textarea',
			'instructions' => 'if editors didn\\\'t write any note for posts this note will appear,',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5c9bd5afa48b7',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => '',
			'maxlength' => '',
			'rows' => '',
			'new_lines' => '',
		),
		array(
			'key' => 'field_586ea39dd21ec',
			'label' => 'Display Who Liked',
			'name' => 'display_who_liked',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => 'Display a list of users who liked a post to show in post page .',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_586ea439d21ed',
			'label' => 'Who liked box title',
			'name' => 'who_liked_box_title',
			'type' => 'text',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_586ea39dd21ec',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'Who liked ?',
			'placeholder' => '',
			'prepend' => 'text',
			'append' => '',
			'formatting' => 'none',
			'maxlength' => 100,
		),
		array(
			'key' => 'field_5881228657b8b',
			'label' => 'Message if nobody liked',
			'name' => 'if_nobody_liked_box_title',
			'type' => 'text',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_586ea39dd21ec',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'Nobody liked ?',
			'placeholder' => '',
			'prepend' => 'text (HTML Allowed)',
			'append' => '',
			'formatting' => 'html',
			'maxlength' => 400,
		),
		array(
			'key' => 'field_5866a70d36ee1',
			'label' => 'Related Posts',
			'name' => '',
			'type' => 'message',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '<h1>Related Posts<h1>',
			'esc_html' => 0,
			'new_lines' => 'wpautop',
		),
		array(
			'key' => 'field_5863f1ac660a2',
			'label' => 'Display Related Posts',
			'name' => 'display_related',
			'type' => 'true_false',
			'instructions' => 'Display Related Posts in post page',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => 'Display Related Posts',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_5866a171781a8',
			'label' => 'Related Posts Heading',
			'name' => 'related_posts_heading',
			'type' => 'text',
			'instructions' => 'Related Entries Heading',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5863f1ac660a2',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'Related Posts',
			'placeholder' => '',
			'prepend' => 'Text',
			'append' => '',
			'formatting' => 'none',
			'maxlength' => '',
		),
		array(
			'key' => 'field_5866a29d8136d',
			'label' => 'Display related posts by',
			'name' => 'display_related_posts_by',
			'type' => 'radio',
			'instructions' => 'Display related posts by Categories or Tags',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5863f1ac660a2',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array(
				'tags' => 'Tags',
				'categories' => 'Categories',
			),
			'allow_null' => 0,
			'other_choice' => 0,
			'save_other_choice' => 0,
			'default_value' => '',
			'layout' => 'horizontal',
			'return_format' => 'value',
		),
		array(
			'key' => 'field_5863f1d1660a3',
			'label' => 'Length of Related Posts',
			'name' => 'related_length',
			'type' => 'number',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5863f1ac660a2',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 6,
			'placeholder' => '',
			'prepend' => 'Related Posts',
			'append' => '',
			'min' => 1,
			'max' => 20,
			'step' => '',
		),
		array(
			'key' => 'field_586eae1483076',
			'label' => 'Hide Elements',
			'name' => '',
			'type' => 'message',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '<h1>Hide Elements</h1>',
			'esc_html' => 0,
			'new_lines' => 'wpautop',
		),
		array(
			'key' => 'field_586eae2d83077',
			'label' => 'Post Author Box',
			'name' => 'hide_post_author_box',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => 'Hide post author box in post page',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_586eae6583078',
			'label' => 'Hide author about text',
			'name' => 'hide_author_about_text',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_586eae2d83077',
						'operator' => '!=',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => 'Hide post author about text in author box',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_5a132ee5ed76f',
			'label' => 'Hide author social links',
			'name' => 'hide_author_social_links',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_586eae2d83077',
						'operator' => '!=',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => 'Hide post author social links in author box',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_5f885a659f167',
			'label' => 'Newsletter',
			'name' => '',
			'type' => 'tab',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'placement' => 'left',
			'endpoint' => 0,
		),
		array(
			'key' => 'field_5f8ad7504cf09',
			'label' => 'Download Newsletter Subscribed Emails',
			'name' => '',
			'type' => 'message',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '<a class="newsletter-download" href="./tools.php?download=subscribers.csv">Download</a>',
			'new_lines' => 'wpautop',
			'esc_html' => 0,
		),
		array(
			'key' => 'field_5f88599405af7',
			'label' => 'Enable Newsletter Popup',
			'name' => 'enable_newsletter_popup',
			'type' => 'true_false',
			'instructions' => 'Enable or disable the newsletter popup',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_5f8859b805af8',
			'label' => 'Newsletter Title',
			'name' => 'newsletter_title',
			'type' => 'text',
			'instructions' => 'title for the newsletter popup',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5f88599405af7',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'Stay Tuned',
			'placeholder' => '',
			'prepend' => 'Title',
			'append' => '',
			'maxlength' => '',
		),
		array(
			'key' => 'field_5f885ccce1383',
			'label' => 'Newsletter Description',
			'name' => 'newsletter_description',
			'type' => 'textarea',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5f88599405af7',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'Subscribe our newsletter and never miss our latest news ...',
			'placeholder' => '',
			'maxlength' => '',
			'rows' => 4,
			'new_lines' => '',
		),
		array(
			'key' => 'field_5f8863c48c9ae',
			'label' => 'Privacy Text',
			'name' => 'privacy_text',
			'type' => 'text',
			'instructions' => 'Input privacy text for the newsletter popup form',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5f88599405af7',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'By clicking, You are agreeing to our terms.',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		array(
			'key' => 'field_5f8866ee8c9af',
			'label' => 'Newsletter Submit Text',
			'name' => 'newsletter_submit_text',
			'type' => 'text',
			'instructions' => 'Submit button text for the newsletter form',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5f88599405af7',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'Subscribe',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		array(
			'key' => 'field_5f885da53139f',
			'label' => 'Newsletter Cover Image',
			'name' => 'newsletter_cover_image',
			'type' => 'image',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5f88599405af7',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'return_format' => 'array',
			'preview_size' => 'thumbnail',
			'library' => 'all',
			'min_width' => '',
			'min_height' => '',
			'min_size' => '',
			'max_width' => '',
			'max_height' => '',
			'max_size' => '',
			'mime_types' => '',
		),
		array(
			'key' => 'field_5f885e49889da',
			'label' => 'Newsletter Delay Time',
			'name' => 'newsletter_delay_time',
			'type' => 'number',
			'instructions' => 'Input the delay time (ms) to show the popup after the site loaded.',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5f88599405af7',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 1000,
			'placeholder' => '',
			'prepend' => '',
			'append' => 'ms',
			'min' => 0,
			'max' => 30000,
			'step' => '',
		),
		array(
			'key' => 'field_5f885e08889d9',
			'label' => 'Newsletter Popup Expired',
			'name' => 'newsletter_expired',
			'type' => 'number',
			'instructions' => 'The period to redisplay the popup when visitors closed it.',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5f88599405af7',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 1,
			'placeholder' => '',
			'prepend' => '',
			'append' => 'Days',
			'min' => 0,
			'max' => 30,
			'step' => '',
		),
		array(
			'key' => 'field_5f747acece5f3',
			'label' => 'Notifications',
			'name' => '',
			'type' => 'tab',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'placement' => 'left',
			'endpoint' => 0,
		),
		array(
			'key' => 'field_5ceac98602971',
			'label' => 'Enable User Notifications',
			'name' => 'enable_notification',
			'type' => 'true_false',
			'instructions' => 'Users will get notifications from new comments, new likes, new followers etc...',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_5f885aa97a2c4',
			'label' => 'GDPR cookie',
			'name' => '',
			'type' => 'message',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5f77448da710d',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'new_lines' => 'wpautop',
			'esc_html' => 0,
		),
		array(
			'key' => 'field_5f77448da710d',
			'label' => 'Enable GDPR Cookie',
			'name' => 'enable_gdpr_cookie',
			'type' => 'true_false',
			'instructions' => 'select options for cookie popup section.',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_5f7744a9a710e',
			'label' => 'Cookie Popup Content',
			'name' => 'cookie_popup_content',
			'type' => 'textarea',
			'instructions' => 'Input content for the cookie popup section, allow raw HTML.',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5f77448da710d',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'Our website uses cookies to improve your experience. Learn more about: <a href="#">Cookie Policy</a>',
			'placeholder' => '',
			'maxlength' => '',
			'rows' => 4,
			'new_lines' => '',
		),
		array(
			'key' => 'field_5f7744eea710f',
			'label' => 'Cookie Button Text',
			'name' => 'cookie_button_text',
			'type' => 'text',
			'instructions' => 'accept button text.',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5f77448da710d',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'Accept',
			'placeholder' => '',
			'prepend' => 'text',
			'append' => '',
			'maxlength' => '',
		),
		array(
			'key' => 'field_5f884501f33de',
			'label' => 'Headerstrip',
			'name' => '',
			'type' => 'message',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5f73250316b5b',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'new_lines' => 'wpautop',
			'esc_html' => 0,
		),
		array(
			'key' => 'field_5f73250316b5b',
			'label' => 'Enable Headerstrip',
			'name' => 'enable_headerstrip',
			'type' => 'true_false',
			'instructions' => 'You can show informations at header for visitors or logged users',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_5f75f3434aceb',
			'label' => 'Show only for logged users',
			'name' => 'show_only_logged_users',
			'type' => 'true_false',
			'instructions' => 'display message at top only for logged users',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5f73250316b5b',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_5f7325f5abaff',
			'label' => 'Headerstrip Text',
			'name' => 'headerstrip_text',
			'type' => 'textarea',
			'instructions' => 'Text to show on header strip ( Html Allowed )',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5f73250316b5b',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => '',
			'maxlength' => '',
			'rows' => 4,
			'new_lines' => '',
		),
		array(
			'key' => 'field_5f732669abb00',
			'label' => 'Headerstrip Button Text',
			'name' => 'headerstrip_button_text',
			'type' => 'text',
			'instructions' => 'add button in header strip',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5f73250316b5b',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => '',
			'prepend' => 'text',
			'append' => '',
			'maxlength' => '',
		),
		array(
			'key' => 'field_5f7326b3abb01',
			'label' => 'Headerstrip Button Url',
			'name' => 'headerstrip_button_url',
			'type' => 'url',
			'instructions' => 'header strip button url',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5f73250316b5b',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => '',
		),
		array(
			'key' => 'field_5f7603c969a9a',
			'label' => 'Expired Time',
			'name' => 'hs_expired_time',
			'type' => 'number',
			'instructions' => 'select expire time for header strip when visitors hide it. If you leave it empty it will appear after browser close',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5f73250316b5b',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 1,
			'placeholder' => '',
			'prepend' => 'Days',
			'append' => '',
			'min' => '',
			'max' => 999,
			'step' => '',
		),
		array(
			'key' => 'field_5f75fee9e1b1a',
			'label' => 'Headerstrip Background',
			'name' => 'headerstrip_background',
			'type' => 'color_picker',
			'instructions' => 'Headerstrip Background Color',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5f73250316b5b',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_5f75ff0ae1b1b',
			'label' => 'Headerstrip Text',
			'name' => 'headerstrip_text_color',
			'type' => 'color_picker',
			'instructions' => 'Headerstrip Text Color',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5f73250316b5b',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_5f75ff18e1b1c',
			'label' => 'Headerstrip Button',
			'name' => 'headerstrip_button_color',
			'type' => 'color_picker',
			'instructions' => 'Headerstrip Button Color',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5f73250316b5b',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
	),
	'location' => array(
		array(
			array(
				'param' => 'options_page',
				'operator' => '==',
				'value' => 'acf-options-layout',
			),
		),
	),
	'menu_order' => 3,
	'position' => 'normal',
	'style' => 'default',
	'label_placement' => 'top',
	'instruction_placement' => 'label',
	'hide_on_screen' => '',
	'active' => true,
	'description' => '',
));

endif;

?>
